import { FormArray, FormBuilder, FormGroup } from '@angular/forms';
import { KoalaDynamicFormFieldInterface } from './interfaces/koala.dynamic-form-field.interface';
import { DynamicFormTypeFieldEnum } from './enums/dynamic-form-type-field.enum';
import { ElementRef, OnInit } from '@angular/core';
import { FormAbstract } from '../../../../core/form.abstract';
import { BehaviorSubject } from 'rxjs';
import { KoalaDynamicSetValueInterface } from './interfaces/koala.dynamic-set-value.interface';
import { KoalaDynamicAutocompleteOptionsInterface } from './interfaces/koala.dynamic-autocomplete-options.interface';
import { KoalaDynamicFormShowFieldInterface } from './interfaces/koala.dynamic-form-show-field.interface';
import { KoalaDynamicFormService } from '../../../services/dynamic-forms/koala.dynamic-form.service';
import { KoalaDynamicFormMoreItensShowFieldConfigInterface } from './interfaces/koala.dynamic-form-more-itens-show-field-config.interface';
import { ThemePalette } from '@angular/material/core';
import { KoalaDynamicFormAutocompleteMultipleConfigInterface } from './interfaces/koala.dynamic-form-autocomplete-multiple-config.interface';
import * as i0 from "@angular/core";
export declare class DynamicFormComponent extends FormAbstract implements OnInit {
    private fb;
    private dynamicFormService;
    form: FormGroup;
    formConfig: KoalaDynamicFormFieldInterface[];
    showFields: BehaviorSubject<KoalaDynamicFormShowFieldInterface[]>;
    showFieldsMoreItensConfig: KoalaDynamicFormMoreItensShowFieldConfigInterface[];
    setValues: BehaviorSubject<KoalaDynamicSetValueInterface[]>;
    tabIndexStart: number;
    controls: FormArray;
    typeField: typeof DynamicFormTypeFieldEnum;
    hoursAndMinutesMask: string;
    autocompleteInput: ElementRef<HTMLInputElement>;
    constructor(fb: FormBuilder, dynamicFormService: KoalaDynamicFormService);
    ngOnInit(): void;
    hoursAndMinutesApplyMask(index: number, event: KeyboardEvent): void;
    passwordView(index: number): void;
    addMoreItem(propIndex: number): void;
    removeMoreItem(propIndex: number, removeIndex: any): void;
    clearAutocomplete(propIndex: number): void;
    display(option?: KoalaDynamicAutocompleteOptionsInterface): string | undefined;
    removeOptionOnAutocomplete(propIndex: number, option: KoalaDynamicAutocompleteOptionsInterface): void;
    getColorChip(config: KoalaDynamicFormAutocompleteMultipleConfigInterface): ThemePalette;
    private newControl;
    private setValuesOnFields;
    private changeVisibilityFields;
    private autocompleteFilter;
    private setValueByProp;
    private setConfigDynamicForm;
    static ɵfac: i0.ɵɵFactoryDef<DynamicFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<DynamicFormComponent, "koala-dynamic-form", never, { "form": "form"; "formConfig": "formConfig"; "showFields": "showFields"; "showFieldsMoreItensConfig": "showFieldsMoreItensConfig"; "setValues": "setValues"; "tabIndexStart": "tabIndexStart"; }, {}, never, ["[btn-submit]"]>;
}
//# sourceMappingURL=dynamic-form.component.d.ts.map