import { KoalaListConfigInterface } from "../koala.list-config.interface";
import { KoalaListItemInterface } from "../koala-list-item.interface";
import { Type } from "@angular/core";
import { KoalaListFilterInterface } from "../koalaListFilterInterface";
import { BehaviorSubject, Observable } from "rxjs";
import { KoalaListFormFilterInterface } from "../koala-list-form-filter.interface";
import { KoalaListItemMenuOptionInterface } from "../koala-list-item-menu-option.interface";
import { SelectionModel } from "@angular/cdk/collections";
import { KoalaListPageSize } from "../list.abstract";
export declare class ListBuilder<DataType> {
    private config;
    service(service: (filter: BehaviorSubject<KoalaListFormFilterInterface>) => Observable<any> | Promise<any>, type?: 'all' | 'onDemand', resultIndexName?: string, qtdResultIndexName?: string): this;
    filterConfig(config: KoalaListFilterInterface): this;
    defaultFilter(config: KoalaListFormFilterInterface): this;
    pageSize(size: KoalaListPageSize): this;
    columns(columns: string[]): this;
    itemColumn(item: KoalaListItemInterface): this;
    actionList(item: KoalaListItemMenuOptionInterface): this;
    getDataSource(fn: (dataSource: DataType[]) => void): this;
    getSelectionList(fn: (selection: SelectionModel<DataType>) => void): this;
    emptyListComponent(component: Type<any>, data?: any): this;
    getConfig(): KoalaListConfigInterface;
}
//# sourceMappingURL=list.builder.d.ts.map