import { SelectionModel } from '@angular/cdk/collections';
import { AfterViewInit, OnDestroy } from '@angular/core';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { BehaviorSubject, Observable } from 'rxjs';
import { FormAbstract } from '../../../core/form.abstract';
import { FormGroup } from '@angular/forms';
import { MatTableDataSource } from '@angular/material/table';
import { KoalaListFormFilterInterface } from './koala-list-form-filter.interface';
import { KoalaDynamicComponent } from "../dynamic-component/koala-dynamic-component";
import { KoalaListConfigInterface } from "./koala.list-config.interface";
import * as i0 from "@angular/core";
export declare type KoalaListPageSize = 10 | 20 | 30 | 50 | 100;
export declare abstract class ListAbstract extends FormAbstract implements AfterViewInit, OnDestroy {
    private requestFunction;
    private requestResponseFunction;
    selection: SelectionModel<object>;
    limitOptions: number[];
    showMenuList: boolean;
    allSelected: boolean;
    dataSource: MatTableDataSource<any>;
    typeRequest: 'all' | 'onDemand';
    filterParams: BehaviorSubject<KoalaListFormFilterInterface>;
    emptyListComponent?: KoalaDynamicComponent;
    pageSize: KoalaListPageSize;
    config: KoalaListConfigInterface;
    paginator: MatPaginator;
    sort: MatSort;
    private subscriptionSortList;
    private intervalSortList;
    protected constructor(requestFunction: () => Observable<any>, requestResponseFunction: <T>(results: T[]) => void, formSearch: () => FormGroup);
    ngOnDestroy(): void;
    ngAfterViewInit(): Promise<void>;
    selectAll(): void;
    defineStatusSelectAll(status: boolean): boolean;
    selectItem(): void;
    search(filter?: any): Promise<void>;
    private prepareSearch;
    private isAllSelected;
    static ɵfac: i0.ɵɵFactoryDef<ListAbstract, never>;
    static ɵdir: i0.ɵɵDirectiveDefWithMeta<ListAbstract, never, never, { "config": "config"; }, {}, never>;
}
//# sourceMappingURL=list.abstract.d.ts.map