import { OnInit } from '@angular/core';
import { ListAbstract } from './list.abstract';
import { KoalaListItemMenuOptionInterface } from './koala-list-item-menu-option.interface';
import { FormBuilder, FormGroup } from '@angular/forms';
import { BehaviorSubject, Observable } from 'rxjs';
import { KoalaListFilterInterface } from './koalaListFilterInterface';
import { KoalaDynamicFormService } from '../../services/dynamic-forms/koala.dynamic-form.service';
import { KoalaListItemInterface } from './koala-list-item.interface';
import { SortDirection } from "@angular/material/sort";
import * as i0 from "@angular/core";
export declare class ListComponent extends ListAbstract implements OnInit {
    private fb;
    private dynamicFormService;
    columnsToShowInList: string[];
    columnSort: string;
    sortDirection: SortDirection;
    itemsMenuListOptions: KoalaListItemMenuOptionInterface[];
    itemsList: KoalaListItemInterface[];
    request: Observable<any>;
    responseIndexName: string;
    responseQtdResultIndexName: (response: any) => number;
    typeRequest: 'all' | 'onDemand';
    filterFormConfig: KoalaListFilterInterface;
    reload: BehaviorSubject<boolean>;
    formSearch: FormGroup;
    formAdvancedSearch: FormGroup;
    showAdvancedFilter: boolean;
    qtdListResult: number;
    constructor(fb: FormBuilder, dynamicFormService: KoalaDynamicFormService);
    ngOnInit(): void;
    filterSubmit(): Promise<void>;
    toogleFilter(): void;
    private initConfig;
    static ɵfac: i0.ɵɵFactoryDef<ListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<ListComponent, "koala-list", never, {}, {}, never, ["[itemsSelectList]", "[itemsList]"]>;
}
//# sourceMappingURL=list.component.d.ts.map