import { EventEmitter, OnInit } from '@angular/core';
import { ThemePalette } from '@angular/material/core';
import { Router } from '@angular/router';
import { LoaderBarPageInterface } from '../loader/loader-bar-page.interface';
import { BehaviorSubject } from 'rxjs';
import { KoalaTokenService } from '../../services/token/koala.token.service';
import { KoalaLoaderService } from '../../services/loader/koala.loader.service';
import { KoalaNotificationInterface } from '../notifications/koala.notification.interface';
import { KoalaUserMenuOptionsInterface } from './koala.user-menu-options.interface';
import { KoalaPagePalletColorsInterface } from './koala-page-pallet-colors.interface';
import { KoalaMenuService } from '../../services/menu/koala.menu.service';
import { OAuthService } from "angular-oauth2-oidc";
import { KoalaOauth2ConfigInterface } from "./koala-oauth2-config.interface";
import * as i0 from "@angular/core";
export declare class PageComponent implements OnInit {
    private tokenService;
    private router;
    private loaderService;
    private menuService;
    private oauthService;
    showMenu: boolean;
    color: ThemePalette;
    logotipo: string;
    startMenuOpened: boolean;
    showLoaderPage: BehaviorSubject<boolean>;
    messageLoaderPage: BehaviorSubject<string>;
    defaultPage: string;
    openPages: string[];
    notifications: BehaviorSubject<KoalaNotificationInterface[]>;
    userMenuOptions: KoalaUserMenuOptionsInterface[];
    palletColors: KoalaPagePalletColorsInterface;
    labelLogout: string;
    oauth2Config: KoalaOauth2ConfigInterface;
    deleteAllNotifications: EventEmitter<boolean>;
    deleteNotification: EventEmitter<KoalaNotificationInterface>;
    logged: boolean;
    loaderSubject: BehaviorSubject<LoaderBarPageInterface>;
    username: string;
    firstUserLetter: string;
    currentUrl: string;
    private defaultPalletColors;
    private menu;
    constructor(tokenService: KoalaTokenService, router: Router, loaderService: KoalaLoaderService, menuService: KoalaMenuService, oauthService: OAuthService);
    ngOnInit(): void;
    toogleMenu(): Promise<void>;
    logout(): void;
    defineColor(): void;
    private initOAuth2;
    static ɵfac: i0.ɵɵFactoryDef<PageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<PageComponent, "koala-page", never, { "showMenu": "showMenu"; "color": "color"; "logotipo": "logotipo"; "startMenuOpened": "startMenuOpened"; "showLoaderPage": "showLoaderPage"; "messageLoaderPage": "messageLoaderPage"; "defaultPage": "defaultPage"; "openPages": "openPages"; "notifications": "notifications"; "userMenuOptions": "userMenuOptions"; "palletColors": "palletColors"; "labelLogout": "labelLogout"; "oauth2Config": "oauth2Config"; }, { "deleteAllNotifications": "deleteAllNotifications"; "deleteNotification": "deleteNotification"; }, never, ["[menu-options]", "[menu-toolbar]", "[page-content]"]>;
}
//# sourceMappingURL=page.component.d.ts.map