import { FormBuilder } from "@angular/forms";
import { KoalaDynamicFormConfigInterface } from "../../../components/form/dynamic-form/interfaces/koala.dynamic-form-config.interface";
import { FieldBuilder } from "./fields/field.builder";
import { KoalaDynamicFormFieldInterface } from "../../../components/form/dynamic-form/interfaces/koala.dynamic-form-field.interface";
import { AutocompleteBuilder } from "./fields/autocomplete.builder";
import { MoreItemsBuilder } from "./fields/more-items.builder";
export declare type DynamicFormFieldType = 'text' | 'password' | 'cpf' | 'cnpj' | 'datetime' | 'email' | 'phone' | 'number' | 'valueList' | 'textarea' | 'time' | 'hoursAndMinutes' | 'checkbox' | 'select' | 'coin' | 'percent' | 'id' | 'textLogs' | 'color' | 'date' | 'radio' | 'float';
export declare class DynamicFormBuilder {
    private fb;
    private readonly config;
    private newField;
    private newAutocomplete;
    private newMoreItems;
    constructor(fb: FormBuilder, configInMemory?: KoalaDynamicFormFieldInterface[]);
    field(label: string, name: string, type: DynamicFormFieldType): FieldBuilder;
    autocomplete(label: string, name: string): AutocompleteBuilder;
    simpleMoreItems(label: string, name: string, btnAddLabel: string, min: number, max: number): MoreItemsBuilder;
    autofill(object: any): this;
    literalConfig(config: KoalaDynamicFormFieldInterface): this;
    generate(): KoalaDynamicFormConfigInterface;
    generateMoreItems(): DynamicFormBuilder;
}
//# sourceMappingURL=dynamic-form.builder.d.ts.map