import { KoalaDynamicFormFieldInterface } from "../../../../components/form/dynamic-form/interfaces/koala.dynamic-form-field.interface";
import { DynamicFormTypeFieldEnum } from "../../../../components/form/dynamic-form/enums/dynamic-form-type-field.enum";
import { FloatLabelType, MatFormFieldAppearance } from "@angular/material/form-field";
import { DynamicFormBuilder } from "../dynamic-form.builder";
import { FormBuilder } from "@angular/forms";
import { KoalaDynamicFormConfigInterface } from "../../../../components/form/dynamic-form/interfaces/koala.dynamic-form-config.interface";
export declare abstract class FieldBase {
    private formConfig;
    protected fb: FormBuilder;
    protected readonly fieldConfig: KoalaDynamicFormFieldInterface;
    protected constructor(label: string, name: string, type: DynamicFormTypeFieldEnum, formConfig: KoalaDynamicFormConfigInterface, fb: FormBuilder);
    hide(hide?: boolean): this;
    focus(): this;
    disabled(disabled?: boolean): this;
    required(required?: boolean): this;
    textHint(hint: string): this;
    min(min: number): this;
    max(max: number): this;
    minLength(min: number): this;
    maxLength(max: number): this;
    multiple(multiple?: boolean): void;
    valueChanges<T>(fn: (value: T) => void): this;
    appearance(type?: MatFormFieldAppearance, floatLabel?: FloatLabelType): this;
    grid(size?: 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12, width?: number): this;
    setOptions(options: {
        value: any;
        name: string;
    }[]): this;
    generate(): DynamicFormBuilder;
}
//# sourceMappingURL=field.base.d.ts.map