import * as i0 from '@angular/core';
import { Directive, Component, Input, ViewChild, ChangeDetectionStrategy, Inject, Injectable, NgModule, EventEmitter, Output } from '@angular/core';
import * as i1 from '@angular/material/dialog';
import { MAT_DIALOG_DATA, MatDialogModule } from '@angular/material/dialog';
import * as i1$1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i4 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import { KoalaStringHelper } from 'tskoala-helpers/dist/string/koala-string.helper';
import * as i3 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import { koala } from 'koala-utils';
import * as i1$2 from '@angular/router';
import { RouterModule, NavigationEnd, NavigationError, NavigationCancel, NavigationStart } from '@angular/router';
import { BehaviorSubject, Observable, merge } from 'rxjs';
import * as i3$1 from '@angular/material/progress-spinner';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { __awaiter } from 'tslib';
import * as i1$3 from '@angular/forms';
import { Validators, ReactiveFormsModule, FormsModule, FormControl } from '@angular/forms';
import { debounceTime, startWith, switchMap, map } from 'rxjs/operators';
import { KoalaArrayHelper } from 'tskoala-helpers/dist/array/koala-array.helper';
import { KoalaDelayHelper } from 'tskoala-helpers/dist/delay/koala-delay.helper';
import { KoalaObjectHelper } from 'tskoala-helpers/dist/object/koala-object.helper';
import * as i4$1 from '@angular/material/form-field';
import * as i5 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import * as i6 from 'ngx-mask';
import { NgxMaskModule } from 'ngx-mask';
import * as i10 from 'ng2-currency-mask';
import { CurrencyMaskModule } from 'ng2-currency-mask';
import * as i11 from '@angular/material/select';
import { MatSelectModule } from '@angular/material/select';
import * as i12 from '@angular/material/core';
import * as i13 from '@angular/material/checkbox';
import { MatCheckboxModule } from '@angular/material/checkbox';
import * as i15 from '@angular/material/expansion';
import { MatExpansionModule } from '@angular/material/expansion';
import * as i16 from '@angular/material/autocomplete';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import * as i17 from '@angular/material/chips';
import { MatChipsModule } from '@angular/material/chips';
import * as i20 from '@angular/material/radio';
import { MatRadioModule } from '@angular/material/radio';
import * as i1$4 from '@angular/common/http';
import { HttpClientModule } from '@angular/common/http';
import { SelectionModel } from '@angular/cdk/collections';
import * as i4$2 from '@angular/material/paginator';
import { MatPaginator, MatPaginatorIntl, MatPaginatorModule } from '@angular/material/paginator';
import * as i13$1 from '@angular/material/sort';
import { MatSort, MatSortModule } from '@angular/material/sort';
import * as i12$1 from '@angular/material/table';
import { MatTableDataSource, MatTableModule } from '@angular/material/table';
import { KlDelay } from 'koala-utils/dist/utils/KlDelay';
import * as i15$1 from '@angular/material/menu';
import { MatMenuModule } from '@angular/material/menu';
import * as i2$1 from '@angular/material/progress-bar';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import * as i1$5 from '@angular/platform-browser';
import * as i6$1 from '@angular/material/list';
import { MatListModule } from '@angular/material/list';
import jwt from 'jwt-decode';
import { JwksValidationHandler } from 'angular-oauth2-oidc-jwks';
import jwtEncode from 'jwt-encode';
import * as i5$1 from 'angular-oauth2-oidc';
import { OAuthModule } from 'angular-oauth2-oidc';
import * as i7 from '@angular/material/sidenav';
import { MatSidenavModule } from '@angular/material/sidenav';
import * as i10$1 from '@angular/material/toolbar';
import { MatToolbarModule } from '@angular/material/toolbar';
import * as i15$2 from '@angular/material/badge';
import { MatBadgeModule } from '@angular/material/badge';
import * as i1$6 from 'ngx-papaparse';
import * as Excel from 'exceljs/dist/exceljs.min.js';
import * as fs from 'file-saver';

var KoalaAlertEnum;
(function (KoalaAlertEnum) {
    KoalaAlertEnum[KoalaAlertEnum["success"] = 200] = "success";
    KoalaAlertEnum[KoalaAlertEnum["badRequest"] = 400] = "badRequest";
    KoalaAlertEnum[KoalaAlertEnum["unhautorized"] = 401] = "unhautorized";
    KoalaAlertEnum[KoalaAlertEnum["notFound"] = 404] = "notFound";
    KoalaAlertEnum[KoalaAlertEnum["internalServerError"] = 500] = "internalServerError";
})(KoalaAlertEnum || (KoalaAlertEnum = {}));

class KoalaDynamicComponentDirective {
    constructor(viewContainerRef) {
        this.viewContainerRef = viewContainerRef;
    }
}
KoalaDynamicComponentDirective.ɵfac = function KoalaDynamicComponentDirective_Factory(t) { return new (t || KoalaDynamicComponentDirective)(i0.ɵɵdirectiveInject(i0.ViewContainerRef)); };
KoalaDynamicComponentDirective.ɵdir = i0.ɵɵdefineDirective({ type: KoalaDynamicComponentDirective, selectors: [["", "koalaDynamicComponent", ""]] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaDynamicComponentDirective, [{
        type: Directive,
        args: [{
                selector: '[koalaDynamicComponent]',
            }]
    }], function () { return [{ type: i0.ViewContainerRef }]; }, null); })();

function KoalaDynamicComponentFactory_ng_template_0_Template(rf, ctx) { }
class KoalaDynamicComponentFactory {
    constructor(componentFactoryResolver) {
        this.componentFactoryResolver = componentFactoryResolver;
    }
    ngOnInit() {
        this.loadComponent();
    }
    loadComponent() {
        const dynamicComponent = this.dynamicComponent;
        const componentFactory = this.componentFactoryResolver.resolveComponentFactory(dynamicComponent.component);
        const viewContainerRef = this.koalaDynamicComponentDirective.viewContainerRef;
        viewContainerRef.clear();
        const componentRef = viewContainerRef.createComponent(componentFactory);
        componentRef.instance.data = dynamicComponent.data;
    }
}
KoalaDynamicComponentFactory.ɵfac = function KoalaDynamicComponentFactory_Factory(t) { return new (t || KoalaDynamicComponentFactory)(i0.ɵɵdirectiveInject(i0.ComponentFactoryResolver)); };
KoalaDynamicComponentFactory.ɵcmp = i0.ɵɵdefineComponent({ type: KoalaDynamicComponentFactory, selectors: [["koala-dynamic-component"]], viewQuery: function KoalaDynamicComponentFactory_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵviewQuery(KoalaDynamicComponentDirective, 3);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.koalaDynamicComponentDirective = _t.first);
    } }, inputs: { dynamicComponent: "dynamicComponent" }, decls: 1, vars: 0, consts: [["koalaDynamicComponent", ""]], template: function KoalaDynamicComponentFactory_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, KoalaDynamicComponentFactory_ng_template_0_Template, 0, 0, "ng-template", 0);
    } }, directives: [KoalaDynamicComponentDirective], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaDynamicComponentFactory, [{
        type: Component,
        args: [{
                selector: 'koala-dynamic-component',
                template: `
		<ng-template koalaDynamicComponent></ng-template>`
            }]
    }], function () { return [{ type: i0.ComponentFactoryResolver }]; }, { dynamicComponent: [{
            type: Input
        }], koalaDynamicComponentDirective: [{
            type: ViewChild,
            args: [KoalaDynamicComponentDirective, { static: true }]
        }] }); })();

function DialogAlertComponent_mat_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 7);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", ctx_r0.iconColor);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r0.icon);
} }
function DialogAlertComponent_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "koala-dynamic-component", 8);
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("dynamicComponent", ctx_r2.alert.avatar);
} }
function DialogAlertComponent_div_6_button_1_Template(rf, ctx) { if (rf & 1) {
    const _r8 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 10);
    i0.ɵɵlistener("click", function DialogAlertComponent_div_6_button_1_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r8); const action_r4 = i0.ɵɵnextContext().$implicit; return action_r4.action(); });
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const action_r4 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("color", action_r4.color);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1(" ", action_r4.text, " ");
} }
function DialogAlertComponent_div_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtemplate(1, DialogAlertComponent_div_6_button_1_Template, 2, 2, "button", 9);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const action_r4 = ctx.$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", action_r4.show);
} }
class DialogAlertComponent {
    constructor(alert) {
        this.alert = alert;
        if (alert.alertEnum) {
            switch (alert.alertEnum) {
                case KoalaAlertEnum.success:
                    this.icon = 'check_circle';
                    this.iconColor = 'success';
                    break;
                case KoalaAlertEnum.notFound:
                    this.icon = 'visibility_off';
                    this.iconColor = 'notFound';
                    break;
                case KoalaAlertEnum.internalServerError:
                    this.icon = 'error';
                    this.iconColor = 'error';
                    break;
                case KoalaAlertEnum.badRequest:
                    this.icon = 'warning';
                    this.iconColor = 'badRequest';
                    break;
                case KoalaAlertEnum.unhautorized:
                    this.icon = 'no_encryption';
                    this.iconColor = 'unhautorized';
                    break;
            }
        }
    }
}
DialogAlertComponent.ɵfac = function DialogAlertComponent_Factory(t) { return new (t || DialogAlertComponent)(i0.ɵɵdirectiveInject(MAT_DIALOG_DATA)); };
DialogAlertComponent.ɵcmp = i0.ɵɵdefineComponent({ type: DialogAlertComponent, selectors: [["ng-component"]], decls: 9, vars: 4, consts: [["mat-dialog-content", "", 1, "content"], [3, "ngClass", 4, "ngIf", "ngIfElse"], ["avatar", ""], [1, "w-100", "alert-message", "text-center", 3, "innerHTML"], ["align", "center", "mat-dialog-actions", ""], [4, "ngFor", "ngForOf"], ["color", "primary", "mat-dialog-close", "", "mat-raised-button", ""], [3, "ngClass"], [3, "dynamicComponent"], ["mat-dialog-close", "", "mat-raised-button", "", 3, "color", "click", 4, "ngIf"], ["mat-dialog-close", "", "mat-raised-button", "", 3, "color", "click"]], template: function DialogAlertComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 0);
        i0.ɵɵtemplate(1, DialogAlertComponent_mat_icon_1_Template, 2, 2, "mat-icon", 1);
        i0.ɵɵtemplate(2, DialogAlertComponent_ng_template_2_Template, 1, 1, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
        i0.ɵɵelement(4, "p", 3);
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(5, "div", 4);
        i0.ɵɵtemplate(6, DialogAlertComponent_div_6_Template, 2, 1, "div", 5);
        i0.ɵɵelementStart(7, "button", 6);
        i0.ɵɵtext(8, "Ok");
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        const _r1 = i0.ɵɵreference(3);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.alert.alertEnum)("ngIfElse", _r1);
        i0.ɵɵadvance(3);
        i0.ɵɵproperty("innerHTML", ctx.alert.message, i0.ɵɵsanitizeHtml);
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("ngForOf", ctx.alert == null ? null : ctx.alert.actions);
    } }, directives: [i1.MatDialogContent, i1$1.NgIf, i1.MatDialogActions, i1$1.NgForOf, i2.MatButton, i1.MatDialogClose, i4.MatIcon, i1$1.NgClass, KoalaDynamicComponentFactory], styles: [".content[_ngcontent-%COMP%]{color:#616161}.content[_ngcontent-%COMP%]   .alert-message[_ngcontent-%COMP%]{display:inline-block;margin:15px auto;font-family:OpenSans,sans-serif;font-weight:700}.content[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{position:relative;display:block;margin:15px auto;width:60px;height:60px;font-size:60px}.content[_ngcontent-%COMP%]   mat-icon.success[_ngcontent-%COMP%]{color:#4caf50}.content[_ngcontent-%COMP%]   mat-icon.notFound[_ngcontent-%COMP%]{color:#2196f3}.content[_ngcontent-%COMP%]   mat-icon.error[_ngcontent-%COMP%]{color:#e53935}.content[_ngcontent-%COMP%]   mat-icon.badRequest[_ngcontent-%COMP%]{color:#ffc107}.content[_ngcontent-%COMP%]   mat-icon.unhautorized[_ngcontent-%COMP%]{color:#ff9800}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DialogAlertComponent, [{
        type: Component,
        args: [{
                templateUrl: 'dialog-alert.component.html',
                styleUrls: ['dialog-alert.component.css'],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], function () { return [{ type: undefined, decorators: [{
                type: Inject,
                args: [MAT_DIALOG_DATA]
            }] }]; }, null); })();

class KoalaRequestCodeToAlertEnumTranslate {
    static translate(statusCode) {
        switch (statusCode) {
            case 400:
            case 422:
            case 405:
                return KoalaAlertEnum.badRequest;
            case 404:
                return KoalaAlertEnum.notFound;
            case 401:
                return KoalaAlertEnum.unhautorized;
            default:
                return KoalaAlertEnum.internalServerError;
        }
    }
}

class KoalaDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    open(dialogComponent, size, data, triggerBeforeClosed = false, beforeClosed) {
        const dialogRef = this.dialog.open(dialogComponent, this.dialogTemplate(data)[size]);
        dialogRef.afterOpened().subscribe(() => {
            history.pushState(null, null, location.href);
            return false;
        });
        dialogRef.beforeClosed().subscribe(event => {
            if ((triggerBeforeClosed && event === triggerBeforeClosed) ||
                (typeof triggerBeforeClosed == 'object' && typeof event == 'object')) {
                if (beforeClosed) {
                    beforeClosed(event);
                }
            }
        });
        dialogRef.keydownEvents().subscribe(event => {
            if (event.key === 'Escape') {
                dialogRef.close({ closeOnNavigation: true });
            }
        });
        dialogRef.disableClose = true;
    }
    dialogTemplate(data = null) {
        let dialogElementId = "dialog-" + KoalaStringHelper.generateRandomString(10, true);
        return {
            small: { id: dialogElementId, panelClass: ['koala-dialog', 'small'], data },
            normal: { id: dialogElementId, panelClass: ['koala-dialog', 'normal'], data },
            big: { id: dialogElementId, panelClass: ['koala-dialog', 'big'], data },
            fullScreen: { id: dialogElementId, panelClass: ['koala-dialog'], data },
            mobile: {
                id: dialogElementId,
                autoFocus: false,
                panelClass: ["koala-dialog-mobile"],
                width: '100vw',
                maxWidth: '100vw',
                height: '100vh',
                data
            }
        };
    }
}
KoalaDialogService.ɵfac = function KoalaDialogService_Factory(t) { return new (t || KoalaDialogService)(i0.ɵɵinject(i1.MatDialog)); };
KoalaDialogService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaDialogService, factory: KoalaDialogService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaDialogService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], function () { return [{ type: i1.MatDialog }]; }, null); })();

class KoalaAlertService {
    constructor(dialogService) {
        this.dialogService = dialogService;
    }
    create(alertConfig) {
        this.dialogService.open(DialogAlertComponent, 'small', alertConfig);
    }
}
KoalaAlertService.ɵfac = function KoalaAlertService_Factory(t) { return new (t || KoalaAlertService)(i0.ɵɵinject(KoalaDialogService)); };
KoalaAlertService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaAlertService, factory: KoalaAlertService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaAlertService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], function () { return [{ type: KoalaDialogService }]; }, null); })();

class KoalaDynamicComponentModule {
}
KoalaDynamicComponentModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaDynamicComponentModule });
KoalaDynamicComponentModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaDynamicComponentModule_Factory(t) { return new (t || KoalaDynamicComponentModule)(); } });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaDynamicComponentModule, { declarations: [KoalaDynamicComponentDirective,
        KoalaDynamicComponentFactory], exports: [KoalaDynamicComponentFactory] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaDynamicComponentModule, [{
        type: NgModule,
        args: [{
                exports: [
                    KoalaDynamicComponentFactory
                ],
                declarations: [
                    KoalaDynamicComponentDirective,
                    KoalaDynamicComponentFactory
                ]
            }]
    }], null, null); })();

class KoalaAlertModule {
}
KoalaAlertModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaAlertModule });
KoalaAlertModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaAlertModule_Factory(t) { return new (t || KoalaAlertModule)(); }, providers: [
        KoalaAlertService
    ], imports: [[
            CommonModule,
            MatDialogModule,
            MatButtonModule,
            MatIconModule,
            KoalaDynamicComponentModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaAlertModule, { declarations: [DialogAlertComponent], imports: [CommonModule,
        MatDialogModule,
        MatButtonModule,
        MatIconModule,
        KoalaDynamicComponentModule], exports: [DialogAlertComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaAlertModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    DialogAlertComponent
                ],
                imports: [
                    CommonModule,
                    MatDialogModule,
                    MatButtonModule,
                    MatIconModule,
                    KoalaDynamicComponentModule
                ],
                providers: [
                    KoalaAlertService
                ],
                exports: [
                    DialogAlertComponent
                ]
            }]
    }], null, null); })();

function IconComponent__svg_svg_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 5);
    i0.ɵɵelement(1, "path", 6);
    i0.ɵɵelement(2, "path", 7);
    i0.ɵɵelement(3, "path", 8);
    i0.ɵɵelement(4, "path", 9);
    i0.ɵɵelement(5, "path", 10);
    i0.ɵɵelement(6, "path", 11);
    i0.ɵɵelement(7, "path", 12);
    i0.ɵɵelement(8, "path", 13);
    i0.ɵɵelement(9, "path", 14);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r0.style);
    i0.ɵɵproperty("id", ctx_r0.idIcon)("ngClass", ctx_r0.icon);
} }
function IconComponent__svg_svg_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 5);
    i0.ɵɵelement(1, "path", 15);
    i0.ɵɵelement(2, "path", 16);
    i0.ɵɵelement(3, "path", 17);
    i0.ɵɵelement(4, "path", 18);
    i0.ɵɵelement(5, "path", 19);
    i0.ɵɵelement(6, "path", 20);
    i0.ɵɵelement(7, "path", 21);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r1.style);
    i0.ɵɵproperty("id", ctx_r1.idIcon)("ngClass", ctx_r1.icon);
} }
function IconComponent__svg_svg_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 5);
    i0.ɵɵelement(1, "path", 22);
    i0.ɵɵelement(2, "path", 23);
    i0.ɵɵelement(3, "path", 24);
    i0.ɵɵelement(4, "path", 25);
    i0.ɵɵelement(5, "path", 26);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r2.style);
    i0.ɵɵproperty("id", ctx_r2.idIcon)("ngClass", ctx_r2.icon);
} }
function IconComponent__svg_svg_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 5);
    i0.ɵɵelementStart(1, "g");
    i0.ɵɵelementStart(2, "g");
    i0.ɵɵelementStart(3, "g");
    i0.ɵɵelement(4, "path", 27);
    i0.ɵɵelement(5, "path", 28);
    i0.ɵɵelement(6, "path", 29);
    i0.ɵɵelement(7, "rect", 30);
    i0.ɵɵelement(8, "rect", 31);
    i0.ɵɵelement(9, "rect", 32);
    i0.ɵɵelement(10, "rect", 33);
    i0.ɵɵelement(11, "rect", 34);
    i0.ɵɵelement(12, "rect", 35);
    i0.ɵɵelement(13, "rect", 36);
    i0.ɵɵelement(14, "rect", 37);
    i0.ɵɵelement(15, "rect", 38);
    i0.ɵɵelement(16, "rect", 39);
    i0.ɵɵelement(17, "rect", 40);
    i0.ɵɵelement(18, "rect", 41);
    i0.ɵɵelement(19, "rect", 42);
    i0.ɵɵelement(20, "rect", 43);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelement(21, "g");
    i0.ɵɵelement(22, "g");
    i0.ɵɵelement(23, "g");
    i0.ɵɵelement(24, "g");
    i0.ɵɵelement(25, "g");
    i0.ɵɵelement(26, "g");
    i0.ɵɵelement(27, "g");
    i0.ɵɵelement(28, "g");
    i0.ɵɵelement(29, "g");
    i0.ɵɵelement(30, "g");
    i0.ɵɵelement(31, "g");
    i0.ɵɵelement(32, "g");
    i0.ɵɵelement(33, "g");
    i0.ɵɵelement(34, "g");
    i0.ɵɵelement(35, "g");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r3.style);
    i0.ɵɵproperty("id", ctx_r3.idIcon)("ngClass", ctx_r3.icon);
} }
function IconComponent__svg_svg_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 5);
    i0.ɵɵelement(1, "path", 44);
    i0.ɵɵelementStart(2, "g");
    i0.ɵɵelement(3, "path", 45);
    i0.ɵɵelement(4, "path", 46);
    i0.ɵɵelement(5, "path", 47);
    i0.ɵɵelement(6, "path", 48);
    i0.ɵɵelement(7, "path", 49);
    i0.ɵɵelement(8, "path", 50);
    i0.ɵɵelement(9, "path", 51);
    i0.ɵɵelement(10, "path", 52);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(11, "path", 53);
    i0.ɵɵelement(12, "path", 54);
    i0.ɵɵelement(13, "g");
    i0.ɵɵelement(14, "g");
    i0.ɵɵelement(15, "g");
    i0.ɵɵelement(16, "g");
    i0.ɵɵelement(17, "g");
    i0.ɵɵelement(18, "g");
    i0.ɵɵelement(19, "g");
    i0.ɵɵelement(20, "g");
    i0.ɵɵelement(21, "g");
    i0.ɵɵelement(22, "g");
    i0.ɵɵelement(23, "g");
    i0.ɵɵelement(24, "g");
    i0.ɵɵelement(25, "g");
    i0.ɵɵelement(26, "g");
    i0.ɵɵelement(27, "g");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r4.style);
    i0.ɵɵproperty("id", ctx_r4.idIcon)("ngClass", ctx_r4.icon);
} }
function IconComponent__svg_svg_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 5);
    i0.ɵɵelement(1, "path", 55);
    i0.ɵɵelementStart(2, "g");
    i0.ɵɵelement(3, "path", 56);
    i0.ɵɵelement(4, "path", 57);
    i0.ɵɵelement(5, "path", 58);
    i0.ɵɵelement(6, "path", 59);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(7, "path", 60);
    i0.ɵɵelement(8, "path", 61);
    i0.ɵɵelement(9, "g");
    i0.ɵɵelement(10, "g");
    i0.ɵɵelement(11, "g");
    i0.ɵɵelement(12, "g");
    i0.ɵɵelement(13, "g");
    i0.ɵɵelement(14, "g");
    i0.ɵɵelement(15, "g");
    i0.ɵɵelement(16, "g");
    i0.ɵɵelement(17, "g");
    i0.ɵɵelement(18, "g");
    i0.ɵɵelement(19, "g");
    i0.ɵɵelement(20, "g");
    i0.ɵɵelement(21, "g");
    i0.ɵɵelement(22, "g");
    i0.ɵɵelement(23, "g");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r5.style);
    i0.ɵɵproperty("id", ctx_r5.idIcon)("ngClass", ctx_r5.icon);
} }
function IconComponent__svg_svg_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 5);
    i0.ɵɵelement(1, "path", 62);
    i0.ɵɵelement(2, "path", 63);
    i0.ɵɵelement(3, "path", 64);
    i0.ɵɵelement(4, "path", 65);
    i0.ɵɵelement(5, "path", 66);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r6.style);
    i0.ɵɵproperty("id", ctx_r6.idIcon)("ngClass", ctx_r6.icon);
} }
function IconComponent__svg_svg_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 67);
    i0.ɵɵelement(1, "path", 68);
    i0.ɵɵelement(2, "path", 69);
    i0.ɵɵelement(3, "path", 70);
    i0.ɵɵelement(4, "path", 71);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r7.style);
    i0.ɵɵproperty("id", ctx_r7.idIcon)("ngClass", ctx_r7.icon);
} }
function IconComponent__svg_svg_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 72);
    i0.ɵɵelement(1, "path", 73);
    i0.ɵɵelement(2, "path", 74);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r8.style);
    i0.ɵɵproperty("id", ctx_r8.idIcon)("ngClass", ctx_r8.icon);
} }
function IconComponent__svg_svg_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 72);
    i0.ɵɵelement(1, "path", 75);
    i0.ɵɵelement(2, "path", 76);
    i0.ɵɵelement(3, "path", 77);
    i0.ɵɵelement(4, "path", 78);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r9.style);
    i0.ɵɵproperty("id", ctx_r9.idIcon)("ngClass", ctx_r9.icon);
} }
function IconComponent__svg_svg_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 79);
    i0.ɵɵelement(1, "path", 80);
    i0.ɵɵelement(2, "path", 81);
    i0.ɵɵelement(3, "path", 82);
    i0.ɵɵelement(4, "path", 83);
    i0.ɵɵelement(5, "path", 84);
    i0.ɵɵelement(6, "path", 85);
    i0.ɵɵelement(7, "path", 86);
    i0.ɵɵelement(8, "path", 87);
    i0.ɵɵelement(9, "path", 88);
    i0.ɵɵelement(10, "path", 89);
    i0.ɵɵelement(11, "path", 90);
    i0.ɵɵelement(12, "path", 91);
    i0.ɵɵelement(13, "path", 92);
    i0.ɵɵelement(14, "path", 93);
    i0.ɵɵelement(15, "path", 94);
    i0.ɵɵelement(16, "path", 95);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r10.style);
    i0.ɵɵproperty("id", ctx_r10.idIcon)("ngClass", ctx_r10.icon);
} }
function IconComponent__svg_svg_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 96);
    i0.ɵɵelement(1, "path", 97);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r11.style);
    i0.ɵɵproperty("id", ctx_r11.idIcon)("ngClass", ctx_r11.icon);
} }
class IconComponent {
    constructor() {
        this.size = 24;
        this.idIcon = `koala-icons_${koala(0).number().random(1, 30).getValue()}`;
    }
    ngOnInit() {
        this.style = `width: ${this.size}px;height: ${this.size}px;`;
        this.intervalCheckElement = setInterval(() => {
            const mainElementSelector = `svg#${this.idIcon}.${this.icon}`;
            const elSvgIcon = document.querySelector(mainElementSelector);
            if (elSvgIcon) {
                document.querySelectorAll(`
          ${mainElementSelector} path,
          ${mainElementSelector} rect,
          ${mainElementSelector} circle,
          ${mainElementSelector} polygon
        `).forEach((el) => {
                    if (!el.style.fill) {
                        el.style.fill = this.color;
                    }
                });
                clearInterval(this.intervalCheckElement);
            }
        }, 1);
    }
}
IconComponent.ɵfac = function IconComponent_Factory(t) { return new (t || IconComponent)(); };
IconComponent.ɵcmp = i0.ɵɵdefineComponent({ type: IconComponent, selectors: [["koala-icon"]], inputs: { color: "color", icon: "icon", size: "size" }, decls: 12, vars: 12, consts: [["class", "koala-icon", "viewBox", "0 -16 512 512", "xmlns", "http://www.w3.org/2000/svg", 3, "id", "ngClass", "style", 4, "ngIf"], ["class", "koala-icon", "viewBox", "0 -1 381.53417 381", "xmlns", "http://www.w3.org/2000/svg", 3, "id", "ngClass", "style", 4, "ngIf"], ["class", "koala-icon", "viewBox", "0 0 512 512", "xmlns", "http://www.w3.org/2000/svg", 3, "id", "ngClass", "style", 4, "ngIf"], ["class", "koala-icon", "viewBox", "0 0 64 64", "xmlns", "http://www.w3.org/2000/svg", 3, "id", "ngClass", "style", 4, "ngIf"], ["enable-background", "new 0 0 24 24", "class", "koala-icon", "viewBox", "0 2 24 24", "xmlns", "http://www.w3.org/2000/svg", 3, "id", "ngClass", "style", 4, "ngIf"], ["viewBox", "0 -16 512 512", "xmlns", "http://www.w3.org/2000/svg", 1, "koala-icon", 3, "id", "ngClass"], ["d", "m92.308594 52.230469c0-13.871094-11.28125-25.152344-25.152344-25.152344s-25.15625 11.28125-25.15625 25.152344c0 13.871093 11.285156 25.15625 25.152344 25.15625 13.871094 0 25.15625-11.285157 25.15625-25.15625zm-25.152344 10.15625c-5.601562 0-10.15625-4.558594-10.15625-10.15625 0-5.597657 4.554688-10.152344 10.152344-10.152344 5.601562 0 10.15625 4.554687 10.15625 10.152344 0 5.597656-4.554688 10.15625-10.152344 10.15625zm0 0"], ["d", "m126.914062 77.386719c13.871094 0 25.15625-11.285157 25.15625-25.15625 0-13.871094-11.285156-25.152344-25.15625-25.152344-13.867187 0-25.152343 11.28125-25.152343 25.152344 0 13.871093 11.28125 25.15625 25.152343 25.15625zm0-35.308594c5.601563 0 10.15625 4.554687 10.15625 10.152344 0 5.597656-4.554687 10.15625-10.15625 10.15625-5.597656 0-10.152343-4.558594-10.152343-10.15625 0-5.597657 4.554687-10.152344 10.152343-10.152344zm0 0"], ["d", "m186.675781 77.386719c13.867188 0 25.152344-11.285157 25.152344-25.15625 0-13.871094-11.285156-25.152344-25.152344-25.152344-13.871093 0-25.15625 11.28125-25.15625 25.152344 0 13.871093 11.285157 25.15625 25.15625 25.15625zm0-35.308594c5.597657 0 10.152344 4.554687 10.152344 10.152344 0 5.597656-4.554687 10.15625-10.152344 10.15625-5.601562 0-10.15625-4.558594-10.15625-10.15625 0-5.597657 4.554688-10.152344 10.15625-10.152344zm0 0"], ["d", "m269.667969 59.730469h182.667969c4.140624 0 7.5-3.355469 7.5-7.5 0-4.140625-3.359376-7.5-7.5-7.5h-182.667969c-4.144531 0-7.5 3.359375-7.5 7.5 0 4.144531 3.355469 7.5 7.5 7.5zm0 0"], ["d", "m511.578125 26.164062c-.042969-.257812-.089844-.511718-.140625-.769531-.023438-.125-.046875-.253906-.074219-.382812-2.925781-14.253907-15.570312-25.011719-30.679687-25.011719h-449.367188c-17.265625 0-31.316406 14.046875-31.316406 31.316406v417.25c0 17.269532 14.050781 31.316406 31.316406 31.316406h449.367188c17.265625 0 31.316406-14.050781 31.316406-31.316406v-417.25c0-1.753906-.144531-3.472656-.421875-5.152344zm-30.894531 438.71875h-449.367188c-8.996094 0-16.316406-7.320312-16.316406-16.316406v-344.101562h41.808594c4.144531 0 7.5-3.359375 7.5-7.5 0-4.144532-3.355469-7.5-7.5-7.5h-41.808594v-58.148438c0-8.996094 7.320312-16.316406 16.316406-16.316406h449.367188c7.308594 0 13.511718 4.832031 15.582031 11.46875.019531.066406.039063.128906.058594.191406.058593.195313.109375.386719.160156.582032.019531.066406.035156.132812.050781.199218.046875.195313.09375.394532.132813.589844.082031.398438.148437.804688.199219 1.210938.019531.136718.035156.273437.046874.410156.058594.546875.085938 1.101562.085938 1.664062v58.148438h-412.191406c-4.140625 0-7.5 3.355468-7.5 7.5 0 4.140625 3.359375 7.5 7.5 7.5h412.191406v344.101562c0 8.996094-7.320312 16.316406-16.316406 16.316406zm0 0"], ["d", "m166.363281 298.246094c2.929688 2.929687 7.675781 2.925781 10.605469 0l14.695312-14.699219 14.699219 14.699219c2.929688 2.929687 7.675781 2.925781 10.605469 0 2.929688-2.929688 2.929688-7.679688 0-10.609375l-14.695312-14.695313 14.695312-14.695312c2.929688-2.929688 2.929688-7.679688 0-10.609375-2.929688-2.925781-7.679688-2.925781-10.605469 0l-14.699219 14.699219-14.695312-14.699219c-2.929688-2.925781-7.679688-2.925781-10.605469 0-2.929687 2.929687-2.929687 7.679687 0 10.609375l14.695313 14.695312-14.695313 14.695313c-2.929687 2.929687-2.929687 7.679687 0 10.609375zm0 0"], ["d", "m295.03125 298.246094c2.929688 2.929687 7.675781 2.925781 10.605469 0l14.695312-14.699219 14.699219 14.699219c2.929688 2.929687 7.675781 2.925781 10.605469 0 2.929687-2.929688 2.929687-7.679688 0-10.609375l-14.695313-14.695313 14.695313-14.695312c2.929687-2.929688 2.929687-7.679688 0-10.609375-2.929688-2.925781-7.679688-2.925781-10.605469 0l-14.699219 14.699219-14.695312-14.699219c-2.929688-2.925781-7.679688-2.925781-10.605469 0-2.929688 2.929687-2.929688 7.679687 0 10.609375l14.695312 14.695312-14.695312 14.695313c-2.929688 2.929687-2.929688 7.679687 0 10.609375zm0 0"], ["d", "m187.503906 359.773438h136.992188c4.140625 0 7.5-3.355469 7.5-7.5 0-4.140626-3.359375-7.5-7.5-7.5h-136.992188c-4.140625 0-7.5 3.359374-7.5 7.5 0 4.144531 3.359375 7.5 7.5 7.5zm0 0"], ["d", "m358.957031 178.355469h-20.457031v-14.875c0-13.765625-11.199219-24.964844-24.960938-24.964844h-115.078124c-13.761719 0-24.960938 11.199219-24.960938 24.964844v14.875h-20.457031c-26.492188 0-48.042969 21.554687-48.042969 48.042969v155.105468c0 26.488282 21.550781 48.042969 48.042969 48.042969h133.292969c4.140624 0 7.5-3.359375 7.5-7.5 0-4.144531-3.359376-7.5-7.5-7.5h-133.292969c-18.21875 0-33.042969-14.824219-33.042969-33.042969v-155.105468c0-18.21875 14.824219-33.042969 33.042969-33.042969h205.914062c18.21875 0 33.042969 14.824219 33.042969 33.042969v155.105468c0 18.21875-14.824219 33.042969-33.042969 33.042969h-44.625c-4.140625 0-7.5 3.355469-7.5 7.5 0 4.140625 3.359375 7.5 7.5 7.5h44.625c26.492188 0 48.042969-21.554687 48.042969-48.042969v-155.105468c0-26.488282-21.550781-48.042969-48.042969-48.042969zm-170.457031 0v-14.875c0-5.496094 4.46875-9.964844 9.960938-9.964844h115.074218c5.496094 0 9.964844 4.46875 9.964844 9.964844v14.875zm0 0"], ["d", "m92.308594 52.234375c0-13.871094-11.28125-25.15625-25.152344-25.15625s-25.15625 11.285156-25.15625 25.15625c0 13.867187 11.285156 25.152344 25.152344 25.152344 13.871094 0 25.15625-11.285157 25.15625-25.152344zm-25.152344 10.152344c-5.601562 0-10.15625-4.554688-10.15625-10.152344 0-5.601563 4.554688-10.15625 10.152344-10.15625 5.601562 0 10.15625 4.554687 10.15625 10.15625 0 5.597656-4.554688 10.152344-10.152344 10.152344zm0 0"], ["d", "m126.914062 77.386719c13.871094 0 25.15625-11.285157 25.15625-25.152344 0-13.871094-11.285156-25.15625-25.15625-25.15625-13.867187 0-25.152343 11.285156-25.152343 25.15625 0 13.867187 11.28125 25.152344 25.152343 25.152344zm0-35.308594c5.601563 0 10.15625 4.554687 10.15625 10.15625 0 5.597656-4.554687 10.152344-10.15625 10.152344-5.597656 0-10.152343-4.554688-10.152343-10.152344 0-5.601563 4.554687-10.15625 10.152343-10.15625zm0 0"], ["d", "m186.675781 77.386719c13.867188 0 25.152344-11.285157 25.152344-25.152344 0-13.871094-11.285156-25.15625-25.152344-25.15625-13.871093 0-25.15625 11.285156-25.15625 25.15625 0 13.867187 11.285157 25.152344 25.15625 25.152344zm0-35.308594c5.597657 0 10.152344 4.554687 10.152344 10.15625 0 5.597656-4.554687 10.152344-10.152344 10.152344-5.601562 0-10.15625-4.554688-10.15625-10.152344 0-5.601563 4.554688-10.15625 10.15625-10.15625zm0 0"], ["d", "m269.667969 59.734375h182.667969c4.140624 0 7.5-3.359375 7.5-7.5 0-4.144531-3.359376-7.5-7.5-7.5h-182.667969c-4.144531 0-7.5 3.355469-7.5 7.5 0 4.140625 3.355469 7.5 7.5 7.5zm0 0"], ["d", "m480.683594 0h-449.367188c-17.304687 0-31.316406 14.085938-31.316406 31.316406v417.25c0 17.269532 14.050781 31.316406 31.316406 31.316406h449.367188c17.265625 0 31.316406-14.046874 31.316406-31.316406v-417.25c0-17.21875-14.003906-31.316406-31.316406-31.316406zm0 464.882812h-449.367188c-8.996094 0-16.316406-7.320312-16.316406-16.316406v-344.101562h41.808594c4.144531 0 7.5-3.359375 7.5-7.5 0-4.144532-3.355469-7.5-7.5-7.5h-41.808594v-58.148438c0-8.980468 7.300781-16.316406 16.316406-16.316406h449.367188c9.023437 0 16.316406 7.347656 16.316406 16.316406v58.148438h-412.191406c-4.140625 0-7.5 3.355468-7.5 7.5 0 4.140625 3.359375 7.5 7.5 7.5h412.191406v344.101562c0 8.996094-7.320312 16.316406-16.316406 16.316406zm0 0"], ["d", "m346.054688 210.988281c-.765626-1.953125-2.308594-3.496093-4.257813-4.257812l-83.066406-32.480469c-1.753907-.6875-3.707031-.6875-5.460938 0l-83.066406 32.480469c-1.953125.761719-3.492187 2.304687-4.257813 4.253906-24.03125 61.539063-.285156 133.480469 58.570313 168.761719l27.628906 16.566406c2.378907 1.425781 5.34375 1.417969 7.710938 0l27.628906-16.566406c58.941406-35.332032 82.5625-107.3125 58.570313-168.757813zm-11.40625 86.394531c-18.484376 58.621094-66.941407 74.542969-78.648438 83.753907-11.550781-9.085938-60.191406-25.207031-78.648438-83.753907-8.039062-25.492187-7.511718-53.023437 1.429688-77.902343l77.21875-30.191407 77.21875 30.191407c8.941406 24.878906 9.46875 52.414062 1.429688 77.902343zm0 0"], ["d", "m372.878906 175.734375-114.148437-44.632813c-1.753907-.6875-3.707031-.6875-5.460938 0l-114.148437 44.632813c-3.230469 1.261719-4.054688 3.710937-5.503906 6.851563-38.679688 83.792968-7.285157 183.964843 72.601562 231.855468l45.925781 27.535156c2.375 1.421876 5.339844 1.421876 7.710938 0 35.984375-22.984374 59.800781-31.542968 86.59375-60.628906 2.804687-3.046875 2.609375-7.789062-.4375-10.597656-3.046875-2.804688-7.792969-2.609375-10.597657.4375-24.59375 26.703125-46.445312 34.550781-79.414062 55.613281l-42.070312-25.222656c-73.375-43.988281-102.484376-135.304687-66.578126-212.957031l108.648438-42.484375 108.644531 42.480469c.042969.085937.082031.167968.121094.253906 24.121094 52.253906 19.367187 112.457031-12.710937 161.042968-2.28125 3.457032-1.332032 8.109376 2.125 10.394532 3.457031 2.28125 8.109374 1.328125 10.390624-2.128906 34.21875-51.828126 40.363282-118.078126 13.8125-175.59375-1.453124-3.144532-2.273437-5.589844-5.503906-6.851563zm0 0"], ["d", "m416 136.945312h96v16h-96zm0 0"], ["d", "m399.847656 235.175781.152344-135.167969-200-100.007812-200 100v132.464844c-.078125 82.953125 41.382812 160.441406 110.441406 206.398437l89.558594 59.683594 68.992188-45.960937c37.292968 47.78125 101.726562 65.085937 157.941406 42.417968 56.214844-22.667968 90.621094-79.828125 84.335937-140.117187-6.285156-60.289063-51.738281-109.121094-111.421875-119.710938zm-199.847656 244.167969-80.679688-53.773438c-64.613281-43-103.402343-115.492187-103.320312-193.105468v-122.574219l184-92 184 92-.152344 123.453125c-2.609375-.152344-5.199218-.398438-7.847656-.398438-2.777344 0-5.488281.246094-8.222656.414063l.222656-113.589844-168-84.007812-168 84v112.703125c-.058594 72.253906 36.054688 139.738281 96.199219 179.777344l71.800781 47.839843 52.335938-34.871093c2.238281 4.878906 4.765624 9.625 7.566406 14.207031zm46.351562-69.367188-46.351562 30.878907-62.917969-41.925781c-3.105469-2.074219-6.113281-4.25-9.082031-6.480469v-71.503907h-16v58.078126c-8.78125-8.140626-16.8125-17.058594-24-26.636719v-46.488281c.003906-11.003907 7.484375-20.59375 18.152344-23.273438l54.253906-13.601562c1.742188 17.347656 14.527344 31.5625 31.59375 35.121093v32.800781h16v-32.800781c17.066406-3.558593 29.847656-17.773437 31.585938-35.121093l35.613281 8.945312c-32.46875 35.707031-43.460938 86.003906-28.847657 132zm-6.351562-249.03125-12-16h-13.886719l-1.6875.839844c-9.417969 4.695313-19.792969 7.144532-30.3125 7.160156h-37.449219c1.621094-10.03125 8.007813-18.652343 17.136719-23.121093 17.695313-7.871094 37.632813-9.128907 56.175781-3.535157l1.839844 2.65625h12.183594c4.417969 0 8 3.582032 8 8zm-57.886719 8c12.347657-.015624 24.542969-2.746093 35.71875-8h2.167969l20 26.664063v33.335937l-26.664062 20h-26.671876l-26.664062-20v-52zm-6.113281 84 5.335938 4h37.328124l5.335938-4v12c0 13.253907-10.746094 24-24 24s-24-10.746093-24-24zm112.640625 11.910157-48.640625-12.222657v-11.6875l16-12v-92c0-13.253906-10.746094-24-24-24h-5.320312c-11.582032-7.03125-40.398438-8.457031-60.800782-2.070312-22.886718 5.617188-38.695312 26.515625-37.878906 50.070312v8h16v60l16 12v11.648438l-57.742188 14.519531c-17.796874 4.441407-30.277343 20.441407-30.257812 38.785157v21.597656c-15.765625-29.191406-24.015625-61.851563-24-95.03125v-102.816406l152-76 152 76-.214844 105.601562c-23.273437 4.1875-45.042968 14.398438-63.144531 29.605469zm87.359375 224.089843c-66.273438 0-120-53.726562-120-120 0-66.273437 53.726562-120 120-120s120 53.726563 120 120c-.074219 66.242188-53.757812 119.925782-120 120zm0 0"], ["d", "m410 289.632812-34 34-34-34-45.3125 45.3125 34 34-34 34 45.3125 45.3125 34-34 34 34 45.3125-45.3125-34-34 34-34zm22.6875 113.3125-22.6875 22.6875-34-34-34 34-22.6875-22.6875 34-34-34-34 22.6875-22.6875 34 34 34-34 22.6875 22.6875-34 34zm0 0"], ["d", "m416 168.945312h64v16h-64zm0 0"], ["d", "m416 200.945312h32v16h-32zm0 0"], ["d", "M479.44,85.224L479.44,85.224c-0.088-0.232-0.184-0.44-0.288-0.664c-0.084-0.233-0.183-0.46-0.296-0.68l-48-80\n      C429.41,1.473,426.808,0.001,424,0H56c-2.808,0.001-5.41,1.473-6.856,3.88l-48,80c-0.113,0.22-0.212,0.447-0.296,0.68\n      c-0.104,0.216-0.2,0.432-0.288,0.664C0.212,86.109,0.022,87.049,0,88v384c0,4.418,3.582,8,8,8h464c4.418,0,8-3.582,8-8V88\n      C479.978,87.049,479.788,86.109,479.44,85.224z M424,23.552L457.872,80H424V23.552z M72,16h336v64H72V16z M56,23.552V80H22.128\n      L56,23.552z M464,464H16V96h448V464z"], ["d", "M128,376h224c4.418,0,8-3.582,8-8s-3.582-8-8-8h-48V259.312l20.288,20.28c3.178,3.07,8.242,2.982,11.312-0.196\n      c2.995-3.1,2.995-8.016,0-11.116l-33.936-33.928c-3.12-3.128-8.186-3.135-11.314-0.014c-0.005,0.005-0.01,0.01-0.014,0.014\n      L256.4,268.28c-3.07,3.178-2.982,8.242,0.196,11.312c3.1,2.995,8.016,2.995,11.116,0L288,259.312V360h-96V259.312l20.288,20.28\n      c3.069,3.178,8.134,3.266,11.312,0.196c3.178-3.07,3.266-8.134,0.196-11.312c-0.064-0.067-0.13-0.132-0.196-0.196l-33.936-33.928\n      c-3.12-3.128-8.186-3.135-11.314-0.014c-0.005,0.005-0.01,0.01-0.014,0.014L144.4,268.28c-3.178,3.07-3.266,8.134-0.196,11.312\n      c3.069,3.178,8.134,3.266,11.312,0.196c0.067-0.064,0.132-0.13,0.196-0.196L176,259.312V360h-48c-4.418,0-8,3.582-8,8\n      S123.582,376,128,376z"], ["d", "M192,176h96c13.255,0,24-10.745,24-24s-10.745-24-24-24h-96c-13.255,0-24,10.745-24,24S178.745,176,192,176z M192,144h96\n      c4.418,0,8,3.582,8,8s-3.582,8-8,8h-96c-4.418,0-8-3.582-8-8S187.582,144,192,144z"], ["x", "56", "y", "440", "width", "16", "height", "16"], ["x", "24", "y", "440", "width", "16", "height", "16"], ["x", "88", "y", "440", "width", "16", "height", "16"], ["x", "120", "y", "440", "width", "16", "height", "16"], ["x", "152", "y", "440", "width", "16", "height", "16"], ["x", "184", "y", "440", "width", "16", "height", "16"], ["x", "216", "y", "440", "width", "16", "height", "16"], ["x", "248", "y", "440", "width", "16", "height", "16"], ["x", "280", "y", "440", "width", "16", "height", "16"], ["x", "312", "y", "440", "width", "16", "height", "16"], ["x", "344", "y", "440", "width", "16", "height", "16"], ["x", "376", "y", "440", "width", "16", "height", "16"], ["x", "408", "y", "440", "width", "16", "height", "16"], ["x", "440", "y", "440", "width", "16", "height", "16"], ["d", "M496,432.011H272c-8.832,0-16-7.168-16-16s0-311.168,0-320s7.168-16,16-16h224\n\tc8.832,0,16,7.168,16,16v320C512,424.843,504.832,432.011,496,432.011z"], ["d", "M336,176.011h-64c-8.832,0-16-7.168-16-16s7.168-16,16-16h64c8.832,0,16,7.168,16,16\n  S344.832,176.011,336,176.011z", 2, "fill", "#FAFAFA"], ["d", "M336,240.011h-64c-8.832,0-16-7.168-16-16s7.168-16,16-16h64c8.832,0,16,7.168,16,16\n  S344.832,240.011,336,240.011z", 2, "fill", "#FAFAFA"], ["d", "M336,304.011h-64c-8.832,0-16-7.168-16-16s7.168-16,16-16h64c8.832,0,16,7.168,16,16\n  S344.832,304.011,336,304.011z", 2, "fill", "#FAFAFA"], ["d", "M336,368.011h-64c-8.832,0-16-7.168-16-16s7.168-16,16-16h64c8.832,0,16,7.168,16,16\n  S344.832,368.011,336,368.011z", 2, "fill", "#FAFAFA"], ["d", "M432,176.011h-32c-8.832,0-16-7.168-16-16s7.168-16,16-16h32c8.832,0,16,7.168,16,16\n  S440.832,176.011,432,176.011z", 2, "fill", "#FAFAFA"], ["d", "M432,240.011h-32c-8.832,0-16-7.168-16-16s7.168-16,16-16h32c8.832,0,16,7.168,16,16\n  S440.832,240.011,432,240.011z", 2, "fill", "#FAFAFA"], ["d", "M432,304.011h-32c-8.832,0-16-7.168-16-16s7.168-16,16-16h32c8.832,0,16,7.168,16,16\n  S440.832,304.011,432,304.011z", 2, "fill", "#FAFAFA"], ["d", "M432,368.011h-32c-8.832,0-16-7.168-16-16s7.168-16,16-16h32c8.832,0,16,7.168,16,16\n  S440.832,368.011,432,368.011z", 2, "fill", "#FAFAFA"], ["d", "M282.208,19.691c-3.648-3.04-8.544-4.352-13.152-3.392l-256,48C5.472,65.707,0,72.299,0,80.011v352\nc0,7.68,5.472,14.304,13.056,15.712l256,48c0.96,0.192,1.952,0.288,2.944,0.288c3.712,0,7.328-1.28,10.208-3.68\nc3.68-3.04,5.792-7.584,5.792-12.32v-448C288,27.243,285.888,22.731,282.208,19.691z"], ["d", "M220.032,309.483l-50.592-57.824l51.168-65.792c5.44-6.976,4.16-17.024-2.784-22.464\nc-6.944-5.44-16.992-4.16-22.464,2.784l-47.392,60.928l-39.936-45.632c-5.856-6.72-15.968-7.328-22.56-1.504\nc-6.656,5.824-7.328,15.936-1.504,22.56l44,50.304L83.36,310.187c-5.44,6.976-4.16,17.024,2.784,22.464\nc2.944,2.272,6.432,3.36,9.856,3.36c4.768,0,9.472-2.112,12.64-6.176l40.8-52.48l46.528,53.152\nc3.168,3.648,7.584,5.504,12.032,5.504c3.744,0,7.488-1.312,10.528-3.968C225.184,326.219,225.856,316.107,220.032,309.483z", 2, "fill", "#FAFAFA"], ["d", "M496,432.004H272c-8.832,0-16-7.136-16-16s0-311.168,0-320s7.168-16,16-16h224\n\tc8.832,0,16,7.168,16,16v320C512,424.868,504.832,432.004,496,432.004z"], ["d", "M432,176.004H272c-8.832,0-16-7.136-16-16s7.168-16,16-16h160c8.832,0,16,7.168,16,16\n\t\tS440.832,176.004,432,176.004z", 2, "fill", "#ffffff"], ["d", "M432,240.004H272c-8.832,0-16-7.136-16-16s7.168-16,16-16h160c8.832,0,16,7.168,16,16\n\t\tS440.832,240.004,432,240.004z", 2, "fill", "#ffffff"], ["d", "M432,304.004H272c-8.832,0-16-7.136-16-16c0-8.864,7.168-16,16-16h160c8.832,0,16,7.168,16,16\n\t\tS440.832,304.004,432,304.004z", 2, "fill", "#ffffff"], ["d", "M432,368.004H272c-8.832,0-16-7.136-16-16s7.168-16,16-16h160c8.832,0,16,7.168,16,16\n\t\tS440.832,368.004,432,368.004z", 2, "fill", "#ffffff"], ["d", "M282.208,19.716c-3.648-3.072-8.544-4.352-13.152-3.424l-256,48C5.504,65.7,0,72.324,0,80.004v352\n\tc0,7.68,5.472,14.304,13.056,15.712l256,48c0.992,0.192,1.952,0.288,2.944,0.288c3.712,0,7.328-1.28,10.208-3.68\n\tc3.68-3.04,5.792-7.552,5.792-12.32v-448C288,27.236,285.888,22.756,282.208,19.716z"], ["d", "M207.904,337.796c-0.832,7.328-6.592,13.184-13.92,14.08c-0.672,0.096-1.312,0.128-1.984,0.128\n\tc-6.592,0-12.608-4.096-14.976-10.368L144,253.572l-33.024,88.064c-2.56,6.848-9.28,11.04-16.704,10.272\n\tc-7.264-0.768-13.088-6.4-14.112-13.664l-16-112c-1.248-8.704,4.832-16.832,13.568-18.08c8.768-1.28,16.864,4.832,18.112,13.568\n\tl7.136,50.048l26.016-69.408c4.672-12.48,25.28-12.48,29.984,0l24.512,65.344l8.608-77.504c0.992-8.768,9.12-15.072,17.664-14.144\n\tc8.8,1.024,15.104,8.928,14.144,17.696L207.904,337.796z", 2, "fill", "#FAFAFA"], ["d", "m481.059 77.662-70.772-70.77c-4.445-4.444-10.354-6.892-16.64-6.892h-297.97c-12.975 0-23.532 10.557-23.532 23.532v232.984h-16.548c-17.396 0-31.548 14.153-31.548 31.548v144.29c0 17.396 14.152 31.549 31.548 31.549h248.5c12.976 0 23.532-10.557 23.532-23.532v-112.225c0-12.976-10.557-23.533-23.532-23.533h-248.5c-9.125 0-16.548-7.423-16.548-16.548s7.423-16.548 16.548-16.548h16.548v8.535c0 4.142 3.358 7.5 7.5 7.5s7.5-3.358 7.5-7.5v-256.52c0-4.705 3.828-8.532 8.532-8.532h289.097v72.661c0 8.556 6.96 15.517 15.516 15.517h72.661v385.29c0 4.705-3.828 8.532-8.532 8.532h-368.742c-4.705 0-8.532-3.827-8.532-8.532 0-4.142-3.358-7.5-7.5-7.5s-7.5 3.358-7.5 7.5c0 12.976 10.557 23.532 23.532 23.532h368.742c12.976 0 23.532-10.557 23.532-23.532v-394.166c.001-6.285-2.447-12.195-6.892-16.64zm-425.462 241.951h248.5c4.705 0 8.532 3.828 8.532 8.533v112.226c0 4.705-3.828 8.532-8.532 8.532h-248.5c-9.125 0-16.548-7.424-16.548-16.549v-117.44c4.813 2.979 10.483 4.698 16.548 4.698zm344.177-231.952v-70.068l70.587 70.585h-70.071c-.284 0-.516-.232-.516-.517z"], ["d", "m236.571 423.588c4.142 0 7.5-3.358 7.5-7.5v-24.933h16.251c4.142 0 7.5-3.358 7.5-7.5s-3.358-7.5-7.5-7.5h-16.251v-16.227h18.301c4.142 0 7.5-3.358 7.5-7.5 0-4.143-3.358-7.5-7.5-7.5h-25.801c-4.142 0-7.5 3.357-7.5 7.5v63.659c0 4.142 3.358 7.501 7.5 7.501z"], ["d", "m157.74 420.697c1.405 1.395 3.305 2.177 5.284 2.177h.028c.533-.002 13.098-.05 18.117-.138 18.533-.324 31.985-16.506 31.985-38.478 0-23.097-13.113-38.616-32.631-38.616h-17.625c-1.992 0-3.901.792-5.308 2.202s-2.196 3.321-2.192 5.312v.049.001 61.157c0 .515.052 1.018.151 1.504.12 1.819.89 3.539 2.191 4.83zm22.783-60.055c13 0 17.631 12.199 17.631 23.616 0 16.012-8.662 23.331-17.247 23.48-2.386.042-6.643.075-10.409.098-.024-7.358-.074-39.54-.087-47.194z"], ["d", "m95.445 423.822c4.142 0 7.5-3.357 7.5-7.5v-20.396c3.724-.02 7.958-.039 10.356-.039 14.31 0 25.952-11.482 25.952-25.597s-11.642-25.598-25.952-25.598h-17.856c-1.993 0-3.904.794-5.312 2.205-1.402 1.406-2.187 3.311-2.187 5.295h-.001v64.129c0 4.144 3.358 7.501 7.5 7.501zm17.856-64.129c5.937 0 10.952 4.854 10.952 10.598s-5.015 10.597-10.952 10.597c-2.382 0-6.563.019-10.273.038-.02-3.831-.05-17.224-.061-21.232h10.334z"], ["d", "m235.948 217.462c-18.433 5.818-37.352 13.871-47.444 24.288-8.327 8.595-9.836 18.567-4.141 27.36 3.865 5.967 9.178 9.086 15.152 9.086 2.293 0 4.684-.46 7.127-1.394 8.813-3.37 18.331-12.957 29.098-29.31 3.476-5.279 6.995-11.146 10.498-17.493 1.275-.375 2.575-.748 3.905-1.12 21.166-5.922 45.112-10.22 66.128-12.016 12.811 12.388 26.053 22.04 37.342 24.673 12.419 2.897 22.265-2.782 26.332-15.192 2.463-7.517-.373-14.605-7.588-18.96-7.418-4.479-20.309-6.642-38.306-6.436-3.833.044-7.879.2-12.089.461-8.085-8.338-16.497-18.303-24.598-29.308-6.276-8.525-11.886-17.056-16.63-25.165.516-1.777 1.006-3.53 1.471-5.252 5.127-19.013 6.956-33.57 5.435-43.268-2.197-14.005-11.236-15.994-15.02-16.198-12.885-.697-21.564 5.804-23.215 17.389-1.312 9.203 1.783 21.865 9.198 37.633 1.763 3.748 3.74 7.611 5.911 11.556-.809 2.596-1.686 5.297-2.636 8.108-6.914 20.454-16.278 42.249-25.93 60.558zm-36.017 45.694c-.535.067-1.437.18-2.979-2.201-1.255-1.938-1.323-3.4-.252-5.396 2.504-4.668 11.053-11.218 27.596-17.984-11.546 17.908-20.175 25.058-24.365 25.581zm165.884-41.993c-.011.093-.041.259-.124.511-1.873 5.716-4.39 6.255-8.671 5.256-5.226-1.219-11.864-5.08-19.268-10.989 20.048.16 27.042 3.772 28.063 5.222zm-101.561-119.438c.306-2.144.649-4.555 6.355-4.555.359 0 .74.01 1.142.029 1.708 2.081 2.587 11.34-1.365 29.664-4.655-10.675-6.929-19.543-6.132-25.138zm10.444 64.004c3.292 5.059 6.833 10.168 10.586 15.266 5.384 7.314 11.466 14.907 17.899 22.155-7.442.898-15.118 2.057-22.797 3.451-5.196.943-14.255 2.722-24.859 5.367 2.352-4.877 4.671-9.932 6.94-15.13 4.51-10.329 8.658-20.898 12.231-31.109z"], ["viewBox", "0 -1 381.53417 381", "xmlns", "http://www.w3.org/2000/svg", 1, "koala-icon", 3, "id", "ngClass"], ["d", "m370.589844 230.964844c-5.523438 0-10 4.476562-10 10v88.792968c-.019532 16.558594-13.4375 29.980469-30 30h-280.589844c-16.5625-.019531-29.980469-13.441406-30-30v-260.589843c.019531-16.5625 13.4375-29.980469 30-30h88.789062c5.523438 0 10-4.476563 10-10 0-5.523438-4.476562-10-10-10h-88.789062c-27.601562.03125-49.96875 22.398437-50 50v260.589843c.03125 27.601563 22.398438 49.96875 50 50h280.589844c27.601562-.03125 49.96875-22.398437 50-50v-88.789062c0-5.523438-4.476563-10.003906-10-10.003906zm0 0"], ["d", "m156.367188 178.34375 146.011718-146.015625 47.089844 47.089844-146.011719 146.015625zm0 0"], ["d", "m132.542969 249.257812 52.039062-14.414062-37.625-37.625zm0 0"], ["d", "m362.488281 7.578125c-9.769531-9.746094-25.585937-9.746094-35.355469 0l-10.605468 10.605469 47.089844 47.089844 10.605468-10.605469c9.75-9.769531 9.75-25.585938 0-35.355469zm0 0"], ["viewBox", "0 0 512 512", "xmlns", "http://www.w3.org/2000/svg", 1, "koala-icon", 3, "id", "ngClass"], ["d", "m424 64h-88v-16c0-26.51-21.49-48-48-48h-64c-26.51 0-48 21.49-48 48v16h-88c-22.091 0-40 17.909-40 40v32c0 8.837 7.163 16 16 16h384c8.837 0 16-7.163 16-16v-32c0-22.091-17.909-40-40-40zm-216-16c0-8.82 7.18-16 16-16h64c8.82 0 16 7.18 16 16v16h-96z"], ["d", "m78.364 184c-2.855 0-5.13 2.386-4.994 5.238l13.2 277.042c1.22 25.64 22.28 45.72 47.94 45.72h242.98c25.66 0 46.72-20.08 47.94-45.72l13.2-277.042c.136-2.852-2.139-5.238-4.994-5.238zm241.636 40c0-8.84 7.16-16 16-16s16 7.16 16 16v208c0 8.84-7.16 16-16 16s-16-7.16-16-16zm-80 0c0-8.84 7.16-16 16-16s16 7.16 16 16v208c0 8.84-7.16 16-16 16s-16-7.16-16-16zm-80 0c0-8.84 7.16-16 16-16s16 7.16 16 16v208c0 8.84-7.16 16-16 16s-16-7.16-16-16z"], ["d", "m377.442 210.448h56.26c4.447 17.114 20.027 29.786 38.512 29.786 21.938 0 39.786-17.848 39.786-39.786s-17.848-39.785-39.786-39.785c-18.485 0-34.065 12.672-38.512 29.785h-56.26v-33.516c0-24.395-19.846-44.24-44.24-44.24h-217.62c.452-9.587 8.37-17.254 18.068-17.254h300.052c4.447 17.113 20.027 29.785 38.512 29.785 21.938 0 39.786-17.848 39.786-39.785 0-21.938-17.848-39.786-39.786-39.786-18.485 0-34.065 12.673-38.512 29.786h-300.052c-20.727 0-37.63 16.635-38.09 37.254h-51.32c-24.394 0-44.24 19.846-44.24 44.24v212.694c0 24.394 19.846 44.239 44.24 44.239h105.685l-3.602 32.481h-24.413c-5.523 0-10 4.478-10 10s4.477 10 10 10h133.465c5.523 0 10-4.478 10-10s-4.477-10-10-10h-24.414l-3.602-32.481h105.843c24.394 0 44.24-19.846 44.24-44.239 0-17.105 0-50.488 0-66.361h56.26c4.447 17.114 20.027 29.786 38.512 29.786 21.938 0 39.786-17.848 39.786-39.786s-17.848-39.786-39.786-39.786c-18.485 0-34.065 12.673-38.512 29.786h-56.26zm94.772-29.785c10.91 0 19.786 8.876 19.786 19.785 0 10.91-8.876 19.786-19.786 19.786s-19.786-8.876-19.786-19.786c0-10.909 8.876-19.785 19.786-19.785zm0-115.011c10.91 0 19.786 8.876 19.786 19.786 0 10.909-8.876 19.785-19.786 19.785s-19.786-8.876-19.786-19.785c0-10.91 8.876-19.786 19.786-19.786zm0 207.827c10.91 0 19.786 8.876 19.786 19.786s-8.876 19.786-19.786 19.786-19.786-8.876-19.786-19.786 8.876-19.786 19.786-19.786zm-261.376 172.869h-44.392l3.602-32.481h37.189zm146.604-105.902h-33.109c-5.523 0-10 4.478-10 10s4.477 10 10 10h33.109v9.181c0 13.365-10.874 24.239-24.24 24.239-10.015 0-274.856 0-288.962 0-13.366 0-24.24-10.874-24.24-24.239v-9.181h224.333c5.523 0 10-4.478 10-10s-4.477-10-10-10h-224.333v-183.513c0-13.366 10.874-24.24 24.24-24.24h51.298v34.976h-30.668c-14.676 0-26.617 11.94-26.617 26.616v103.395c0 14.677 11.94 26.617 26.617 26.617h81.337c14.676 0 26.616-11.94 26.616-26.617v-103.396c0-14.676-11.94-26.616-26.616-26.616h-30.668v-34.976h217.664c13.366 0 24.24 10.874 24.24 24.24v33.516h-18.255c-.027-12.566-10.257-22.78-22.829-22.78h-107.821c-12.589 0-22.831 10.241-22.831 22.83v19.901c0 12.589 10.242 22.83 22.831 22.83h107.821c12.573 0 22.803-10.215 22.829-22.781h18.255v72.817h-18.331c-.922-11.75-10.77-21.03-22.753-21.03h-107.821c-12.589 0-22.831 10.241-22.831 22.83v16.4c0 12.589 10.242 22.831 22.831 22.831h107.821c11.983 0 21.831-9.281 22.753-21.031h18.331v37.181zm-211.235-152.778c3.648 0 6.616 2.968 6.616 6.616v103.396c0 3.648-2.968 6.617-6.616 6.617h-81.337c-3.648 0-6.617-2.969-6.617-6.617v-103.396c0-3.648 2.968-6.616 6.617-6.616zm172.982 2.83v19.901c0 1.561-1.27 2.83-2.831 2.83h-107.82c-1.561 0-2.831-1.27-2.831-2.83v-19.901c0-1.561 1.27-2.83 2.831-2.83h107.821c1.56 0 2.83 1.27 2.83 2.83zm0 94.567v16.4c0 1.562-1.27 2.831-2.831 2.831h-107.82c-1.561 0-2.831-1.27-2.831-2.831v-16.4c0-1.561 1.27-2.83 2.831-2.83h107.821c1.56 0 2.83 1.27 2.83 2.83z"], ["d", "m202.388 367.656h-27.333c-5.523 0-10 4.478-10 10s4.477 10 10 10h27.333c5.523 0 10-4.478 10-10s-4.477-10-10-10z"], ["d", "m81.394 277.393c4.37 3.36 10.65 2.553 14.022-1.834l10.122-13.168 10.122 13.168c3.372 4.386 9.648 5.195 14.022 1.834 4.379-3.366 5.2-9.645 1.834-14.023l-13.365-17.387 13.365-17.387c3.366-4.379 2.545-10.657-1.834-14.023-4.378-3.366-10.657-2.544-14.022 1.834l-10.122 13.168-10.122-13.168c-3.365-4.377-9.644-5.198-14.022-1.834-4.379 3.366-5.2 9.645-1.834 14.023l13.365 17.387-13.365 17.386c-3.366 4.379-2.545 10.657 1.834 14.024z"], ["d", "m284.358 340.446h-.025c-5.523 0-9.987 4.478-9.987 10s4.489 10 10.012 10 10-4.478 10-10-4.477-10-10-10z"], ["viewBox", "0 0 64 64", "xmlns", "http://www.w3.org/2000/svg", 1, "koala-icon", 3, "id", "ngClass"], ["d", "m46.83 8.45-4-6a1 1 0 0 0 -.83-.45h-20a1 1 0 0 0 -.83.45l-4 6a.967.967 0 0 0 -.17.55v20a3.009 3.009 0 0 0 3 3h24a3.009 3.009 0 0 0 3-3v-20a.967.967 0 0 0 -.17-.55zm-24.29-4.45h18.92l2.67 4h-24.26zm11.46 6v7.13l-1.45-.96a.963.963 0 0 0 -1.1 0l-1.45.96v-7.13zm-15 0h9v4h-9zm26 19a1 1 0 0 1 -1 1h-24a1 1 0 0 1 -1-1v-13h9v3a.984.984 0 0 0 .53.88.963.963 0 0 0 1.02-.05l2.45-1.63 2.45 1.63a1 1 0 0 0 1.55-.83v-3h9zm0-15h-9v-4h9z"], ["d", "m32.707 36.293a1 1 0 0 0 -1.414 0l-6 6a1 1 0 0 0 .707 1.707h2v7h2v-8a1 1 0 0 0 -1-1h-.586l3.586-3.586 3.586 3.586h-.586a1 1 0 0 0 -1 1v12h2v-11h2a1 1 0 0 0 .707-1.707z"], ["d", "m51 4h2v6h-2z"], ["d", "m51 12h2v2h-2z"], ["d", "m57 7h2v4h-2z"], ["d", "m57 13h2v2h-2z"], ["d", "m11 4h2v6h-2z"], ["d", "m11 12h2v2h-2z"], ["d", "m5 7h2v4h-2z"], ["d", "m5 13h2v2h-2z"], ["d", "m44 56h2v2h-2z"], ["d", "m56 18a4 4 0 0 0 -4 4v8.44a3.354 3.354 0 0 0 -.44.07 4 4 0 0 0 -2.43 1.87l-7 12.12a1.063 1.063 0 0 0 -.13.5v7h-1a1 1 0 0 0 -1 1v8a1 1 0 0 0 1 1h16a1 1 0 0 0 1-1v-8a1 1 0 0 0 -1-1h-1v-.65l3.78-4.73a.977.977 0 0 0 .22-.62v-24a4 4 0 0 0 -4-4zm0 42h-14v-6h14zm2-14.35-3.78 4.73a.977.977 0 0 0 -.22.62v1h-10v-6.73l6.87-11.89a2 2 0 1 1 3.46 2l-5 8.66 1.73 1 5-8.66a4.008 4.008 0 0 0 -1.46-5.47 4.592 4.592 0 0 0 -.6-.27v-8.64a2 2 0 0 1 4 0z"], ["d", "m24 52h-1v-7a1.063 1.063 0 0 0 -.13-.5l-7-12.12a3.994 3.994 0 0 0 -2.87-1.94v-8.44a4 4 0 0 0 -8 0v24a.977.977 0 0 0 .22.62l3.78 4.73v.65h-1a1 1 0 0 0 -1 1v8a1 1 0 0 0 1 1h16a1 1 0 0 0 1-1v-8a1 1 0 0 0 -1-1zm-17-6.35v-23.65a2 2 0 0 1 4 0v8.64a5.279 5.279 0 0 0 -.6.27 4 4 0 0 0 -1.46 5.47l5 8.66 1.73-1-5-8.66a2 2 0 1 1 3.46-2l6.87 11.89v6.73h-10v-1a.977.977 0 0 0 -.22-.62zm16 14.35h-14v-6h14z"], ["d", "m19 56h2v2h-2z"], ["d", "m34 57h2v2h-2z"], ["d", "m28 53h2v2h-2z"], ["enable-background", "new 0 0 24 24", "viewBox", "0 2 24 24", "xmlns", "http://www.w3.org/2000/svg", 1, "koala-icon", 3, "id", "ngClass"], ["d", "m12 .5c-6.63 0-12 5.28-12 11.792 0 5.211 3.438 9.63 8.205 11.188.6.111.82-.254.82-.567 0-.28-.01-1.022-.015-2.005-3.338.711-4.042-1.582-4.042-1.582-.546-1.361-1.335-1.725-1.335-1.725-1.087-.731.084-.716.084-.716 1.205.082 1.838 1.215 1.838 1.215 1.07 1.803 2.809 1.282 3.495.981.108-.763.417-1.282.76-1.577-2.665-.295-5.466-1.309-5.466-5.827 0-1.287.465-2.339 1.235-3.164-.135-.298-.54-1.497.105-3.121 0 0 1.005-.316 3.3 1.209.96-.262 1.98-.392 3-.398 1.02.006 2.04.136 3 .398 2.28-1.525 3.285-1.209 3.285-1.209.645 1.624.24 2.823.12 3.121.765.825 1.23 1.877 1.23 3.164 0 4.53-2.805 5.527-5.475 5.817.42.354.81 1.077.81 2.182 0 1.578-.015 2.846-.015 3.229 0 .309.21.678.825.56 4.801-1.548 8.236-5.97 8.236-11.173 0-6.512-5.373-11.792-12-11.792z"]], template: function IconComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, IconComponent__svg_svg_0_Template, 10, 4, "svg", 0);
        i0.ɵɵtemplate(1, IconComponent__svg_svg_1_Template, 8, 4, "svg", 0);
        i0.ɵɵtemplate(2, IconComponent__svg_svg_2_Template, 6, 4, "svg", 0);
        i0.ɵɵtemplate(3, IconComponent__svg_svg_3_Template, 36, 4, "svg", 0);
        i0.ɵɵtemplate(4, IconComponent__svg_svg_4_Template, 28, 4, "svg", 0);
        i0.ɵɵtemplate(5, IconComponent__svg_svg_5_Template, 24, 4, "svg", 0);
        i0.ɵɵtemplate(6, IconComponent__svg_svg_6_Template, 6, 4, "svg", 0);
        i0.ɵɵtemplate(7, IconComponent__svg_svg_7_Template, 5, 4, "svg", 1);
        i0.ɵɵtemplate(8, IconComponent__svg_svg_8_Template, 3, 4, "svg", 2);
        i0.ɵɵtemplate(9, IconComponent__svg_svg_9_Template, 5, 4, "svg", 2);
        i0.ɵɵtemplate(10, IconComponent__svg_svg_10_Template, 17, 4, "svg", 3);
        i0.ɵɵtemplate(11, IconComponent__svg_svg_11_Template, 2, 4, "svg", 4);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.icon === "notFound");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "notAllowed");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "sessionExpired");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "empty");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "excel");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "word");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "pdf");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "edit");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "trash");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "webComponents");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "deliveryBox");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "github");
    } }, directives: [i1$1.NgIf, i1$1.NgClass], styles: [".koala-icon[_ngcontent-%COMP%]{overflow:visible;display:block;margin:auto}"] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(IconComponent, [{
        type: Component,
        args: [{
                selector: 'koala-icon',
                templateUrl: 'icon.component.html',
                styleUrls: ['icon.component.css']
            }]
    }], null, { color: [{
            type: Input
        }], icon: [{
            type: Input
        }], size: [{
            type: Input
        }] }); })();

function ButtonComponent_button_0_mat_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r3.icon);
} }
function ButtonComponent_button_0_koala_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "koala-icon", 5);
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("color", ctx_r4.color)("icon", ctx_r4.icon)("size", ctx_r4.koalaIconSize);
} }
function ButtonComponent_button_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "button", 2);
    i0.ɵɵtemplate(1, ButtonComponent_button_0_mat_icon_1_Template, 2, 1, "mat-icon", 3);
    i0.ɵɵtemplate(2, ButtonComponent_button_0_koala_icon_2_Template, 1, 3, "koala-icon", 4);
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r0.style);
    i0.ɵɵproperty("matTooltipDisabled", !ctx_r0.tooltip)("matTooltip", ctx_r0.tooltip)("disabled", ctx_r0.disabled);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r0.icon && !ctx_r0.koalaIcon);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r0.icon && ctx_r0.koalaIcon);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1(" ", ctx_r0.text, "\n");
} }
function ButtonComponent_ng_template_1_mat_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r5.icon);
} }
function ButtonComponent_ng_template_1_koala_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "koala-icon", 5);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("color", ctx_r6.color)("icon", ctx_r6.icon)("size", ctx_r6.koalaIconSize);
} }
function ButtonComponent_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "button", 6);
    i0.ɵɵtemplate(1, ButtonComponent_ng_template_1_mat_icon_1_Template, 2, 1, "mat-icon", 3);
    i0.ɵɵtemplate(2, ButtonComponent_ng_template_1_koala_icon_2_Template, 1, 3, "koala-icon", 4);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r2.style);
    i0.ɵɵproperty("matTooltipDisabled", !ctx_r2.tooltip)("matTooltip", ctx_r2.tooltip)("disabled", ctx_r2.disabled);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", !ctx_r2.koalaIcon);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r2.koalaIcon);
} }
class ButtonComponent {
    constructor() {
        this.color = '#fff';
        this.backgroundColor = '#000';
        this.koalaIcon = false;
        this.koalaIconSize = 20;
    }
    ngOnInit() {
        this.style = `color: ${this.color}!important;background-color: ${this.backgroundColor}!important;`;
    }
}
ButtonComponent.ɵfac = function ButtonComponent_Factory(t) { return new (t || ButtonComponent)(); };
ButtonComponent.ɵcmp = i0.ɵɵdefineComponent({ type: ButtonComponent, selectors: [["koala-button"]], inputs: { color: "color", backgroundColor: "backgroundColor", icon: "icon", text: "text", tooltip: "tooltip", disabled: "disabled", koalaIcon: "koalaIcon", koalaIconSize: "koalaIconSize" }, decls: 3, vars: 2, consts: [["class", "koala-button", "mat-button", "", "matTooltipPosition", "above", "type", "button", 3, "matTooltipDisabled", "matTooltip", "disabled", "style", 4, "ngIf", "ngIfElse"], ["iconButton", ""], ["mat-button", "", "matTooltipPosition", "above", "type", "button", 1, "koala-button", 3, "matTooltipDisabled", "matTooltip", "disabled"], [4, "ngIf"], [3, "color", "icon", "size", 4, "ngIf"], [3, "color", "icon", "size"], ["mat-icon-button", "", "matTooltipPosition", "before", "type", "button", 1, "koala-icon-button", 3, "matTooltipDisabled", "matTooltip", "disabled"]], template: function ButtonComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, ButtonComponent_button_0_Template, 4, 8, "button", 0);
        i0.ɵɵtemplate(1, ButtonComponent_ng_template_1_Template, 3, 7, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor);
    } if (rf & 2) {
        const _r1 = i0.ɵɵreference(2);
        i0.ɵɵproperty("ngIf", ctx.text)("ngIfElse", _r1);
    } }, directives: [i1$1.NgIf, i2.MatButton, i3.MatTooltip, i4.MatIcon, IconComponent], styles: [".koala-button[_ngcontent-%COMP%]{padding:2px 8px}.koala-button[_ngcontent-%COMP%]:disabled, .koala-icon-button[_ngcontent-%COMP%]:disabled{background:#ccc!important;color:#616161!important;cursor:not-allowed}.koala-icon-button[_ngcontent-%COMP%]{height:25px;line-height:25px;width:25px}.koala-icon-button[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{font-size:20px;height:20px;line-height:20px;position:relative;width:20px}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ButtonComponent, [{
        type: Component,
        args: [{
                selector: 'koala-button',
                templateUrl: 'button.component.html',
                styleUrls: ['button.component.css'],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], null, { color: [{
            type: Input
        }], backgroundColor: [{
            type: Input
        }], icon: [{
            type: Input
        }], text: [{
            type: Input
        }], tooltip: [{
            type: Input
        }], disabled: [{
            type: Input
        }], koalaIcon: [{
            type: Input
        }], koalaIconSize: [{
            type: Input
        }] }); })();

class KoalaIconModule {
}
KoalaIconModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaIconModule });
KoalaIconModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaIconModule_Factory(t) { return new (t || KoalaIconModule)(); }, imports: [[
            CommonModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaIconModule, { declarations: [IconComponent], imports: [CommonModule], exports: [IconComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaIconModule, [{
        type: NgModule,
        args: [{
                exports: [
                    IconComponent
                ],
                declarations: [
                    IconComponent
                ],
                imports: [
                    CommonModule
                ]
            }]
    }], null, null); })();

class KoalaButtonModule {
}
KoalaButtonModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaButtonModule });
KoalaButtonModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaButtonModule_Factory(t) { return new (t || KoalaButtonModule)(); }, imports: [[
            CommonModule,
            MatTooltipModule,
            MatButtonModule,
            MatIconModule,
            KoalaIconModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaButtonModule, { declarations: [ButtonComponent], imports: [CommonModule,
        MatTooltipModule,
        MatButtonModule,
        MatIconModule,
        KoalaIconModule], exports: [ButtonComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaButtonModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    ButtonComponent
                ],
                imports: [
                    CommonModule,
                    MatTooltipModule,
                    MatButtonModule,
                    MatIconModule,
                    KoalaIconModule
                ],
                exports: [
                    ButtonComponent
                ]
            }]
    }], null, null); })();

class IconsAnimatedService {
    init(icon, size, color) {
        this.idIcon = `koala-icons_${koala(0).number().random(1, 30).getValue()}`;
        this.style = `width: ${size}px;height: ${size}px;`;
        this.intervalCheckElement = setInterval(() => {
            const mainElementSelector = `svg#${this.idIcon}.${icon}`;
            const elSvgIcon = document.querySelector(mainElementSelector);
            if (elSvgIcon) {
                document.querySelectorAll(`
          ${mainElementSelector} path,
          ${mainElementSelector} rect,
          ${mainElementSelector} circle,
          ${mainElementSelector} polygon
        `).forEach((el) => {
                    if (!el.style.fill) {
                        el.style.fill = color;
                    }
                });
                clearInterval(this.intervalCheckElement);
            }
        }, 1);
    }
}
IconsAnimatedService.ɵfac = function IconsAnimatedService_Factory(t) { return new (t || IconsAnimatedService)(); };
IconsAnimatedService.ɵprov = i0.ɵɵdefineInjectable({ token: IconsAnimatedService, factory: IconsAnimatedService.ɵfac });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(IconsAnimatedService, [{
        type: Injectable
    }], null, null); })();

class DownloadingIconAnimatedComponent {
    constructor(iconService) {
        this.iconService = iconService;
    }
    ngOnInit() {
        this.iconService.init('downloading', this.size, this.color);
    }
}
DownloadingIconAnimatedComponent.ɵfac = function DownloadingIconAnimatedComponent_Factory(t) { return new (t || DownloadingIconAnimatedComponent)(i0.ɵɵdirectiveInject(IconsAnimatedService)); };
DownloadingIconAnimatedComponent.ɵcmp = i0.ɵɵdefineComponent({ type: DownloadingIconAnimatedComponent, selectors: [["koala-icon-animated-downloading"]], inputs: { size: "size", color: "color" }, features: [i0.ɵɵProvidersFeature([IconsAnimatedService])], decls: 6, vars: 3, consts: [["id", "downloading", "viewBox", "0 0 512 512", "xmlns", "http://www.w3.org/2000/svg", 1, "koala-icon-animated", "downloading", 3, "id"], ["d", "M56,496H456a40.045,40.045,0,0,0,40-40V184a40.045,40.045,0,0,0-40-40h-8V104c0-.092-.01-.182-.014-.274s-.007-.174-.012-.261a7.988,7.988,0,0,0-.4-2.026c-.027-.081-.056-.161-.086-.241a8.069,8.069,0,0,0-.4-.914c-.007-.013-.012-.027-.019-.041a7.96,7.96,0,0,0-.556-.882c-.05-.071-.1-.14-.154-.209a7.947,7.947,0,0,0-.7-.809l-80-80a8.039,8.039,0,0,0-.806-.694c-.071-.054-.142-.107-.214-.158a8.2,8.2,0,0,0-.879-.553c-.015-.008-.032-.014-.048-.022a7.891,7.891,0,0,0-.908-.4c-.08-.03-.159-.059-.24-.086a7.992,7.992,0,0,0-2.03-.4c-.085,0-.17-.009-.256-.012S360.093,16,360,16H152a40.045,40.045,0,0,0-40,40V96H56a40.045,40.045,0,0,0-40,40V456A40.045,40.045,0,0,0,56,496ZM456,160a24.028,24.028,0,0,1,24,24V456a24.028,24.028,0,0,1-24,24H424a24.028,24.028,0,0,1-24-24v-8h8a40.045,40.045,0,0,0,40-40V160ZM420.687,96H392a24.027,24.027,0,0,1-24-24V43.313ZM128,56a24.027,24.027,0,0,1,24-24H352V72a40.045,40.045,0,0,0,40,40h40V408a24.027,24.027,0,0,1-24,24h-8V232a40.045,40.045,0,0,0-40-40H192V136a40.045,40.045,0,0,0-40-40H128ZM32,136a24.028,24.028,0,0,1,24-24h96a24.028,24.028,0,0,1,24,24v64a8,8,0,0,0,8,8H360a24.028,24.028,0,0,1,24,24V456a39.792,39.792,0,0,0,8.019,24H56a24.028,24.028,0,0,1-24-24Z"], ["d", "M272,152a8,8,0,0,0,8,8H392a8,8,0,0,0,0-16H280A8,8,0,0,0,272,152Z", 1, "letters"], ["d", "M224,112h56a8,8,0,0,0,0-16H224a8,8,0,0,0,0,16Z", 1, "letters"], ["d", "M248,144H232a8,8,0,0,0,0,16h16a8,8,0,0,0,0-16Z", 1, "letters"], ["id", "arrow-down", "d", "M178.917,429.329A8,8,0,0,0,184.879,432h.088a8.006,8.006,0,0,0,5.99-2.8l55.294-64.612a8,8,0,0,0-6.077-13.2h-.089l-24,.264-.967-87.995a8,8,0,0,0-8-7.912h-.09l-48,.527a8,8,0,0,0-7.911,8.087l.967,88-24,.264a8,8,0,0,0-5.874,13.333Zm-18.651-61.067a8,8,0,0,0,7.911-8.087l-.967-87.995,32-.351.967,87.994a7.967,7.967,0,0,0,8.088,7.912l14.369-.158-37.887,44.27L145.9,368.42Z"]], template: function DownloadingIconAnimatedComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵnamespaceSVG();
        i0.ɵɵelementStart(0, "svg", 0);
        i0.ɵɵelement(1, "path", 1);
        i0.ɵɵelement(2, "path", 2);
        i0.ɵɵelement(3, "path", 3);
        i0.ɵɵelement(4, "path", 4);
        i0.ɵɵelement(5, "path", 5);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵstyleMap(ctx.iconService.style);
        i0.ɵɵproperty("id", ctx.iconService.idIcon);
    } }, styles: [".koala-icon-animated[_ngcontent-%COMP%]{overflow:visible;display:block;margin:auto}.koala-icon-animated.downloading[_ngcontent-%COMP%]   #arrow-down[_ngcontent-%COMP%]{-webkit-animation:downloading-arrow 1.4s ease-in-out infinite;animation:downloading-arrow 1.4s ease-in-out infinite}.koala-icon-animated.downloading[_ngcontent-%COMP%]   .letters[_ngcontent-%COMP%]{animation:downloading-letters 1.4s ease-in infinite reverse;transform:rotateY(-60deg);opacity:0}@-webkit-keyframes downloading-arrow{0%{transform:translateY(-30px);opacity:0}}@keyframes downloading-arrow{0%{transform:translateY(-30px);opacity:0}}@-webkit-keyframes downloading-letters{0%{transform:rotateX(0);opacity:1}}@keyframes downloading-letters{0%{transform:rotateX(0);opacity:1}}"] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DownloadingIconAnimatedComponent, [{
        type: Component,
        args: [{
                selector: 'koala-icon-animated-downloading',
                templateUrl: 'downloading-icon-animated.component.html',
                styleUrls: ['downloading-icon-animated.component.css'],
                providers: [IconsAnimatedService]
            }]
    }], function () { return [{ type: IconsAnimatedService }]; }, { size: [{
            type: Input
        }], color: [{
            type: Input
        }] }); })();

class LoadingIconAnimatedComponent {
    constructor(iconService) {
        this.iconService = iconService;
    }
    ngOnInit() {
        this.iconService.init('loading', this.size, this.color);
    }
}
LoadingIconAnimatedComponent.ɵfac = function LoadingIconAnimatedComponent_Factory(t) { return new (t || LoadingIconAnimatedComponent)(i0.ɵɵdirectiveInject(IconsAnimatedService)); };
LoadingIconAnimatedComponent.ɵcmp = i0.ɵɵdefineComponent({ type: LoadingIconAnimatedComponent, selectors: [["koala-icon-animated-loading"]], inputs: { size: "size", color: "color" }, features: [i0.ɵɵProvidersFeature([IconsAnimatedService])], decls: 24, vars: 3, consts: [["id", "loading", "enable-background", "new 0 0 64 64", "viewBox", "0 0 64 64", "xmlns", "http://www.w3.org/2000/svg", 1, "koala-icon-animated", "loading", 3, "id"], ["d", "m39 7v-2c-.746 0-1.492.075-2.216.224l.401 1.959c.593-.121 1.203-.183 1.815-.183z"], ["d", "m35.527 7.694-.772-1.844c-4.104 1.717-6.755 5.701-6.755 10.15h2c0-3.64 2.169-6.9 5.527-8.306z"], ["d", "m47.351 47.464 4.649-.581v-7.766l-4.649-.581c-.255-.876-.605-1.717-1.005-2.536h6.654c5.514 0 10-4.486 10-10 0-5.163-3.932-9.424-9-9.944 0-.019 0-.037 0-.056 0-8.271-6.729-15-15-15-4.935 0-9.307 2.406-12.042 6.095-1.552-.705-3.242-1.095-4.958-1.095-5.872 0-10.888 4.34-11.833 10.042-5.125.426-9.167 4.725-9.167 9.958 0 5.514 4.486 10 10 10h6.654c-.4.819-.751 1.66-1.005 2.536l-4.649.581v7.766l4.649.581c.327 1.124.775 2.207 1.341 3.233l-2.877 3.699 5.491 5.491 3.699-2.877c1.026.565 2.109 1.014 3.233 1.341l.581 4.649h7.766l.581-4.649c1.124-.327 2.207-.775 3.233-1.341l3.699 2.877 5.491-5.491-2.877-3.699c.566-1.026 1.014-2.109 1.341-3.233zm-44.351-21.464c0-4.411 3.589-8 8-8 2.118 0 4.114.819 5.62 2.307l1.405-1.423c-1.597-1.578-3.637-2.546-5.834-2.806.906-4.608 5.016-8.078 9.809-8.078 1.329 0 2.641.275 3.858.783-1.182 2.143-1.858 4.602-1.858 7.217h2c0-7.168 5.832-13 13-13s13 5.832 13 13c0 .28-.021.556-.048.931l-.027 1.069h1.075c4.411 0 8 3.589 8 8s-3.589 8-8 8h-5.976l1.864-2.396-5.491-5.491-3.699 2.877c-1.026-.565-2.109-1.014-3.233-1.341l-.582-4.649h-7.766l-.581 4.649c-1.124.327-2.207.775-3.233 1.341l-3.699-2.877-5.491 5.491 1.863 2.396h-5.976c-4.411 0-8-3.589-8-8zm43.225 28.23-2.994 2.994-3.382-2.63-.589.359c-1.225.746-2.55 1.295-3.941 1.634l-.67.163-.532 4.25h-4.234l-.531-4.25-.67-.163c-1.391-.338-2.716-.888-3.941-1.634l-.589-.359-3.382 2.63-2.994-2.994 2.63-3.382-.359-.589c-.746-1.225-1.295-2.55-1.634-3.941l-.163-.67-4.25-.531v-4.234l4.25-.531.163-.67c.338-1.391.888-2.716 1.634-3.941l.359-.589-2.63-3.382 2.994-2.994 3.382 2.63.589-.359c1.225-.746 2.55-1.295 3.941-1.634l.67-.163.531-4.25h4.234l.531 4.25.67.163c1.391.338 2.716.888 3.941 1.634l.589.359 3.382-2.63 2.994 2.994-2.63 3.382.359.589c.746 1.225 1.295 2.55 1.634 3.941l.163.67 4.25.531v4.234l-4.25.531-.163.67c-.338 1.391-.888 2.716-1.634 3.941l-.359.589z"], ["d", "m32 35c-4.411 0-8 3.589-8 8s3.589 8 8 8 8-3.589 8-8-3.589-8-8-8zm0 14c-3.309 0-6-2.691-6-6s2.691-6 6-6 6 2.691 6 6-2.691 6-6 6z"], ["d", "m41.824 41.122 1.965-.374c-.138-.726-.345-1.441-.614-2.127l-1.862.729c.224.572.396 1.168.511 1.772z"], ["d", "m31.045 33.045-.188-1.991c-.736.069-1.468.208-2.176.411l.553 1.922c.589-.169 1.198-.284 1.811-.342z"], ["d", "m24.593 36.282-1.481-1.344c-.496.546-.943 1.141-1.331 1.768l1.702 1.051c.323-.523.696-1.019 1.11-1.475z"], ["d", "m35.245 31.444c-.71-.199-1.442-.333-2.177-.397l-.176 1.992c.612.054 1.222.166 1.814.331z"], ["d", "m42.18 36.644c-.39-.625-.842-1.217-1.341-1.76l-1.473 1.353c.417.454.793.948 1.119 1.468z"], ["d", "m39.199 33.398c-.591-.444-1.226-.834-1.885-1.161l-.887 1.793c.55.271 1.078.597 1.571.967z"], ["d", "m27.517 34.059-.896-1.788c-.658.33-1.29.725-1.878 1.172l1.211 1.592c.49-.373 1.016-.702 1.563-.976z"], ["d", "m34.746 52.618.548 1.924c.709-.202 1.403-.472 2.064-.802l-.894-1.789c-.55.275-1.128.499-1.718.667z"], ["d", "m22.664 39.409-1.866-.719c-.265.688-.467 1.405-.6 2.132l1.967.36c.11-.604.278-1.201.499-1.773z"], ["d", "m44 43.031v-.077l-2 .046c0 .618-.057 1.236-.168 1.838l1.967.365c.133-.722.201-1.463.201-2.172z"], ["d", "m32.014 53c-.314-.006-.621-.014-.925-.041l-.183 1.991c.366.034.712.049 1.11.05.371 0 .739-.018 1.103-.051l-.185-1.991c-.303.027-.609.042-.92.042z"], ["d", "m40.506 48.26 1.699 1.055c.389-.627.721-1.294.988-1.982l-1.865-.723c-.221.573-.498 1.128-.822 1.65z"], ["d", "m38.031 50.977 1.207 1.595c.588-.445 1.138-.947 1.634-1.492l-1.479-1.347c-.414.454-.872.873-1.362 1.244z"], ["d", "m26.664 53.751c.66.328 1.355.597 2.066.798l.544-1.925c-.592-.167-1.17-.391-1.72-.664z"], ["d", "m22 43.021-2 .004c.001.74.071 1.481.207 2.203l1.966-.369c-.114-.602-.172-1.22-.173-1.838z"], ["d", "m23.144 51.099c.498.544 1.049 1.045 1.637 1.488l1.204-1.597c-.491-.37-.95-.788-1.366-1.242z"], ["d", "m22.679 46.63-1.863.727c.267.685.601 1.351.991 1.979l1.698-1.057c-.326-.524-.604-1.078-.826-1.649z"], ["id", "spinner_right", "d", "m58 37c-1.654 0-3 1.346-3 3 0 1.301.837 2.4 1.997 2.815 0 .062.003.123.003.185 0 6.898-2.892 13.558-7.935 18.27l1.365 1.461c5.446-5.089 8.57-12.281 8.57-19.731 0-.061-.003-.122-.004-.183 1.164-.413 2.004-1.514 2.004-2.817 0-1.654-1.346-3-3-3zm0 4c-.551 0-1-.449-1-1s.449-1 1-1 1 .449 1 1-.449 1-1 1z"], ["id", "spinner_left", "d", "m12 57c-.221 0-.435.028-.643.073-2.842-4.157-4.357-9-4.357-14.073 0-1.618.155-3.236.462-4.809l-1.963-.383c-.331 1.699-.499 3.446-.499 5.192 0 5.454 1.622 10.662 4.665 15.139-.41.513-.665 1.155-.665 1.861 0 1.654 1.346 3 3 3s3-1.346 3-3-1.346-3-3-3zm0 4c-.551 0-1-.449-1-1s.449-1 1-1 1 .449 1 1-.449 1-1 1z"]], template: function LoadingIconAnimatedComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵnamespaceSVG();
        i0.ɵɵelementStart(0, "svg", 0);
        i0.ɵɵelement(1, "path", 1);
        i0.ɵɵelement(2, "path", 2);
        i0.ɵɵelement(3, "path", 3);
        i0.ɵɵelement(4, "path", 4);
        i0.ɵɵelement(5, "path", 5);
        i0.ɵɵelement(6, "path", 6);
        i0.ɵɵelement(7, "path", 7);
        i0.ɵɵelement(8, "path", 8);
        i0.ɵɵelement(9, "path", 9);
        i0.ɵɵelement(10, "path", 10);
        i0.ɵɵelement(11, "path", 11);
        i0.ɵɵelement(12, "path", 12);
        i0.ɵɵelement(13, "path", 13);
        i0.ɵɵelement(14, "path", 14);
        i0.ɵɵelement(15, "path", 15);
        i0.ɵɵelement(16, "path", 16);
        i0.ɵɵelement(17, "path", 17);
        i0.ɵɵelement(18, "path", 18);
        i0.ɵɵelement(19, "path", 19);
        i0.ɵɵelement(20, "path", 20);
        i0.ɵɵelement(21, "path", 21);
        i0.ɵɵelement(22, "path", 22);
        i0.ɵɵelement(23, "path", 23);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵstyleMap(ctx.iconService.style);
        i0.ɵɵproperty("id", ctx.iconService.idIcon);
    } }, styles: [".koala-icon-animated[_ngcontent-%COMP%]{overflow:visible;display:block;margin:auto}.koala-icon-animated.loading[_ngcontent-%COMP%]{-webkit-animation:shake 1.5s ease-in-out infinite alternate;animation:shake 1.5s ease-in-out infinite alternate}.koala-icon-animated.loading[_ngcontent-%COMP%]   #spinner_left[_ngcontent-%COMP%]{animation:rotateLeft 1.4s linear infinite reverse;transform-origin:50% 68%}.koala-icon-animated.loading[_ngcontent-%COMP%]   #spinner_right[_ngcontent-%COMP%]{animation:rotateRight 1.4s linear infinite reverse;transform-origin:50% 68%}@-webkit-keyframes shake{0%{transform:translateY(5px)}}@keyframes shake{0%{transform:translateY(5px)}}@-webkit-keyframes rotateLeft{0%{transform:rotate(-147.5deg)}}@keyframes rotateLeft{0%{transform:rotate(-147.5deg)}}@-webkit-keyframes rotateRight{0%{transform:rotate(-215.5deg)}}@keyframes rotateRight{0%{transform:rotate(-215.5deg)}}"] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LoadingIconAnimatedComponent, [{
        type: Component,
        args: [{
                selector: 'koala-icon-animated-loading',
                templateUrl: 'loading-icon-animated.component.html',
                styleUrls: ['loading-icon-animated.component.css'],
                providers: [IconsAnimatedService]
            }]
    }], function () { return [{ type: IconsAnimatedService }]; }, { size: [{
            type: Input
        }], color: [{
            type: Input
        }] }); })();

function IconsAnimatedComponent_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 1);
    i0.ɵɵelement(1, "koala-icon-animated-loading", 2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("size", ctx_r0.size)("color", ctx_r0.color);
} }
function IconsAnimatedComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 1);
    i0.ɵɵelement(1, "koala-icon-animated-downloading", 2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("size", ctx_r1.size)("color", ctx_r1.color);
} }
class IconsAnimatedComponent {
}
IconsAnimatedComponent.ɵfac = function IconsAnimatedComponent_Factory(t) { return new (t || IconsAnimatedComponent)(); };
IconsAnimatedComponent.ɵcmp = i0.ɵɵdefineComponent({ type: IconsAnimatedComponent, selectors: [["koala-icon-animated"]], inputs: { icon: "icon", color: "color", size: "size" }, decls: 2, vars: 2, consts: [["class", "icon-content", 4, "ngIf"], [1, "icon-content"], [3, "size", "color"]], template: function IconsAnimatedComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, IconsAnimatedComponent_div_0_Template, 2, 2, "div", 0);
        i0.ɵɵtemplate(1, IconsAnimatedComponent_div_1_Template, 2, 2, "div", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.icon === "loading");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.icon === "downloading");
    } }, directives: [i1$1.NgIf, LoadingIconAnimatedComponent, DownloadingIconAnimatedComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(IconsAnimatedComponent, [{
        type: Component,
        args: [{
                selector: 'koala-icon-animated',
                templateUrl: 'icons-animated.component.html'
            }]
    }], null, { icon: [{
            type: Input
        }], color: [{
            type: Input
        }], size: [{
            type: Input
        }] }); })();

class KoalaIconsAnimatedModule {
}
KoalaIconsAnimatedModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaIconsAnimatedModule });
KoalaIconsAnimatedModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaIconsAnimatedModule_Factory(t) { return new (t || KoalaIconsAnimatedModule)(); }, imports: [[
            CommonModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaIconsAnimatedModule, { declarations: [IconsAnimatedComponent,
        LoadingIconAnimatedComponent,
        DownloadingIconAnimatedComponent], imports: [CommonModule], exports: [IconsAnimatedComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaIconsAnimatedModule, [{
        type: NgModule,
        args: [{
                exports: [
                    IconsAnimatedComponent
                ],
                declarations: [
                    IconsAnimatedComponent,
                    LoadingIconAnimatedComponent,
                    DownloadingIconAnimatedComponent
                ],
                imports: [
                    CommonModule
                ]
            }]
    }], null, null); })();

function DialogComponent_div_0_mat_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r1.iconTitleDialog);
} }
function DialogComponent_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 3);
    i0.ɵɵtemplate(1, DialogComponent_div_0_mat_icon_1_Template, 2, 1, "mat-icon", 4);
    i0.ɵɵelementStart(2, "h2");
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r0.iconTitleDialog);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", ctx_r0.titleDialog, " ");
} }
const _c0$8 = [[["", "dialog-content", ""]], [["", "dialog-actions", ""]]];
const _c1$5 = ["[dialog-content]", "[dialog-actions]"];
class DialogComponent {
}
DialogComponent.ɵfac = function DialogComponent_Factory(t) { return new (t || DialogComponent)(); };
DialogComponent.ɵcmp = i0.ɵɵdefineComponent({ type: DialogComponent, selectors: [["koala-dialog"]], inputs: { titleDialog: "titleDialog", iconTitleDialog: "iconTitleDialog", triggerDialogClose: "triggerDialogClose", btnCloseLabel: "btnCloseLabel", btnCloseColor: "btnCloseColor" }, ngContentSelectors: _c1$5, decls: 7, vars: 4, consts: [["mat-dialog-title", "", 4, "ngIf"], ["align", "end", "mat-dialog-actions", ""], ["mat-button", "", 1, "mr-8", 3, "color", "mat-dialog-close"], ["mat-dialog-title", ""], [4, "ngIf"]], template: function DialogComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵprojectionDef(_c0$8);
        i0.ɵɵtemplate(0, DialogComponent_div_0_Template, 4, 2, "div", 0);
        i0.ɵɵelementStart(1, "mat-dialog-content");
        i0.ɵɵprojection(2);
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(3, "div", 1);
        i0.ɵɵelementStart(4, "button", 2);
        i0.ɵɵtext(5);
        i0.ɵɵelementEnd();
        i0.ɵɵprojection(6, 1);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.titleDialog);
        i0.ɵɵadvance(4);
        i0.ɵɵproperty("color", ctx.btnCloseColor)("mat-dialog-close", ctx.triggerDialogClose);
        i0.ɵɵadvance(1);
        i0.ɵɵtextInterpolate1(" ", ctx.btnCloseLabel, " ");
    } }, directives: [i1$1.NgIf, i1.MatDialogContent, i1.MatDialogActions, i2.MatButton, i1.MatDialogClose, i1.MatDialogTitle, i4.MatIcon], encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DialogComponent, [{
        type: Component,
        args: [{
                selector: 'koala-dialog',
                templateUrl: 'dialog.component.html',
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], null, { titleDialog: [{
            type: Input
        }], iconTitleDialog: [{
            type: Input
        }], triggerDialogClose: [{
            type: Input
        }], btnCloseLabel: [{
            type: Input
        }], btnCloseColor: [{
            type: Input
        }] }); })();

class KoalaDialogModule {
}
KoalaDialogModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaDialogModule });
KoalaDialogModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaDialogModule_Factory(t) { return new (t || KoalaDialogModule)(); }, imports: [[
            CommonModule,
            MatIconModule,
            MatButtonModule,
            MatDialogModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaDialogModule, { declarations: [DialogComponent], imports: [CommonModule,
        MatIconModule,
        MatButtonModule,
        MatDialogModule], exports: [DialogComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaDialogModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    DialogComponent
                ],
                imports: [
                    CommonModule,
                    MatIconModule,
                    MatButtonModule,
                    MatDialogModule
                ],
                exports: [
                    DialogComponent
                ]
            }]
    }], null, null); })();

const _c0$7 = ["folder"];
const _c1$4 = ["folderTitle"];
const _c2$3 = ["folderIconTitle"];
const _c3$1 = ["folderNavigateHistory"];
function FolderComponent_mat_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", null, 8);
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r2.titleIcon);
} }
function FolderComponent_koala_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "koala-icon", 9);
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("color", ctx_r3.customFolderFontColor)("icon", ctx_r3.titleIcon);
} }
const _c4 = function (a0) { return { "disabled": a0 }; };
function FolderComponent_ul_7_li_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li");
    i0.ɵɵelementStart(1, "a", 13);
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r8 = ctx.$implicit;
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵstyleMap("color: " + ctx_r7.customFolderFontColor);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(5, _c4, !item_r8.routerLink))("routerLink", item_r8.routerLink);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(item_r8.name);
} }
function FolderComponent_ul_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul", 10, 11);
    i0.ɵɵtemplate(2, FolderComponent_ul_7_li_2_Template, 3, 7, "li", 12);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", ctx_r4.navigateHistory);
} }
const _c5 = [[["", "menu-page", ""]], [["", "content", ""]]];
const _c6 = ["[menu-page]", "[content]"];
class FolderComponent {
    constructor() {
        this.titlePage = 'Title';
        this.customFolderFontColor = '#212121';
        this.customFolderBackgroudColor = '#FFF';
    }
    ngOnInit() {
        this.setCustomBackgroundColor();
    }
    ngOnChanges(changes) {
        if (changes.customBackgroudColor || changes.customFolderFontColor) {
            this.setCustomBackgroundColor();
        }
    }
    setCustomBackgroundColor() {
        if (this.customFolderBackgroudColor) {
            const folder = this.folder.nativeElement;
            folder.style.background = this.customFolderBackgroudColor;
        }
        if (this.customFolderFontColor) {
            const folderTitle = this.folderTitle.nativeElement;
            folderTitle.style.color = this.customFolderFontColor;
            const folderIconTitle = this.folderTitle.nativeElement;
            folderIconTitle.style.color = this.customFolderFontColor;
            setTimeout(() => {
                if (this.folderNavigateHistory) {
                    const folderNavigateHistory = this.folderNavigateHistory.nativeElement;
                    folderNavigateHistory.style.color = this.customFolderFontColor;
                }
            }, 50);
        }
    }
}
FolderComponent.ɵfac = function FolderComponent_Factory(t) { return new (t || FolderComponent)(); };
FolderComponent.ɵcmp = i0.ɵɵdefineComponent({ type: FolderComponent, selectors: [["koala-folder-page"]], viewQuery: function FolderComponent_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵviewQuery(_c0$7, 3);
        i0.ɵɵviewQuery(_c1$4, 3);
        i0.ɵɵviewQuery(_c2$3, 3);
        i0.ɵɵviewQuery(_c3$1, 1);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.folder = _t.first);
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.folderTitle = _t.first);
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.folderIconTitle = _t.first);
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.folderNavigateHistory = _t.first);
    } }, inputs: { titlePage: "titlePage", titleIcon: "titleIcon", koalaIcon: "koalaIcon", customFolderFontColor: "customFolderFontColor", customFolderBackgroudColor: "customFolderBackgroudColor", navigateHistory: "navigateHistory" }, features: [i0.ɵɵNgOnChangesFeature], ngContentSelectors: _c6, decls: 12, vars: 4, consts: [[1, "folder-list"], ["folder", ""], ["folderTitle", ""], [4, "ngIf"], ["size", "30", 3, "color", "icon", 4, "ngIf"], ["class", "navigate-history", 4, "ngIf"], [1, "menu-folder"], [1, "content"], ["folderIconTitle", ""], ["size", "30", 3, "color", "icon"], [1, "navigate-history"], ["folderNavigateHistory", ""], [4, "ngFor", "ngForOf"], [3, "ngClass", "routerLink"]], template: function FolderComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵprojectionDef(_c5);
        i0.ɵɵelementStart(0, "div", 0, 1);
        i0.ɵɵelementStart(2, "h1", null, 2);
        i0.ɵɵtemplate(4, FolderComponent_mat_icon_4_Template, 3, 1, "mat-icon", 3);
        i0.ɵɵtemplate(5, FolderComponent_koala_icon_5_Template, 1, 2, "koala-icon", 4);
        i0.ɵɵtext(6);
        i0.ɵɵelementEnd();
        i0.ɵɵtemplate(7, FolderComponent_ul_7_Template, 3, 1, "ul", 5);
        i0.ɵɵelementStart(8, "nav", 6);
        i0.ɵɵprojection(9);
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(10, "div", 7);
        i0.ɵɵprojection(11, 1);
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵadvance(4);
        i0.ɵɵproperty("ngIf", ctx.titleIcon && !ctx.koalaIcon);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.titleIcon && ctx.koalaIcon);
        i0.ɵɵadvance(1);
        i0.ɵɵtextInterpolate1(" ", ctx.titlePage, " ");
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.navigateHistory);
    } }, directives: [i1$1.NgIf, i4.MatIcon, IconComponent, i1$1.NgForOf, i1$2.RouterLinkWithHref, i1$1.NgClass], styles: [".folder-list[_ngcontent-%COMP%]{position:relative;background-size:cover;width:100%;height:160px}.folder-list[_ngcontent-%COMP%]   h1[_ngcontent-%COMP%]{padding:0;margin:0;position:absolute;top:5px;left:20px;font-size:1.2em;font-family:OpenSans,sans-serif;font-weight:700;display:flex;align-items:center}.folder-list[_ngcontent-%COMP%]   h1[_ngcontent-%COMP%]   koala-icon[_ngcontent-%COMP%], .folder-list[_ngcontent-%COMP%]   h1[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{margin-right:10px}nav.menu-folder[_ngcontent-%COMP%]{position:absolute;right:0;top:0;z-index:4;padding:7px 30px}.content[_ngcontent-%COMP%]{position:relative;display:block;height:calc(100vh - 130px);overflow-x:hidden;top:60px;margin:0 auto;padding:3px 0}.navigate-history[_ngcontent-%COMP%]{position:absolute;top:30px;display:flex;align-items:center;list-style:none;padding:5px 20px;margin:0;font-size:0}.navigate-history[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]{font-size:12px;text-decoration:none}.navigate-history[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   a.disabled[_ngcontent-%COMP%]{cursor:default;opacity:.8;pointer-events:none}.navigate-history[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:after{content:\">\";padding:0 5px;font-size:12px;color:inherit}.navigate-history[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:last-child:after{content:\"\";padding:0}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(FolderComponent, [{
        type: Component,
        args: [{
                selector: 'koala-folder-page',
                templateUrl: 'folder.component.html',
                styleUrls: ['folder.component.css'],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], null, { titlePage: [{
            type: Input
        }], titleIcon: [{
            type: Input
        }], koalaIcon: [{
            type: Input
        }], customFolderFontColor: [{
            type: Input
        }], customFolderBackgroudColor: [{
            type: Input
        }], navigateHistory: [{
            type: Input
        }], folder: [{
            type: ViewChild,
            args: ['folder', { static: true }]
        }], folderTitle: [{
            type: ViewChild,
            args: ['folderTitle', { static: true }]
        }], folderIconTitle: [{
            type: ViewChild,
            args: ['folderIconTitle', { static: true }]
        }], folderNavigateHistory: [{
            type: ViewChild,
            args: ['folderNavigateHistory', { static: false }]
        }] }); })();

class KoalaFolderPageModule {
}
KoalaFolderPageModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaFolderPageModule });
KoalaFolderPageModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaFolderPageModule_Factory(t) { return new (t || KoalaFolderPageModule)(); }, imports: [[
            CommonModule,
            RouterModule,
            MatButtonModule,
            MatIconModule,
            KoalaIconModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaFolderPageModule, { declarations: [FolderComponent], imports: [CommonModule,
        RouterModule,
        MatButtonModule,
        MatIconModule,
        KoalaIconModule], exports: [FolderComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaFolderPageModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    FolderComponent
                ],
                exports: [
                    FolderComponent
                ],
                imports: [
                    CommonModule,
                    RouterModule,
                    MatButtonModule,
                    MatIconModule,
                    KoalaIconModule
                ]
            }]
    }], null, null); })();

function BtnSubmitComponent_button_0_mat_spinner_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-spinner", 4);
} }
function BtnSubmitComponent_button_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "button", 2);
    i0.ɵɵpipe(1, "async");
    i0.ɵɵelementStart(2, "span");
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, BtnSubmitComponent_button_0_mat_spinner_4_Template, 1, 0, "mat-spinner", 3);
    i0.ɵɵpipe(5, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("color", ctx_r0.color)("disabled", i0.ɵɵpipeBind1(1, 4, ctx_r0.disabled) || ctx_r0.fg.invalid || ctx_r0.fg.pending);
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate(ctx_r0.btnLabel);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(5, 6, ctx_r0.loader));
} }
function BtnSubmitComponent_ng_template_1_mat_spinner_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-spinner", 8);
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("color", ctx_r4.color);
} }
function BtnSubmitComponent_ng_template_1_mat_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r5.icon);
} }
function BtnSubmitComponent_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "button", 5);
    i0.ɵɵpipe(1, "async");
    i0.ɵɵtemplate(2, BtnSubmitComponent_ng_template_1_mat_spinner_2_Template, 1, 1, "mat-spinner", 6);
    i0.ɵɵpipe(3, "async");
    i0.ɵɵtemplate(4, BtnSubmitComponent_ng_template_1_mat_icon_4_Template, 2, 1, "mat-icon", 7);
    i0.ɵɵpipe(5, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("color", ctx_r2.color)("disabled", i0.ɵɵpipeBind1(1, 4, ctx_r2.disabled) || ctx_r2.fg.invalid || ctx_r2.fg.pending);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(3, 6, ctx_r2.loader));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", !i0.ɵɵpipeBind1(5, 8, ctx_r2.loader));
} }
class BtnSubmitComponent {
    constructor() {
        this.color = 'primary';
        this.btnLabel = 'Enviar';
        this.btnSubmitDisabled = false;
        this.disabled = new BehaviorSubject(false);
    }
    ngOnChanges(changes) {
        if (changes.btnSubmitDisabled) {
            this.disabled.next(changes.btnSubmitDisabled.currentValue);
        }
    }
}
BtnSubmitComponent.ɵfac = function BtnSubmitComponent_Factory(t) { return new (t || BtnSubmitComponent)(); };
BtnSubmitComponent.ɵcmp = i0.ɵɵdefineComponent({ type: BtnSubmitComponent, selectors: [["koala-submit"]], inputs: { fg: "fg", color: "color", btnLabel: "btnLabel", btnSubmitDisabled: "btnSubmitDisabled", loader: "loader", iconButton: "iconButton", icon: "icon", iconColor: "iconColor" }, features: [i0.ɵɵNgOnChangesFeature], decls: 3, vars: 2, consts: [["mat-raised-button", "", "type", "submit", 3, "color", "disabled", 4, "ngIf", "ngIfElse"], ["btnIcon", ""], ["mat-raised-button", "", "type", "submit", 3, "color", "disabled"], ["diameter", "20", 4, "ngIf"], ["diameter", "20"], ["mat-icon-button", "", "type", "submit", 1, "koala-icon-button", 3, "color", "disabled"], ["diameter", "20", 3, "color", 4, "ngIf"], [4, "ngIf"], ["diameter", "20", 3, "color"]], template: function BtnSubmitComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, BtnSubmitComponent_button_0_Template, 6, 8, "button", 0);
        i0.ɵɵtemplate(1, BtnSubmitComponent_ng_template_1_Template, 6, 10, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor);
    } if (rf & 2) {
        const _r1 = i0.ɵɵreference(2);
        i0.ɵɵproperty("ngIf", !ctx.iconButton)("ngIfElse", _r1);
    } }, directives: [i1$1.NgIf, i2.MatButton, i3$1.MatSpinner, i4.MatIcon], pipes: [i1$1.AsyncPipe], styles: [".mat-spinner[_ngcontent-%COMP%]{display:inline-block;margin-left:8px}.koala-button[_ngcontent-%COMP%]{padding:2px 8px}.koala-icon-button[_ngcontent-%COMP%]   mat-spinner[_ngcontent-%COMP%]{position:relative;display:inline-flex;margin:0}"] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(BtnSubmitComponent, [{
        type: Component,
        args: [{
                selector: 'koala-submit',
                templateUrl: 'btn-submit.component.html',
                styleUrls: ['btn-submit.component.css']
            }]
    }], null, { fg: [{
            type: Input
        }], color: [{
            type: Input
        }], btnLabel: [{
            type: Input
        }], btnSubmitDisabled: [{
            type: Input
        }], loader: [{
            type: Input
        }], iconButton: [{
            type: Input
        }], icon: [{
            type: Input
        }], iconColor: [{
            type: Input
        }] }); })();

var DynamicFormTypeFieldEnum;
(function (DynamicFormTypeFieldEnum) {
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["text"] = 1] = "text";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["password"] = 2] = "password";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["cpf"] = 3] = "cpf";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["cnpj"] = 4] = "cnpj";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["datetime"] = 5] = "datetime";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["email"] = 6] = "email";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["phone"] = 7] = "phone";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["number"] = 8] = "number";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["valueList"] = 9] = "valueList";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["textarea"] = 10] = "textarea";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["time"] = 11] = "time";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["hoursAndMinutes"] = 12] = "hoursAndMinutes";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["checkbox"] = 13] = "checkbox";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["select"] = 14] = "select";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["coin"] = 15] = "coin";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["percent"] = 16] = "percent";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["moreItems"] = 17] = "moreItems";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["id"] = 18] = "id";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["textLogs"] = 19] = "textLogs";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["file"] = 20] = "file";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["autocomplete"] = 21] = "autocomplete";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["color"] = 22] = "color";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["dynamicForm"] = 23] = "dynamicForm";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["date"] = 24] = "date";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["radio"] = 25] = "radio";
    DynamicFormTypeFieldEnum[DynamicFormTypeFieldEnum["float"] = 26] = "float";
})(DynamicFormTypeFieldEnum || (DynamicFormTypeFieldEnum = {}));

class ValidationHelper {
    static validateCpf(value) {
        function calcChecker1(digits) {
            let sum = null;
            for (let j = 0; j < 9; ++j) {
                sum += digits.toString().charAt(j) * (10 - j);
            }
            const lastSumChecker1 = sum % 11;
            return lastSumChecker1 < 2 ? 0 : 11 - lastSumChecker1;
        }
        function calcChecker2(cpfWithChecker1) {
            let sum = null;
            for (let k = 0; k < 10; ++k) {
                sum += cpfWithChecker1.toString().charAt(k) * (11 - k);
            }
            const lastSumChecker2 = sum % 11;
            return lastSumChecker2 < 2 ? 0 : 11 - lastSumChecker2;
        }
        const cleanCPF = value.replace(/\.|\-|\s/g, '');
        const firstNineDigits = cleanCPF.substring(0, 9);
        const checker = cleanCPF.substring(9, 11);
        if (cleanCPF.length !== 11) {
            return false;
        }
        // Checking if all digits are equal
        for (let i = 0; i < 10; i++) {
            if ('' + firstNineDigits + checker === Array(12).join(`${i}`)) {
                return false;
            }
        }
        const checker1 = calcChecker1(firstNineDigits);
        const checker2 = calcChecker2(firstNineDigits + '' + checker1);
        return checker.toString() === checker1.toString() + checker2.toString();
    }
    static validateCnpj(value) {
        value = value.replace(/[^\d]+/g, '');
        if (value === '') {
            return false;
        }
        if (value.length !== 14) {
            return false;
        }
        // Elimina CNPJs invalidos conhecidos
        if (value === '00000000000000' ||
            value === '11111111111111' ||
            value === '22222222222222' ||
            value === '33333333333333' ||
            value === '44444444444444' ||
            value === '55555555555555' ||
            value === '66666666666666' ||
            value === '77777777777777' ||
            value === '88888888888888' ||
            value === '99999999999999') {
            return false;
        }
        // Valida DVs
        let tamanho = value.length - 2;
        let numeros = value.substring(0, tamanho);
        const digitos = value.substring(tamanho);
        let soma = 0;
        let pos = tamanho - 7;
        for (let i = tamanho; i >= 1; i--) {
            soma += parseInt(numeros.charAt(tamanho - i), 10) * pos--;
            if (pos < 2) {
                pos = 9;
            }
        }
        let resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
        if (resultado !== parseInt(digitos.charAt(0), 10)) {
            return false;
        }
        tamanho = tamanho + 1;
        numeros = value.substring(0, tamanho);
        soma = 0;
        pos = tamanho - 7;
        for (let i = tamanho; i >= 1; i--) {
            soma += parseInt(numeros.charAt(tamanho - i), 10) * pos--;
            if (pos < 2) {
                pos = 9;
            }
        }
        resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
        return !(resultado !== parseInt(digitos.charAt(1), 10));
    }
}

function CpfValidator(control) {
    if (control.value) {
        if (control.value.length <= 14 && !ValidationHelper.validateCpf(control.value)) {
            return { cpfInvalid: true };
        }
    }
    return null;
}

function CnpjValidator(control) {
    if (control.value) {
        if (control.value.length > 14 && !ValidationHelper.validateCnpj(control.value)) {
            return { cnpjInvalid: true };
        }
    }
    return null;
}

function AutocompleteSelectedValidator(control) {
    if (control.value &&
        control.value.hasOwnProperty('value') &&
        control.value.hasOwnProperty('name') &&
        Object.keys(control.value).length === 2) {
        return null;
    }
    return { autocompleteSelected: true };
}

class ShowInvalidFields {
    constructor() {
    }
    isErrorState(control, form) {
        const isSubmitted = form && form.submitted;
        return !!(control && control.invalid && (control.errors || control.dirty || control.touched || isSubmitted));
    }
}

class FormAbstract {
    constructor(formAbstract) {
        this.formAbstract = formAbstract;
        this.btnLabel = 'Enviar';
        this.loader = new BehaviorSubject(false);
        this.btnSubmitDisabled = false;
        this.getData = new BehaviorSubject(false);
    }
    selecionarAutocomplete(controlName, obj, indexName) {
        if (obj) {
            let value = indexName ? obj[indexName] : obj;
            if (Array.isArray(obj)) {
                value = [];
                obj.forEach(item => {
                    value.push(indexName ? item[indexName] : item);
                });
            }
            this.formAbstract().get(controlName).setValue(value);
        }
        else {
            this.formAbstract().get(controlName).setValue('');
        }
    }
    btnClickGetData() {
        this.getData.next(true);
    }
    enableShowInvalidFields() {
        this.showInvalidFields = new ShowInvalidFields();
    }
    loading(show = true, btnLabel) {
        this.btnSubmitDisabled = show;
        this.loader.next(show);
        if (show) {
            this.btnLabel = btnLabel ? btnLabel : 'Enviando Dados...';
        }
        else {
            this.btnLabel = btnLabel ? btnLabel : 'Enviar';
        }
    }
}

class FieldBase {
    constructor(label, name, type, formConfig, fb) {
        this.formConfig = formConfig;
        this.fb = fb;
        this.fieldConfig = {
            label,
            name,
            type
        };
        this.appearance().grid();
    }
    hide(hide = true) {
        this.fieldConfig.show = !hide;
        return this;
    }
    focus() {
        this.fieldConfig.focus = true;
        return this;
    }
    disabled(disabled = true) {
        this.fieldConfig.disabled = disabled;
        return this;
    }
    required(required = true) {
        this.fieldConfig.required = required;
        return this;
    }
    textHint(hint) {
        this.fieldConfig.textHint = hint;
        return this;
    }
    min(min) {
        this.fieldConfig.min = min;
        return this;
    }
    max(max) {
        this.fieldConfig.max = max;
        return this;
    }
    minLength(min) {
        this.fieldConfig.minLength = min;
        return this;
    }
    maxLength(max) {
        this.fieldConfig.maxLength = max;
        return this;
    }
    multiple(multiple = true) {
        this.fieldConfig.multiple = true;
    }
    valueChanges(fn) {
        this.fieldConfig.valueChanges = fn;
        return this;
    }
    appearance(type = "outline", floatLabel = "always") {
        this.fieldConfig.appearance = type;
        this.fieldConfig.floatLabel = floatLabel;
        return this;
    }
    grid(size = 12, width = 100) {
        this.fieldConfig.class = 'col-' + size;
        this.fieldConfig.fieldClass = 'w-' + width;
        return this;
    }
    setOptions(options) {
        this.fieldConfig.opcoesSelect = options;
        return this;
    }
    generate() {
        let getLastConfig = (this.formConfig.formConfig.length > 0) ?
            this.formConfig.formConfig[this.formConfig.formConfig.length - 1] :
            null;
        if ((getLastConfig === null || getLastConfig === void 0 ? void 0 : getLastConfig.type) === DynamicFormTypeFieldEnum.moreItems && (getLastConfig === null || getLastConfig === void 0 ? void 0 : getLastConfig.name) !== 'endMoreItems') {
            this.formConfig.formConfig[this.formConfig.formConfig.length - 1].moreItemsConfig.formConfig.push(this.fieldConfig);
        }
        else {
            if ((getLastConfig === null || getLastConfig === void 0 ? void 0 : getLastConfig.name) === 'endMoreItems') {
                this.formConfig.formConfig.splice(this.formConfig.formConfig.length - 1, 1);
            }
            this.formConfig.formConfig.push(this.fieldConfig);
        }
        return new DynamicFormBuilder(this.fb, this.formConfig.formConfig);
    }
}

class FieldBuilder extends FieldBase {
    constructor(label, name, type, formConfig, fb) {
        super(label, name, type, formConfig, fb);
    }
}

class AutocompleteBuilder extends FieldBase {
    constructor(label, name, formConfig, fb) {
        super(label, name, DynamicFormTypeFieldEnum.autocomplete, formConfig, fb);
    }
    service(service) {
        this.service$ = service;
        return this;
    }
    defaultValueOnClean(value) {
        this.fieldConfig.autocompleteDefaultValueOnClear = value;
        return this;
    }
    loadOptions(type, onDemandFilter) {
        this.fieldConfig.autocompleteType = type;
        if (type === "all") {
            const options$ = new BehaviorSubject([]);
            this.service$.subscribe(options => options$.next(options));
            this.fieldConfig.autocompleteOptions = options$;
        }
        else {
            this.fieldConfig.autocompleteFilter = onDemandFilter;
        }
        return this;
    }
    colorChipConfig(fn) {
        this.fieldConfig.autocompleteMultipleConfig = new BehaviorSubject(null);
        fn(this.fieldConfig.autocompleteMultipleConfig);
        return this;
    }
}

class MoreItemsBuilder {
    constructor(label, name, btnAddLabel, min, max, formConfig, fb) {
        this.label = label;
        this.name = name;
        this.btnAddLabel = btnAddLabel;
        this.min = min;
        this.max = max;
        this.formConfig = formConfig;
        this.fb = fb;
    }
    build() {
        let getLastConfig = (this.formConfig.formConfig.length > 0) ?
            this.formConfig.formConfig[this.formConfig.formConfig.length - 1] :
            null;
        this.fieldConfig = {
            label: this.label,
            name: this.name,
            type: DynamicFormTypeFieldEnum.moreItems,
            moreItemsIconBackgroundColor: '#fff',
            moreItemsIconFontColor: '#212121',
            moreItemsMinItems: this.min,
            moreItemsMaxItems: this.max,
            moreItemsButtonIconAddlabel: this.btnAddLabel,
            moreItemsConfig: {
                form: this.fb.group({}),
                formConfig: [],
                setValues: new BehaviorSubject([])
            }
        };
        if ((getLastConfig === null || getLastConfig === void 0 ? void 0 : getLastConfig.type) === DynamicFormTypeFieldEnum.moreItems && (getLastConfig === null || getLastConfig === void 0 ? void 0 : getLastConfig.name) !== 'endMoreItems') {
            let formConfigMoreItems = getLastConfig.moreItemsConfig.formConfig;
            if (formConfigMoreItems.length > 0) {
                let lastIndexMoreItems = 0;
                formConfigMoreItems.forEach((item, index) => {
                    if (item.type === DynamicFormTypeFieldEnum.moreItems)
                        lastIndexMoreItems = index;
                });
                formConfigMoreItems[lastIndexMoreItems].moreItemsConfig.formConfig.push(this.fieldConfig);
            }
            else {
                this.formConfig.formConfig[this.formConfig.formConfig.length - 1].moreItemsConfig.formConfig.push(this.fieldConfig);
            }
        }
        else {
            if ((getLastConfig === null || getLastConfig === void 0 ? void 0 : getLastConfig.name) === 'endMoreItems') {
                this.formConfig.formConfig.splice(this.formConfig.formConfig.length - 1, 1);
            }
            this.formConfig.formConfig.push(this.fieldConfig);
        }
        return new DynamicFormBuilder(this.fb, this.formConfig.formConfig);
    }
}

class DynamicFormBuilder {
    constructor(fb, configInMemory) {
        this.fb = fb;
        this.config = {
            form: fb.group({}),
            formConfig: configInMemory !== null && configInMemory !== void 0 ? configInMemory : [],
            setValues: new BehaviorSubject(null),
            showFields: new BehaviorSubject(null)
        };
    }
    field(label, name, type) {
        switch (type) {
            case "id":
            case "text":
            case "textarea":
            case "number":
            case "cnpj":
            case "cpf":
            case "coin":
            case "color":
            case "date":
            case "datetime":
            case "email":
            case "float":
            case "password":
            case "percent":
            case "phone":
            case "time":
            case "hoursAndMinutes":
            case "textLogs":
            case "valueList":
            case "checkbox":
            case "radio":
            case "select":
                this.newField = new FieldBuilder(label, name, DynamicFormTypeFieldEnum[type], this.config, this.fb);
                return this.newField;
        }
    }
    autocomplete(label, name) {
        this.newAutocomplete = new AutocompleteBuilder(label, name, this.config, this.fb);
        return this.newAutocomplete;
    }
    simpleMoreItems(label, name, btnAddLabel, min, max) {
        this.newMoreItems = new MoreItemsBuilder(label, name, btnAddLabel, min, max, this.config, this.fb);
        return this.newMoreItems;
    }
    autofill(object) {
        const setValues = [];
        Object.keys(object).forEach(indexName => {
            var _a;
            if (typeof object[indexName] !== "object") {
                const arrField = koala(this.config.formConfig).array().filter(indexName, 'name').getValue();
                const field = (_a = arrField[0]) !== null && _a !== void 0 ? _a : null;
                if ((field === null || field === void 0 ? void 0 : field.type) === DynamicFormTypeFieldEnum.textLogs) {
                    field.textObs = object[indexName];
                }
                else {
                    setValues.push({
                        name: indexName,
                        value: object[indexName]
                    });
                }
            }
            else {
                const arrField = koala(this.config.formConfig).array().filter(indexName, 'name').getValue();
                const field = arrField[0];
                if (field.type === DynamicFormTypeFieldEnum.moreItems) {
                    const setValuesMoreItems = [];
                    const objectMoreItems = object[indexName];
                    objectMoreItems.forEach(objectItem => {
                        const moreItemValues = [];
                        Object.keys(objectItem).forEach(objectIndexName => {
                            moreItemValues.push({
                                name: objectIndexName,
                                value: objectItem[objectIndexName]
                            });
                        });
                        setValuesMoreItems.push(new BehaviorSubject(moreItemValues));
                    });
                    field.moreItemsConfig.setValues.next(setValuesMoreItems);
                }
                else if (field.type === DynamicFormTypeFieldEnum.dynamicForm) {
                    const dynamicFormObject = object[indexName];
                    const dynamicFormSetValues = [];
                    Object.keys(dynamicFormObject).forEach(dynamicFormIndexName => {
                        var _a;
                        const arrDynamicField = koala(field.dynamicFormConfig.formConfig).array().filter(indexName, 'name').getValue();
                        const dynamicField = (_a = arrDynamicField[0]) !== null && _a !== void 0 ? _a : null;
                        if ((dynamicField === null || dynamicField === void 0 ? void 0 : dynamicField.type) === DynamicFormTypeFieldEnum.textLogs) {
                            dynamicField.textObs = object[indexName];
                        }
                        else {
                            dynamicFormSetValues.push({
                                name: dynamicFormIndexName,
                                value: dynamicFormObject[dynamicFormIndexName]
                            });
                        }
                    });
                    field.dynamicFormConfig.setValues.next(dynamicFormSetValues);
                }
                else {
                    this.autofill(object[indexName]);
                }
            }
        });
        this.config.setValues.next(setValues);
        return this;
    }
    literalConfig(config) {
        this.config.formConfig.push(config);
        if (config.type === DynamicFormTypeFieldEnum.moreItems)
            this.generateMoreItems();
        return this;
    }
    generate() {
        this.config.formConfig = this.config.formConfig.filter(config => config.name !== 'endMoreItems');
        return this.config;
    }
    generateMoreItems() {
        this.config.formConfig.push({
            name: 'endMoreItems',
            type: DynamicFormTypeFieldEnum.moreItems
        });
        return new DynamicFormBuilder(this.fb, this.config.formConfig);
    }
}

class KoalaDynamicFormService {
    constructor(fb) {
        this.fb = fb;
    }
    build() {
        return new DynamicFormBuilder(this.fb);
    }
    emitData(form) {
        const data = {};
        const formArray = form.get('formData');
        formArray === null || formArray === void 0 ? void 0 : formArray.controls.forEach(control => {
            var _a;
            if (control.get('show').value.getValue() !== false) {
                let value = control.get('value').value;
                if (control.get('type').value === DynamicFormTypeFieldEnum.valueList) {
                    if (value === null || value === undefined) {
                        value = '';
                    }
                    value = KoalaStringHelper.split(value);
                }
                else if (control.get('type').value === DynamicFormTypeFieldEnum.moreItems) {
                    const moreItems = control.get('moreItemsConfig').value;
                    value = [];
                    moreItems.forEach(item => {
                        value.push(this.emitData(item.form));
                    });
                }
                else if (control.get('type').value === DynamicFormTypeFieldEnum.autocomplete) {
                    if (control.get('multiple').value) {
                        const options = control.get('autocompleteSelectedValue').value;
                        value = options === null || options === void 0 ? void 0 : options.map(item => item === null || item === void 0 ? void 0 : item.value);
                    }
                    else {
                        value = (((_a = control.get('autocompleteSelectedValue').value) === null || _a === void 0 ? void 0 : _a.value) ?
                            control.get('autocompleteSelectedValue').value.value :
                            control.get('autocompleteSelectedValue').value);
                    }
                }
                else if (control.get('type').value === DynamicFormTypeFieldEnum.dynamicForm) {
                    const dynamicFormConfig = control.get('dynamicFormConfig').value;
                    value = this.emitData(dynamicFormConfig.getValue().form);
                }
                else if (control.get('type').value === DynamicFormTypeFieldEnum.number) {
                    value = parseInt(value);
                }
                else if (control.get('type').value === DynamicFormTypeFieldEnum.float ||
                    control.get('type').value === DynamicFormTypeFieldEnum.percent) {
                    value = parseFloat(value.replace(/,/g, '.'));
                }
                else if (control.get('type').value === DynamicFormTypeFieldEnum.coin &&
                    typeof value === "string") {
                    value = koala(value).string().unmaskCoin().getValue();
                }
                data[control.get('name').value] = value;
            }
        });
        return data;
    }
    resetForm(form) {
        const formArray = form.get('formData');
        formArray.controls.forEach(control => {
            control.get('value').reset();
        });
    }
    setValuesInMoreItemsForm(subject, values) {
        const valuesMoreItems = [];
        values.forEach(itemValue => {
            valuesMoreItems.push(new BehaviorSubject(itemValue));
        });
        subject.next(valuesMoreItems);
    }
    autocompleteFilterOnServer(request, nameConfig, indexNameByValue) {
        return new Observable(observe => {
            request().then(response => {
                const options = [];
                response.forEach(item => {
                    var _a;
                    let value = '';
                    if ((indexNameByValue === null || indexNameByValue === void 0 ? void 0 : indexNameByValue.indexOf(' > ')) >= 0) {
                        value = this.getValueByStringPath(indexNameByValue, item);
                    }
                    else if (indexNameByValue) {
                        value = item[indexNameByValue];
                    }
                    else {
                        value = item;
                    }
                    options.push({
                        name: KoalaObjectHelper.toString([item], nameConfig.propsByName, ';', ((_a = nameConfig.delimiter) !== null && _a !== void 0 ? _a : ' ')),
                        value
                    });
                });
                observe.next(options);
            });
        });
    }
    showFields(subject, names, show, clearCurrentValue = false) {
        const fields = [];
        names.forEach(name => {
            fields.push({
                name,
                show,
                clearCurrentValue
            });
        });
        subject.next(fields);
    }
    getValueByStringPath(indexNameByValue, item) {
        let value;
        const partsIndex = indexNameByValue.split(' > ');
        let partIndex = 0;
        do {
            if (!value) {
                value = item[partsIndex[partIndex]];
            }
            else {
                value = value[partsIndex[partIndex]];
            }
            partIndex++;
        } while (partIndex < partsIndex.length);
        return value;
    }
}
KoalaDynamicFormService.ɵfac = function KoalaDynamicFormService_Factory(t) { return new (t || KoalaDynamicFormService)(i0.ɵɵinject(i1$3.FormBuilder)); };
KoalaDynamicFormService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaDynamicFormService, factory: KoalaDynamicFormService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaDynamicFormService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], function () { return [{ type: i1$3.FormBuilder }]; }, null); })();

class KoalaAutofocusDirective {
    constructor(el) {
        this.el = el;
    }
    ngAfterContentInit() {
        if (this.koalaAutoFocus) {
            setTimeout(() => {
                this.el.nativeElement.focus();
            }, 500);
        }
    }
}
KoalaAutofocusDirective.ɵfac = function KoalaAutofocusDirective_Factory(t) { return new (t || KoalaAutofocusDirective)(i0.ɵɵdirectiveInject(i0.ElementRef)); };
KoalaAutofocusDirective.ɵdir = i0.ɵɵdefineDirective({ type: KoalaAutofocusDirective, selectors: [["", "koalaAutoFocus", ""]], inputs: { koalaAutoFocus: "koalaAutoFocus" } });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaAutofocusDirective, [{
        type: Directive,
        args: [{
                selector: '[koalaAutoFocus]'
            }]
    }], function () { return [{ type: i0.ElementRef }]; }, { koalaAutoFocus: [{
            type: Input
        }] }); })();

const _c0$6 = ["file"];
function FileButtonComponent_button_2_mat_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(ctx_r4.icon);
} }
function FileButtonComponent_button_2_Template(rf, ctx) { if (rf & 1) {
    const _r6 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 4);
    i0.ɵɵlistener("click", function FileButtonComponent_button_2_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r6); const ctx_r5 = i0.ɵɵnextContext(); return ctx_r5.open(); });
    i0.ɵɵtemplate(1, FileButtonComponent_button_2_mat_icon_1_Template, 2, 1, "mat-icon", 5);
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r1.style);
    i0.ɵɵproperty("disabled", ctx_r1.disabled)("matTooltipDisabled", !ctx_r1.tooltip)("matTooltip", ctx_r1.tooltip);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r1.icon);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind1(3, 7, ctx_r1.textSubject), "\n");
} }
function FileButtonComponent_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    const _r8 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 6);
    i0.ɵɵlistener("click", function FileButtonComponent_ng_template_3_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r8); const ctx_r7 = i0.ɵɵnextContext(); return ctx_r7.open(); });
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵstyleMap(ctx_r3.style);
    i0.ɵɵproperty("disabled", ctx_r3.disabled)("matTooltipDisabled", !ctx_r3.tooltip)("matTooltip", ctx_r3.tooltip);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r3.icon);
} }
class FileButtonComponent {
    constructor() {
        this.autoclear = true;
        this.getFiles = new EventEmitter(null);
        this.files = [];
        this.textSubject = new BehaviorSubject(null);
    }
    ngOnInit() {
        this.style = `color: ${this.color}!important;background-color: ${this.backgroundColor}!important;`;
        this.textSubject.next(this.text);
        if (this.setFile) {
            this.setFile
                .subscribe((file) => __awaiter(this, void 0, void 0, function* () {
                if (file) {
                    this.files.push(yield this.convertFile(file));
                    this.generateTextButton();
                    this.getFiles.emit(this.files);
                }
            }));
        }
        if (this.updateFileList) {
            this.updateFileList
                .subscribe(fileList => {
                this.files = fileList;
                this.generateTextButton();
            });
        }
    }
    emitFiles(files) {
        return __awaiter(this, void 0, void 0, function* () {
            if ((files === null || files === void 0 ? void 0 : files.length) > 0) {
                for (let f = 0; f <= files.length; f++) {
                    const file = files.item(f);
                    if (file) {
                        this.files.push(yield this.convertFile(file));
                    }
                }
                this.getFiles.emit(this.files);
            }
            else {
                this.getFiles.emit(null);
            }
            this.generateTextButton();
        });
    }
    open() {
        this.file.nativeElement.value = null;
        if (this.autoclear) {
            this.files = [];
            this.getFiles.emit(null);
            this.generateTextButton();
        }
        this.file.nativeElement.click();
    }
    generateTextButton() {
        this.textSubject.next(this.files.length > 0 ?
            `${this.files.length} arquivo${this.files.length > 1 ? 's' : ''} selecionado` :
            this.text);
    }
    convertFile(file) {
        return __awaiter(this, void 0, void 0, function* () {
            const blobFile = yield new Promise((resolve) => {
                const fileReader = new FileReader();
                fileReader.readAsDataURL(file);
                fileReader.onload = () => {
                    resolve(fileReader.result);
                };
            });
            const fileSplit = blobFile.toString().split(';base64,');
            return {
                filename: file.name,
                type: fileSplit[0].replace('data:', ''),
                base64: fileSplit[1]
            };
        });
    }
}
FileButtonComponent.ɵfac = function FileButtonComponent_Factory(t) { return new (t || FileButtonComponent)(); };
FileButtonComponent.ɵcmp = i0.ɵɵdefineComponent({ type: FileButtonComponent, selectors: [["koala-file-button"]], viewQuery: function FileButtonComponent_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵviewQuery(_c0$6, 3);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.file = _t.first);
    } }, inputs: { color: "color", backgroundColor: "backgroundColor", icon: "icon", text: "text", tooltip: "tooltip", disabled: "disabled", multiple: "multiple", accept: "accept", setFile: "setFile", updateFileList: "updateFileList", autoclear: "autoclear" }, outputs: { getFiles: "getFiles" }, decls: 5, vars: 4, consts: [["type", "file", 2, "display", "none", 3, "accept", "multiple", "change"], ["file", ""], ["class", "koala-button", "mat-button", "", "matTooltipPosition", "above", "type", "button", 3, "disabled", "matTooltipDisabled", "matTooltip", "style", "click", 4, "ngIf", "ngIfElse"], ["iconButton", ""], ["mat-button", "", "matTooltipPosition", "above", "type", "button", 1, "koala-button", 3, "disabled", "matTooltipDisabled", "matTooltip", "click"], [4, "ngIf"], ["mat-icon-button", "", "matTooltipPosition", "before", "type", "button", 1, "koala-icon-button", 3, "disabled", "matTooltipDisabled", "matTooltip", "click"]], template: function FileButtonComponent_Template(rf, ctx) { if (rf & 1) {
        const _r9 = i0.ɵɵgetCurrentView();
        i0.ɵɵelementStart(0, "input", 0, 1);
        i0.ɵɵlistener("change", function FileButtonComponent_Template_input_change_0_listener() { i0.ɵɵrestoreView(_r9); const _r0 = i0.ɵɵreference(1); return ctx.emitFiles(_r0.files); });
        i0.ɵɵelementEnd();
        i0.ɵɵtemplate(2, FileButtonComponent_button_2_Template, 4, 9, "button", 2);
        i0.ɵɵtemplate(3, FileButtonComponent_ng_template_3_Template, 3, 6, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor);
    } if (rf & 2) {
        const _r2 = i0.ɵɵreference(4);
        i0.ɵɵproperty("accept", ctx.accept)("multiple", ctx.multiple);
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("ngIf", ctx.text)("ngIfElse", _r2);
    } }, directives: [i1$1.NgIf, i2.MatButton, i3.MatTooltip, i4.MatIcon], pipes: [i1$1.AsyncPipe], styles: [".koala-button[_ngcontent-%COMP%]{padding:2px 8px}.koala-button[_ngcontent-%COMP%]:disabled, .koala-icon-button[_ngcontent-%COMP%]:disabled{background:#ccc!important;color:#616161!important;cursor:not-allowed}.koala-icon-button[_ngcontent-%COMP%]{height:25px;line-height:25px;width:25px}.koala-icon-button[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{font-size:20px;height:20px;line-height:20px;position:relative;width:20px}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(FileButtonComponent, [{
        type: Component,
        args: [{
                selector: 'koala-file-button',
                templateUrl: 'file-button.component.html',
                styleUrls: ['file-button.component.css'],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], null, { color: [{
            type: Input
        }], backgroundColor: [{
            type: Input
        }], icon: [{
            type: Input
        }], text: [{
            type: Input
        }], tooltip: [{
            type: Input
        }], disabled: [{
            type: Input
        }], multiple: [{
            type: Input
        }], accept: [{
            type: Input
        }], setFile: [{
            type: Input
        }], updateFileList: [{
            type: Input
        }], autoclear: [{
            type: Input
        }], getFiles: [{
            type: Output
        }], file: [{
            type: ViewChild,
            args: ['file', { static: true }]
        }] }); })();

const _c0$5 = ["autocompleteInput"];
function DynamicFormComponent_div_1_div_2_mat_form_field_1_button_4_Template(rf, ctx) { if (rf & 1) {
    const _r26 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 11);
    i0.ɵɵlistener("click", function DynamicFormComponent_div_1_div_2_mat_form_field_1_button_4_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r26); const i_r2 = i0.ɵɵnextContext(3).index; const ctx_r24 = i0.ɵɵnextContext(); return ctx_r24.passwordView(i_r2); });
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵattribute("aria-label", "Hide password")("aria-pressed", propriedade_r1.get("hidePassword").value);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(propriedade_r1.get("hidePassword").value ? "visibility_off" : "visibility");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_hint_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "info");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("textHint").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("label").value, " n\u00E3o informado(a). ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3, " CPF inv\u00E1lido. ");
    i0.ɵɵelementEnd();
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3, " CNPJ inv\u00E1lido. ");
    i0.ɵɵelementEnd();
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3, " E-mail inv\u00E1lido. ");
    i0.ɵɵelementEnd();
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" Informe no minimo o valor de ", propriedade_r1.get("min").value, ". ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" Informe at\u00E9 no m\u00E1ximo o valor de ", propriedade_r1.get("max").value, ". ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_1_Template(rf, ctx) { if (rf & 1) {
    const _r34 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-form-field", 8);
    i0.ɵɵelementStart(1, "mat-label");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "input", 9);
    i0.ɵɵlistener("keyup", function DynamicFormComponent_div_1_div_2_mat_form_field_1_Template_input_keyup_3_listener($event) { i0.ɵɵrestoreView(_r34); const i_r2 = i0.ɵɵnextContext(2).index; const ctx_r32 = i0.ɵɵnextContext(); return ctx_r32.hoursAndMinutesApplyMask(i_r2, $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, DynamicFormComponent_div_1_div_2_mat_form_field_1_button_4_Template, 3, 3, "button", 10);
    i0.ɵɵtemplate(5, DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_hint_5_Template, 4, 1, "mat-hint", 3);
    i0.ɵɵtemplate(6, DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_6_Template, 4, 1, "mat-error", 3);
    i0.ɵɵtemplate(7, DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_7_Template, 4, 0, "mat-error", 3);
    i0.ɵɵtemplate(8, DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_8_Template, 4, 0, "mat-error", 3);
    i0.ɵɵtemplate(9, DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_9_Template, 4, 0, "mat-error", 3);
    i0.ɵɵtemplate(10, DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_10_Template, 4, 1, "mat-error", 3);
    i0.ɵɵtemplate(11, DynamicFormComponent_div_1_div_2_mat_form_field_1_mat_error_11_Template, 4, 1, "mat-error", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r35 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r35.$implicit;
    const i_r2 = ctx_r35.index;
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("appearance", propriedade_r1.get("appearance").value)("floatLabel", propriedade_r1.get("floatLabel").value)("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(propriedade_r1.get("label").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("dropSpecialCharacters", false)("koalaAutoFocus", propriedade_r1.get("focus").value)("required", propriedade_r1.get("required").value)("readonly", propriedade_r1.get("disabled").value)("tabIndex", ctx_r4.tabIndexStart + i_r2)("mask", (propriedade_r1.get("type").value == ctx_r4.typeField.phone ? "(00)0000-0000?0" : null) || (propriedade_r1.get("type").value == ctx_r4.typeField.cpf ? "000.000.000-00" : null) || (propriedade_r1.get("type").value == ctx_r4.typeField.cnpj ? "00.000.000/0000-00" : null) || (propriedade_r1.get("type").value == ctx_r4.typeField.percent ? "percent" : null) || (propriedade_r1.get("type").value == ctx_r4.typeField.hoursAndMinutes ? ctx_r4.hoursAndMinutesMask : null))("validation", propriedade_r1.get("type").value == ctx_r4.typeField.cpf && (propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.cpfInvalid) || propriedade_r1.get("type").value == ctx_r4.typeField.cnpj && (propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.cnpjInvalid))("type", propriedade_r1.get("type").value == ctx_r4.typeField.cpf || propriedade_r1.get("type").value == ctx_r4.typeField.cnpj || propriedade_r1.get("type").value == ctx_r4.typeField.phone || propriedade_r1.get("type").value == ctx_r4.typeField.percent ? "tel" : propriedade_r1.get("type").value == ctx_r4.typeField.date ? "date" : propriedade_r1.get("type").value == ctx_r4.typeField.datetime ? "datetime-local" : propriedade_r1.get("type").value == ctx_r4.typeField.email ? "email" : propriedade_r1.get("type").value == ctx_r4.typeField.number ? "number" : propriedade_r1.get("type").value == ctx_r4.typeField.time ? "time" : propriedade_r1.get("type").value == ctx_r4.typeField.password ? "password" : propriedade_r1.get("type").value == ctx_r4.typeField.color ? "color" : "text")("min", propriedade_r1.get("min").value)("max", propriedade_r1.get("max").value)("minLength", propriedade_r1.get("minLength").value)("maxLength", propriedade_r1.get("maxLength").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("hidePassword").value !== null);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("textHint").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.required);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.cpfInvalid);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.cnpjInvalid);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.email);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.min);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.max);
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_2_mat_hint_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "info");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("textHint").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_2_mat_error_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("label").value, " n\u00E3o informado(a). ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-form-field", 8);
    i0.ɵɵelementStart(1, "mat-label");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(3, "input", 12);
    i0.ɵɵtemplate(4, DynamicFormComponent_div_1_div_2_mat_form_field_2_mat_hint_4_Template, 4, 1, "mat-hint", 3);
    i0.ɵɵtemplate(5, DynamicFormComponent_div_1_div_2_mat_form_field_2_mat_error_5_Template, 4, 1, "mat-error", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r40 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r40.$implicit;
    const i_r2 = ctx_r40.index;
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵproperty("appearance", propriedade_r1.get("appearance").value)("floatLabel", propriedade_r1.get("floatLabel").value)("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(propriedade_r1.get("label").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("koalaAutoFocus", propriedade_r1.get("focus").value)("required", propriedade_r1.get("required").value)("readonly", propriedade_r1.get("disabled").value)("tabIndex", ctx_r5.tabIndexStart + i_r2)("min", propriedade_r1.get("min").value)("max", propriedade_r1.get("max").value)("minLength", propriedade_r1.get("minLength").value)("maxLength", propriedade_r1.get("maxLength").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("textHint").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.required);
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_3_mat_hint_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "info");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("textHint").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_3_mat_error_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("label").value, " n\u00E3o informado(a). ");
} }
const _c1$3 = function () { return { prefix: "" }; };
function DynamicFormComponent_div_1_div_2_mat_form_field_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-form-field", 8);
    i0.ɵɵelementStart(1, "mat-label");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(3, "input", 13);
    i0.ɵɵtemplate(4, DynamicFormComponent_div_1_div_2_mat_form_field_3_mat_hint_4_Template, 4, 1, "mat-hint", 3);
    i0.ɵɵtemplate(5, DynamicFormComponent_div_1_div_2_mat_form_field_3_mat_error_5_Template, 4, 1, "mat-error", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r45 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r45.$implicit;
    const i_r2 = ctx_r45.index;
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵproperty("appearance", propriedade_r1.get("appearance").value)("floatLabel", propriedade_r1.get("floatLabel").value)("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(propriedade_r1.get("label").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("koalaAutoFocus", propriedade_r1.get("focus").value)("required", propriedade_r1.get("required").value)("readonly", propriedade_r1.get("disabled").value)("tabIndex", ctx_r6.tabIndexStart + i_r2)("min", propriedade_r1.get("min").value)("max", propriedade_r1.get("max").value)("minLength", propriedade_r1.get("minLength").value)("maxLength", propriedade_r1.get("maxLength").value)("options", i0.ɵɵpureFunction0(16, _c1$3));
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("textHint").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.required);
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_4_mat_hint_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "info");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("textHint").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_4_mat_hint_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint", 17);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵnextContext();
    const _r46 = i0.ɵɵreference(4);
    const propriedade_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate2(" ", _r46.value.length, "/", propriedade_r1.get("maxLength").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_4_mat_error_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("label").value, " n\u00E3o informado(a). ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-form-field", 8);
    i0.ɵɵelementStart(1, "mat-label");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "textarea", 14, 15);
    i0.ɵɵtext(5, "        ");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(6, DynamicFormComponent_div_1_div_2_mat_form_field_4_mat_hint_6_Template, 4, 1, "mat-hint", 3);
    i0.ɵɵtemplate(7, DynamicFormComponent_div_1_div_2_mat_form_field_4_mat_hint_7_Template, 2, 2, "mat-hint", 16);
    i0.ɵɵtemplate(8, DynamicFormComponent_div_1_div_2_mat_form_field_4_mat_error_8_Template, 4, 1, "mat-error", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r53 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r53.$implicit;
    const i_r2 = ctx_r53.index;
    const ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵproperty("appearance", propriedade_r1.get("appearance").value)("floatLabel", propriedade_r1.get("floatLabel").value)("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(propriedade_r1.get("label").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("koalaAutoFocus", propriedade_r1.get("focus").value)("mat-autosize", true)("matAutosizeMaxRows", 8)("matAutosizeMinRows", 3)("required", propriedade_r1.get("required").value)("readonly", propriedade_r1.get("disabled").value)("tabIndex", ctx_r7.tabIndexStart + i_r2)("minLength", propriedade_r1.get("minLength").value)("maxLength", propriedade_r1.get("maxLength").value);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("textHint").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("maxLength").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.required);
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_5_mat_hint_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "info");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("textHint").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_5_mat_hint_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint", 17);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵnextContext();
    const _r54 = i0.ɵɵreference(5);
    const propriedade_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate2(" ", _r54.value.length, "/", propriedade_r1.get("maxLength").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_5_mat_error_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("label").value, " n\u00E3o informado(a). ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-form-field", 8);
    i0.ɵɵelementStart(1, "mat-label");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(3, "div", 18);
    i0.ɵɵelementStart(4, "textarea", 14, 15);
    i0.ɵɵtext(6, "\t      ");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(7, DynamicFormComponent_div_1_div_2_mat_form_field_5_mat_hint_7_Template, 4, 1, "mat-hint", 3);
    i0.ɵɵtemplate(8, DynamicFormComponent_div_1_div_2_mat_form_field_5_mat_hint_8_Template, 2, 2, "mat-hint", 16);
    i0.ɵɵtemplate(9, DynamicFormComponent_div_1_div_2_mat_form_field_5_mat_error_9_Template, 4, 1, "mat-error", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r61 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r61.$implicit;
    const i_r2 = ctx_r61.index;
    const ctx_r8 = i0.ɵɵnextContext();
    i0.ɵɵproperty("appearance", propriedade_r1.get("appearance").value)("floatLabel", propriedade_r1.get("floatLabel").value)("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(propriedade_r1.get("label").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("innerHTML", propriedade_r1.get("textLogs").value, i0.ɵɵsanitizeHtml);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("koalaAutoFocus", propriedade_r1.get("focus").value)("mat-autosize", true)("matAutosizeMaxRows", 8)("matAutosizeMinRows", 3)("required", propriedade_r1.get("required").value)("readonly", propriedade_r1.get("disabled").value)("tabIndex", ctx_r8.tabIndexStart + i_r2)("minLength", propriedade_r1.get("minLength").value)("maxLength", propriedade_r1.get("maxLength").value);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("textHint").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("maxLength").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.required);
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_6_mat_option_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-option", 21);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const options_r65 = ctx.$implicit;
    i0.ɵɵproperty("value", options_r65.value);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1(" ", options_r65.name, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_6_mat_hint_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "info");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("textHint").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_6_mat_error_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("label").value, " n\u00E3o informado(a). ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-form-field", 8);
    i0.ɵɵelementStart(1, "mat-label");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "mat-select", 19);
    i0.ɵɵtemplate(4, DynamicFormComponent_div_1_div_2_mat_form_field_6_mat_option_4_Template, 2, 2, "mat-option", 20);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, DynamicFormComponent_div_1_div_2_mat_form_field_6_mat_hint_5_Template, 4, 1, "mat-hint", 3);
    i0.ɵɵtemplate(6, DynamicFormComponent_div_1_div_2_mat_form_field_6_mat_error_6_Template, 4, 1, "mat-error", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r68 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r68.$implicit;
    const i_r2 = ctx_r68.index;
    const ctx_r9 = i0.ɵɵnextContext();
    i0.ɵɵproperty("appearance", propriedade_r1.get("appearance").value)("floatLabel", propriedade_r1.get("floatLabel").value)("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(propriedade_r1.get("label").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("multiple", propriedade_r1.get("multiple").value)("required", propriedade_r1.get("required").value)("tabIndex", ctx_r9.tabIndexStart + i_r2)("disabled", propriedade_r1.get("disabled").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngForOf", propriedade_r1.get("opcoesSelect").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("textHint").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.required);
} }
function DynamicFormComponent_div_1_div_2_div_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵelementStart(1, "mat-checkbox", 23);
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r69 = i0.ɵɵnextContext(2);
    const i_r2 = ctx_r69.index;
    const propriedade_r1 = ctx_r69.$implicit;
    const ctx_r10 = i0.ɵɵnextContext();
    i0.ɵɵproperty("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("tabIndex", ctx_r10.tabIndexStart + i_r2);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("label").value, " ");
} }
function DynamicFormComponent_div_1_div_2_div_8_mat_expansion_panel_6_mat_action_row_9_Template(rf, ctx) { if (rf & 1) {
    const _r76 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-action-row");
    i0.ɵɵelementStart(1, "button", 31);
    i0.ɵɵlistener("click", function DynamicFormComponent_div_1_div_2_div_8_mat_expansion_panel_6_mat_action_row_9_Template_button_click_1_listener() { i0.ɵɵrestoreView(_r76); const indexMoreItems_r72 = i0.ɵɵnextContext().index; const ctx_r75 = i0.ɵɵnextContext(3); const i_r2 = ctx_r75.index; const propriedade_r1 = ctx_r75.$implicit; const ctx_r74 = i0.ɵɵnextContext(); return ctx_r74.removeMoreItem(i_r2, propriedade_r1.get("moreItemsConfig").value.length - 1 - indexMoreItems_r72); });
    i0.ɵɵelementStart(2, "mat-icon");
    i0.ɵɵtext(3, "delete");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} }
function DynamicFormComponent_div_1_div_2_div_8_mat_expansion_panel_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-expansion-panel", 28);
    i0.ɵɵelementStart(1, "mat-expansion-panel-header");
    i0.ɵɵelementStart(2, "mat-panel-title", 29);
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "mat-panel-description", 29);
    i0.ɵɵtext(5);
    i0.ɵɵelementStart(6, "mat-icon");
    i0.ɵɵtext(7);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelement(8, "koala-dynamic-form", 30);
    i0.ɵɵtemplate(9, DynamicFormComponent_div_1_div_2_div_8_mat_expansion_panel_6_mat_action_row_9_Template, 4, 0, "mat-action-row", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r71 = ctx.$implicit;
    const indexMoreItems_r72 = ctx.index;
    const ctx_r78 = i0.ɵɵnextContext(3);
    const propriedade_r1 = ctx_r78.$implicit;
    const i_r2 = ctx_r78.index;
    const ctx_r70 = i0.ɵɵnextContext();
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1("# ", propriedade_r1.get("moreItemsConfig").value.length - 1 - indexMoreItems_r72 + 1, "");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("label").value, " ");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(propriedade_r1.get("moreItemsIcon").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("showFieldsMoreItensConfig", item_r71.showFieldsMoreItensConfig)("showFields", item_r71.showFields)("formConfig", item_r71.formConfig)("form", item_r71.form)("tabIndexStart", ctx_r70.tabIndexStart + i_r2);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("moreItemsConfig").value.length > propriedade_r1.get("moreItemsMinItems").value);
} }
function DynamicFormComponent_div_1_div_2_div_8_Template(rf, ctx) { if (rf & 1) {
    const _r81 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 24);
    i0.ɵɵelementStart(1, "fieldset");
    i0.ɵɵelementStart(2, "legend");
    i0.ɵɵelementStart(3, "koala-button", 25);
    i0.ɵɵlistener("click", function DynamicFormComponent_div_1_div_2_div_8_Template_koala_button_click_3_listener() { i0.ɵɵrestoreView(_r81); const i_r2 = i0.ɵɵnextContext(2).index; const ctx_r79 = i0.ɵɵnextContext(); return ctx_r79.addMoreItem(i_r2); });
    i0.ɵɵelementEnd();
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(5, "mat-accordion", 26);
    i0.ɵɵtemplate(6, DynamicFormComponent_div_1_div_2_div_8_mat_expansion_panel_6_Template, 10, 9, "mat-expansion-panel", 27);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r82 = i0.ɵɵnextContext(2);
    const i_r2 = ctx_r82.index;
    const propriedade_r1 = ctx_r82.$implicit;
    i0.ɵɵproperty("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("disabled", propriedade_r1.get("moreItemsConfig").value.length === propriedade_r1.get("moreItemsMaxItems").value)("tooltip", propriedade_r1.get("moreItemsButtonIconAddlabel").value)("backgroundColor", propriedade_r1.get("moreItemsIconBackgroundColor").value)("color", propriedade_r1.get("moreItemsIconFontColor").value);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate3(" ", propriedade_r1.get("label").value, " (Min.: ", propriedade_r1.get("moreItemsMinItems").value, " | M\u00E1x.: ", propriedade_r1.get("moreItemsMaxItems").value, ") ");
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", propriedade_r1.get("moreItemsConfig").value.slice().reverse());
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_div_3_mat_chip_3_Template(rf, ctx) { if (rf & 1) {
    const _r99 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-chip", 42);
    i0.ɵɵlistener("removed", function DynamicFormComponent_div_1_div_2_mat_form_field_9_div_3_mat_chip_3_Template_mat_chip_removed_0_listener() { i0.ɵɵrestoreView(_r99); const option_r96 = ctx.$implicit; const i_r2 = i0.ɵɵnextContext(4).index; const ctx_r97 = i0.ɵɵnextContext(); return ctx_r97.removeOptionOnAutocomplete(i_r2, option_r96); });
    i0.ɵɵpipe(1, "async");
    i0.ɵɵtext(2);
    i0.ɵɵelementStart(3, "mat-icon", 43);
    i0.ɵɵtext(4, "cancel");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r96 = ctx.$implicit;
    const propriedade_r1 = i0.ɵɵnextContext(4).$implicit;
    const ctx_r94 = i0.ɵɵnextContext();
    i0.ɵɵproperty("color", ctx_r94.getColorChip(i0.ɵɵpipeBind1(1, 4, propriedade_r1.get("autocompleteMultipleConfig").value)))("removable", true)("selectable", true);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", ctx_r94.display(option_r96), " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵelementStart(1, "mat-chip-list", null, 38);
    i0.ɵɵtemplate(3, DynamicFormComponent_div_1_div_2_mat_form_field_9_div_3_mat_chip_3_Template, 5, 6, "mat-chip", 39);
    i0.ɵɵelement(4, "input", 40, 41);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r93 = i0.ɵɵreference(2);
    i0.ɵɵnextContext();
    const _r91 = i0.ɵɵreference(14);
    const ctx_r101 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r101.$implicit;
    const i_r2 = ctx_r101.index;
    const ctx_r83 = i0.ɵɵnextContext();
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngForOf", propriedade_r1.get("autocompleteSelectedValue").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("koalaAutoFocus", propriedade_r1.get("focus").value)("readonly", propriedade_r1.get("disabled").value)("required", propriedade_r1.get("required").value)("matAutocomplete", _r91)("matChipInputFor", _r93)("tabIndex", ctx_r83.tabIndexStart + i_r2);
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_ng_template_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "input", 44);
} if (rf & 2) {
    i0.ɵɵnextContext();
    const _r91 = i0.ɵɵreference(14);
    const ctx_r102 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r102.$implicit;
    const i_r2 = ctx_r102.index;
    const ctx_r85 = i0.ɵɵnextContext();
    i0.ɵɵproperty("matAutocomplete", _r91)("koalaAutoFocus", propriedade_r1.get("focus").value)("readonly", propriedade_r1.get("disabled").value)("required", propriedade_r1.get("required").value)("tabIndex", ctx_r85.tabIndexStart + i_r2);
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_mat_spinner_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-spinner", 45);
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_button_8_Template(rf, ctx) { if (rf & 1) {
    const _r105 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 46);
    i0.ɵɵlistener("click", function DynamicFormComponent_div_1_div_2_mat_form_field_9_button_8_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r105); const i_r2 = i0.ɵɵnextContext(3).index; const ctx_r103 = i0.ɵɵnextContext(); return ctx_r103.clearAutocomplete(i_r2); });
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "close");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_mat_hint_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-hint");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "info");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("textHint").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_mat_error_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" ", propriedade_r1.get("label").value, " n\u00E3o informado(a). ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_mat_error_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-error");
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "error");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1(" Voc\u00EA deve selecionar um ", propriedade_r1.get("label").value, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_div_15_mat_option_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-option", 21);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r111 = ctx.$implicit;
    i0.ɵɵproperty("value", option_r111);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1(" ", option_r111.name, " ");
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_div_15_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtemplate(1, DynamicFormComponent_div_1_div_2_mat_form_field_9_div_15_mat_option_1_Template, 2, 2, "mat-option", 20);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const options_r109 = ctx.ngIf;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngForOf", options_r109);
} }
function DynamicFormComponent_div_1_div_2_mat_form_field_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-form-field", 8);
    i0.ɵɵelementStart(1, "mat-label");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(3, DynamicFormComponent_div_1_div_2_mat_form_field_9_div_3_Template, 6, 7, "div", 32);
    i0.ɵɵtemplate(4, DynamicFormComponent_div_1_div_2_mat_form_field_9_ng_template_4_Template, 1, 5, "ng-template", null, 33, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵtemplate(6, DynamicFormComponent_div_1_div_2_mat_form_field_9_mat_spinner_6_Template, 1, 0, "mat-spinner", 34);
    i0.ɵɵpipe(7, "async");
    i0.ɵɵtemplate(8, DynamicFormComponent_div_1_div_2_mat_form_field_9_button_8_Template, 3, 0, "button", 35);
    i0.ɵɵpipe(9, "async");
    i0.ɵɵtemplate(10, DynamicFormComponent_div_1_div_2_mat_form_field_9_mat_hint_10_Template, 4, 1, "mat-hint", 3);
    i0.ɵɵtemplate(11, DynamicFormComponent_div_1_div_2_mat_form_field_9_mat_error_11_Template, 4, 1, "mat-error", 3);
    i0.ɵɵtemplate(12, DynamicFormComponent_div_1_div_2_mat_form_field_9_mat_error_12_Template, 4, 1, "mat-error", 3);
    i0.ɵɵelementStart(13, "mat-autocomplete", 36, 37);
    i0.ɵɵtemplate(15, DynamicFormComponent_div_1_div_2_mat_form_field_9_div_15_Template, 2, 1, "div", 3);
    i0.ɵɵpipe(16, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r84 = i0.ɵɵreference(5);
    const ctx_r112 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r112.$implicit;
    const i_r2 = ctx_r112.index;
    const ctx_r12 = i0.ɵɵnextContext();
    i0.ɵɵproperty("appearance", propriedade_r1.get("appearance").value)("floatLabel", propriedade_r1.get("floatLabel").value)("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate2("", propriedade_r1.get("label").value, " ", propriedade_r1.get("multiple").value && propriedade_r1.get("required").value ? "*" : "", "");
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("multiple").value)("ngIfElse", _r84);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(7, 15, propriedade_r1.get("autocompleteLoading").value));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", !i0.ɵɵpipeBind1(9, 17, propriedade_r1.get("autocompleteLoading").value) && !propriedade_r1.get("disabled").value);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("textHint").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.required);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("value").errors == null ? null : propriedade_r1.get("value").errors.autocompleteSelected);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("displayWith", ctx_r12.display);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(16, 19, propriedade_r1.get("autocompleteOptionsFiltered").value));
} }
function DynamicFormComponent_div_1_div_2_div_10_Template(rf, ctx) { if (rf & 1) {
    const _r115 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵelementStart(1, "koala-file-button", 47);
    i0.ɵɵlistener("getFiles", function DynamicFormComponent_div_1_div_2_div_10_Template_koala_file_button_getFiles_1_listener($event) { i0.ɵɵrestoreView(_r115); const propriedade_r1 = i0.ɵɵnextContext(2).$implicit; return propriedade_r1.get("value").setValue($event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("accept", propriedade_r1.get("fileButtonConfig").value.accept)("backgroundColor", propriedade_r1.get("fileButtonConfig").value.backgroundColor)("color", propriedade_r1.get("fileButtonConfig").value.color)("disabled", propriedade_r1.get("disabled").value)("icon", propriedade_r1.get("fileButtonConfig").value.icon)("multiple", propriedade_r1.get("multiple").value)("text", propriedade_r1.get("fileButtonConfig").value.text);
} }
function DynamicFormComponent_div_1_div_2_div_11_fieldset_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "fieldset");
    i0.ɵɵelementStart(1, "legend");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(3, "koala-dynamic-form", 49);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const dynamicFormConfig_r117 = i0.ɵɵnextContext().ngIf;
    const ctx_r121 = i0.ɵɵnextContext(2);
    const propriedade_r1 = ctx_r121.$implicit;
    const i_r2 = ctx_r121.index;
    const ctx_r118 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(propriedade_r1.get("label").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("formConfig", dynamicFormConfig_r117.formConfig)("form", dynamicFormConfig_r117.form)("setValues", dynamicFormConfig_r117.setValues)("showFields", dynamicFormConfig_r117.showFields)("tabIndexStart", ctx_r118.tabIndexStart + i_r2);
} }
function DynamicFormComponent_div_1_div_2_div_11_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "koala-dynamic-form", 49);
} if (rf & 2) {
    const dynamicFormConfig_r117 = i0.ɵɵnextContext().ngIf;
    const i_r2 = i0.ɵɵnextContext(2).index;
    const ctx_r120 = i0.ɵɵnextContext();
    i0.ɵɵproperty("formConfig", dynamicFormConfig_r117.formConfig)("form", dynamicFormConfig_r117.form)("setValues", dynamicFormConfig_r117.setValues)("showFields", dynamicFormConfig_r117.showFields)("tabIndexStart", ctx_r120.tabIndexStart + i_r2);
} }
function DynamicFormComponent_div_1_div_2_div_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtemplate(1, DynamicFormComponent_div_1_div_2_div_11_fieldset_1_Template, 4, 6, "fieldset", 32);
    i0.ɵɵtemplate(2, DynamicFormComponent_div_1_div_2_div_11_ng_template_2_Template, 1, 5, "ng-template", null, 48, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r119 = i0.ɵɵreference(3);
    const propriedade_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("label").value)("ngIfElse", _r119);
} }
function DynamicFormComponent_div_1_div_2_div_13_label_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(propriedade_r1.get("label").value);
} }
function DynamicFormComponent_div_1_div_2_div_13_mat_radio_button_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-radio-button", 53);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const options_r129 = ctx.$implicit;
    const i_r2 = i0.ɵɵnextContext(3).index;
    const ctx_r127 = i0.ɵɵnextContext();
    i0.ɵɵproperty("tabIndex", ctx_r127.tabIndexStart + i_r2)("value", options_r129.value);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1(" ", options_r129.name, " ");
} }
function DynamicFormComponent_div_1_div_2_div_13_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 50);
    i0.ɵɵelementStart(1, "mat-radio-group", 51);
    i0.ɵɵtemplate(2, DynamicFormComponent_div_1_div_2_div_13_label_2_Template, 2, 1, "label", 3);
    i0.ɵɵtemplate(3, DynamicFormComponent_div_1_div_2_div_13_mat_radio_button_3_Template, 2, 3, "mat-radio-button", 52);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r131 = i0.ɵɵnextContext(2);
    const i_r2 = ctx_r131.index;
    const propriedade_r1 = ctx_r131.$implicit;
    i0.ɵɵproperty("formGroupName", i_r2)("ngClass", propriedade_r1.get("fieldClass").value);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("label").value);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngForOf", propriedade_r1.get("opcoesSelect").value);
} }
function DynamicFormComponent_div_1_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtemplate(1, DynamicFormComponent_div_1_div_2_mat_form_field_1_Template, 12, 25, "mat-form-field", 4);
    i0.ɵɵtemplate(2, DynamicFormComponent_div_1_div_2_mat_form_field_2_Template, 6, 15, "mat-form-field", 4);
    i0.ɵɵtemplate(3, DynamicFormComponent_div_1_div_2_mat_form_field_3_Template, 6, 17, "mat-form-field", 4);
    i0.ɵɵtemplate(4, DynamicFormComponent_div_1_div_2_mat_form_field_4_Template, 9, 17, "mat-form-field", 4);
    i0.ɵɵtemplate(5, DynamicFormComponent_div_1_div_2_mat_form_field_5_Template, 10, 18, "mat-form-field", 4);
    i0.ɵɵtemplate(6, DynamicFormComponent_div_1_div_2_mat_form_field_6_Template, 7, 12, "mat-form-field", 4);
    i0.ɵɵtemplate(7, DynamicFormComponent_div_1_div_2_div_7_Template, 3, 4, "div", 5);
    i0.ɵɵtemplate(8, DynamicFormComponent_div_1_div_2_div_8_Template, 7, 10, "div", 6);
    i0.ɵɵtemplate(9, DynamicFormComponent_div_1_div_2_mat_form_field_9_Template, 17, 21, "mat-form-field", 4);
    i0.ɵɵtemplate(10, DynamicFormComponent_div_1_div_2_div_10_Template, 2, 7, "div", 3);
    i0.ɵɵtemplate(11, DynamicFormComponent_div_1_div_2_div_11_Template, 4, 2, "div", 3);
    i0.ɵɵpipe(12, "async");
    i0.ɵɵtemplate(13, DynamicFormComponent_div_1_div_2_div_13_Template, 4, 4, "div", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.text || propriedade_r1.get("type").value == ctx_r3.typeField.password || propriedade_r1.get("type").value == ctx_r3.typeField.cpf || propriedade_r1.get("type").value == ctx_r3.typeField.cnpj || propriedade_r1.get("type").value == ctx_r3.typeField.datetime || propriedade_r1.get("type").value == ctx_r3.typeField.email || propriedade_r1.get("type").value == ctx_r3.typeField.number || propriedade_r1.get("type").value == ctx_r3.typeField.time || propriedade_r1.get("type").value == ctx_r3.typeField.date || propriedade_r1.get("type").value == ctx_r3.typeField.hoursAndMinutes || propriedade_r1.get("type").value == ctx_r3.typeField.phone || propriedade_r1.get("type").value == ctx_r3.typeField.percent || propriedade_r1.get("type").value == ctx_r3.typeField.color);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.coin);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.float);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.valueList || propriedade_r1.get("type").value == ctx_r3.typeField.textarea);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.textLogs);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.select);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.checkbox);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.moreItems);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.autocomplete);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.file);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.dynamicForm && i0.ɵɵpipeBind1(12, 12, propriedade_r1.get("dynamicFormConfig").value));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", propriedade_r1.get("type").value == ctx_r3.typeField.radio);
} }
function DynamicFormComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 2);
    i0.ɵɵpipe(1, "async");
    i0.ɵɵtemplate(2, DynamicFormComponent_div_1_div_2_Template, 14, 14, "div", 3);
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const propriedade_r1 = ctx.$implicit;
    i0.ɵɵproperty("ngClass", i0.ɵɵpipeBind1(1, 2, propriedade_r1.get("show").value) ? propriedade_r1.get("class").value : null);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(3, 4, propriedade_r1.get("show").value));
} }
const _c2$2 = [[["", "btn-submit", ""]]];
const _c3 = ["[btn-submit]"];
class DynamicFormComponent extends FormAbstract {
    constructor(fb, dynamicFormService) {
        super(() => this.form);
        this.fb = fb;
        this.dynamicFormService = dynamicFormService;
        this.tabIndexStart = 1;
        this.typeField = DynamicFormTypeFieldEnum;
        this.hoursAndMinutesMask = '00:000';
    }
    ngOnInit() {
        var _a;
        if (!this.form.get('formData')) {
            this.form.addControl('formData', this.fb.array([]));
        }
        this.controls = this.form.get('formData');
        (_a = this.formConfig) === null || _a === void 0 ? void 0 : _a.forEach((config, indexConfig) => {
            const newFormGroup = this.newControl(config);
            if (config.asyncValidators) {
                newFormGroup.get('value').setAsyncValidators(config.asyncValidators);
            }
            newFormGroup.get('value').updateValueAndValidity();
            if (config.type === DynamicFormTypeFieldEnum.dynamicForm) {
                const formGroupDynamicFormsSubject = newFormGroup.get('dynamicFormConfig').value;
                formGroupDynamicFormsSubject.subscribe(formGroupConfig => {
                    if (formGroupConfig) {
                        formGroupConfig.form.valueChanges.subscribe(() => {
                            if (formGroupConfig.form.valid && (config.valueChanges || this.showFieldsMoreItensConfig)) {
                                const value = this.dynamicFormService.emitData(formGroupConfig.form);
                                newFormGroup.get('value').setValue(value);
                            }
                        });
                    }
                });
            }
            if (config.valueChanges ||
                config.type === DynamicFormTypeFieldEnum.autocomplete ||
                config.type === DynamicFormTypeFieldEnum.dynamicForm ||
                this.showFieldsMoreItensConfig) {
                if (config.type === DynamicFormTypeFieldEnum.autocomplete) {
                    const autocompleteOptionsSubject = newFormGroup.get('autocompleteOptions').value;
                    if (autocompleteOptionsSubject) {
                        autocompleteOptionsSubject.subscribe(options => newFormGroup.get('autocompleteOptionsFiltered').value.next(options));
                    }
                }
                newFormGroup.get('value')
                    .valueChanges
                    .pipe(debounceTime(300))
                    .subscribe((value) => __awaiter(this, void 0, void 0, function* () {
                    var _a, _b, _c;
                    yield this.setConfigDynamicForm(newFormGroup);
                    if (config.type === DynamicFormTypeFieldEnum.autocomplete) {
                        if (value && (value.hasOwnProperty('value') &&
                            value.hasOwnProperty('name') &&
                            Object.keys(value).length === 2) || (Array.isArray(value) &&
                            value.length > 0 &&
                            newFormGroup.get('multiple').value)) {
                            if (newFormGroup.get('multiple').value) {
                                if (Array.isArray(value)) {
                                    for (const itemValue of value.values()) {
                                        newFormGroup.get('autocompleteSelectedValue').value.push(itemValue);
                                    }
                                }
                                else {
                                    newFormGroup.get('autocompleteSelectedValue').value.push(value);
                                }
                                if ((_a = this.autocompleteInput) === null || _a === void 0 ? void 0 : _a.nativeElement) {
                                    this.autocompleteInput.nativeElement.value = '';
                                }
                            }
                            else {
                                newFormGroup.get('autocompleteSelectedValue').setValue(value);
                            }
                        }
                        else if (!newFormGroup.get('multiple').value) {
                            newFormGroup.get('autocompleteSelectedValue').setValue((_b = KoalaArrayHelper.filter(this.formConfig, newFormGroup.get('name').value, 'name')[0].autocompleteDefaultValueOnClear) !== null && _b !== void 0 ? _b : null);
                        }
                        if (config.type === DynamicFormTypeFieldEnum.autocomplete) {
                            if (config.autocompleteType === 'all') {
                                const autocompleteOptionsSubject = newFormGroup.get('autocompleteOptions').value;
                                newFormGroup.get('autocompleteOptionsFiltered').value.next(this.autocompleteFilter(autocompleteOptionsSubject.value, value));
                            }
                            else if (config.autocompleteType === 'onDemand' && typeof value !== "object") {
                                const loader = newFormGroup.get('autocompleteLoading').value;
                                loader.next(true);
                                config.autocompleteFilter(value).subscribe(options => {
                                    newFormGroup.get('autocompleteOptionsFiltered').value.next(options);
                                    loader.next(false);
                                });
                            }
                        }
                    }
                    if (config.valueChanges) {
                        if (config.type === DynamicFormTypeFieldEnum.autocomplete) {
                            config.valueChanges((newFormGroup.get('multiple').value ?
                                newFormGroup.get('autocompleteSelectedValue').value.map(item => item.value) : (_c = newFormGroup.get('autocompleteSelectedValue').value) === null || _c === void 0 ? void 0 : _c.value));
                        }
                        else {
                            config.valueChanges(value);
                        }
                    }
                }));
            }
            this.controls.push(newFormGroup);
            if (config.moreItemsConfig) {
                if (config.moreItemsMinItems > 0) {
                    for (let min = 0; min < config.moreItemsMinItems; min++) {
                        if (min <= config.moreItemsMaxItems) {
                            this.addMoreItem(indexConfig);
                        }
                    }
                }
                if (config.moreItemsConfig.setValues) {
                    config.moreItemsConfig
                        .setValues
                        .subscribe((values) => __awaiter(this, void 0, void 0, function* () {
                        if (values.length > 0) {
                            values.forEach((itemValue, indexValue) => {
                                if (!this.controls.controls[indexConfig].get('moreItemsConfig').value[indexValue]) {
                                    this.addMoreItem(indexConfig);
                                }
                                setTimeout(() => {
                                    this.setValuesOnFields(itemValue, this.controls.controls[indexConfig].get('moreItemsConfig').value[indexValue].form);
                                }, 300);
                            });
                        }
                    }));
                }
            }
        });
        if (this.showFields) {
            this.changeVisibilityFields(this.showFields, this.form);
        }
        if (this.setValues) {
            this.setValuesOnFields(this.setValues, this.form);
        }
    }
    hoursAndMinutesApplyMask(index, event) {
        var _a;
        const control = (_a = this.controls) === null || _a === void 0 ? void 0 : _a.controls[index];
        const type = control === null || control === void 0 ? void 0 : control.get('type').value;
        if (type === DynamicFormTypeFieldEnum.hoursAndMinutes) {
            const value = control === null || control === void 0 ? void 0 : control.get('value').value;
            if (event.key == 'Backspace' && value.length < 6) {
                this.hoursAndMinutesMask = '00:000';
            }
            else if (event.key != 'Backspace' && value.length >= 6) {
                this.hoursAndMinutesMask = '000:00';
            }
        }
    }
    passwordView(index) {
        var _a;
        const control = (_a = this.controls) === null || _a === void 0 ? void 0 : _a.controls[index];
        const hidePassword = !(control === null || control === void 0 ? void 0 : control.get('hidePassword').value);
        control === null || control === void 0 ? void 0 : control.get('hidePassword').setValue(hidePassword);
        control === null || control === void 0 ? void 0 : control.get('type').setValue(hidePassword ?
            DynamicFormTypeFieldEnum.password :
            DynamicFormTypeFieldEnum.text);
    }
    addMoreItem(propIndex) {
        if (this.controls.controls[propIndex].get('moreItemsConfig').value.length < this.controls.controls[propIndex].get('moreItemsMaxItems').value) {
            const formGroup = this.fb.group({});
            this.controls.controls[propIndex].get('moreItemsConfig').value.push({
                form: formGroup,
                formConfig: this.formConfig[propIndex].moreItemsConfig.formConfig,
                showFields: new BehaviorSubject([]),
                showFieldsMoreItensConfig: this.formConfig[propIndex].moreItemsConfig.showFieldsConfig
            });
            this.controls.controls[propIndex].get('moreItemsExpanded').setValue(this.controls.controls[propIndex].get('moreItemsConfig').value.length - 1);
            const formArrayMoreItems = this.controls.controls[propIndex].get('moreItemsFormGroup');
            formArrayMoreItems.push(formGroup);
        }
    }
    removeMoreItem(propIndex, removeIndex) {
        const expandedItemIndex = removeIndex - 1;
        this.controls.controls[propIndex].get('moreItemsConfig').value.splice(removeIndex, 1);
        setTimeout(() => {
            this.controls.controls[propIndex].get('moreItemsExpanded').setValue((expandedItemIndex < 0) ? 0 : expandedItemIndex);
        }, 50);
    }
    clearAutocomplete(propIndex) {
        var _a, _b;
        if (this.controls.controls[propIndex].get('multiple').value) {
            this.controls.controls[propIndex].get('autocompleteSelectedValue').setValue([]);
            this.controls.controls[propIndex].get('value').setValue(null);
        }
        else {
            this.controls.controls[propIndex].get('autocompleteSelectedValue').setValue((_a = this.formConfig[propIndex].autocompleteDefaultValueOnClear) !== null && _a !== void 0 ? _a : null);
            this.controls.controls[propIndex].get('value').setValue((_b = this.formConfig[propIndex].autocompleteDefaultValueOnClear) !== null && _b !== void 0 ? _b : null);
        }
    }
    display(option) {
        return option ? option.name : undefined;
    }
    removeOptionOnAutocomplete(propIndex, option) {
        const value = this.controls.controls[propIndex].get('autocompleteSelectedValue').value.filter(item => item !== option);
        this.controls.controls[propIndex].get('autocompleteSelectedValue').setValue(value);
        if (value.length === 0) {
            this.controls.controls[propIndex].get('autocompleteSelectedValue').setValue([]);
            this.controls.controls[propIndex].get('value').setValue(null);
        }
        else if (this.formConfig[propIndex].valueChanges) {
            this.formConfig[propIndex].valueChanges(value.map(item => item.value));
        }
    }
    getColorChip(config) {
        return config.color;
    }
    newControl(config) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0;
        let validators = [];
        let value = (_a = config.value) !== null && _a !== void 0 ? _a : '';
        let valueSelectedAutocomplete = (config.multiple ? [] : ((_b = config.autocompleteDefaultValueOnClear) !== null && _b !== void 0 ? _b : null));
        if (config.required === true)
            validators.push(Validators.required);
        if (config.min)
            validators.push(Validators.min(config.min));
        if (config.max)
            validators.push(Validators.max(config.max));
        if (config.minLength)
            validators.push(Validators.minLength(config.minLength));
        if (config.maxLength)
            validators.push(Validators.maxLength(config.maxLength));
        if (config.type === DynamicFormTypeFieldEnum.cpf) {
            validators.push(CpfValidator);
        }
        else if (config.type === DynamicFormTypeFieldEnum.cnpj) {
            validators.push(CnpjValidator);
        }
        else if (config.type === DynamicFormTypeFieldEnum.email) {
            validators.push(Validators.email);
        }
        else if (config.type === DynamicFormTypeFieldEnum.autocomplete) {
            if (value) {
                valueSelectedAutocomplete = value;
                value = (config.multiple ? valueSelectedAutocomplete[0] : value);
            }
            if (config.required === true) {
                validators.push(AutocompleteSelectedValidator);
            }
        }
        else if (config.type === DynamicFormTypeFieldEnum.checkbox) {
            value = (_c = config.value) !== null && _c !== void 0 ? _c : false;
        }
        if (config.type === DynamicFormTypeFieldEnum.hoursAndMinutes &&
            value.length >= 6) {
            this.hoursAndMinutesMask = '000:00';
        }
        if (config.dynamicFormConfig) {
            const cloneDynamicFormConfig = {};
            Object.assign(cloneDynamicFormConfig, config.dynamicFormConfig);
            cloneDynamicFormConfig.form = config.dynamicFormConfig.form;
            config.dynamicFormConfig = cloneDynamicFormConfig;
        }
        if (config.show === false) {
            validators = [];
        }
        return this.fb.group({
            show: [new BehaviorSubject((_d = config.show) !== null && _d !== void 0 ? _d : true)],
            label: [config.label],
            name: [config.name],
            type: [config.type],
            fileButtonConfig: [{
                    icon: (_f = (_e = config === null || config === void 0 ? void 0 : config.fileButtonConfig) === null || _e === void 0 ? void 0 : _e.icon) !== null && _f !== void 0 ? _f : 'attach_file',
                    text: (_h = (_g = config === null || config === void 0 ? void 0 : config.fileButtonConfig) === null || _g === void 0 ? void 0 : _g.text) !== null && _h !== void 0 ? _h : 'Clique para anexar arquivos',
                    backgroundColor: (_k = (_j = config === null || config === void 0 ? void 0 : config.fileButtonConfig) === null || _j === void 0 ? void 0 : _j.backgroundColor) !== null && _k !== void 0 ? _k : 'white',
                    color: (_m = (_l = config === null || config === void 0 ? void 0 : config.fileButtonConfig) === null || _l === void 0 ? void 0 : _l.color) !== null && _m !== void 0 ? _m : 'blue',
                    accept: (_p = (_o = config === null || config === void 0 ? void 0 : config.fileButtonConfig) === null || _o === void 0 ? void 0 : _o.accept) !== null && _p !== void 0 ? _p : '*'
                }],
            dynamicFormConfig: [new BehaviorSubject(config.dynamicFormConfig)],
            dynamicFormGroup: this.fb.array([]),
            appearance: [config.appearance],
            floatLabel: [config.floatLabel],
            placeholder: [config.placeholder],
            class: [config.class],
            fieldClass: [config.fieldClass],
            textHint: [config.textHint],
            required: [(_q = config.required) !== null && _q !== void 0 ? _q : false],
            min: [(_r = config.min) !== null && _r !== void 0 ? _r : 0],
            max: [(_s = config.max) !== null && _s !== void 0 ? _s : 99999999999],
            minLength: [(_t = config.minLength) !== null && _t !== void 0 ? _t : 0],
            maxLength: [(_u = config.maxLength) !== null && _u !== void 0 ? _u : 255],
            disabled: [(_v = config.disabled) !== null && _v !== void 0 ? _v : false],
            focus: [(_w = config.focus) !== null && _w !== void 0 ? _w : false],
            multiple: [(_x = config.multiple) !== null && _x !== void 0 ? _x : false],
            opcoesSelect: [(_y = config.opcoesSelect) !== null && _y !== void 0 ? _y : []],
            hidePassword: config.type === DynamicFormTypeFieldEnum.password ? true : null,
            moreItemsButtonIconAddlabel: [config.moreItemsButtonIconAddlabel],
            moreItemsMinItems: [(_z = config.moreItemsMinItems) !== null && _z !== void 0 ? _z : 0],
            moreItemsMaxItems: [(_0 = config.moreItemsMaxItems) !== null && _0 !== void 0 ? _0 : 100],
            moreItemsIcon: [config.moreItemsIcon],
            moreItemsIconFontColor: [config.moreItemsIconFontColor],
            moreItemsIconBackgroundColor: [config.moreItemsIconBackgroundColor],
            moreItemsExpanded: [''],
            moreItemsConfig: [[]],
            moreItemsFormGroup: this.fb.array([]),
            autocompleteLoading: [new BehaviorSubject(false)],
            autocompleteOptions: [config.autocompleteOptions],
            autocompleteMultipleConfig: [config.autocompleteMultipleConfig],
            autocompleteOptionsFiltered: [new BehaviorSubject([])],
            autocompleteSelectedValue: [valueSelectedAutocomplete],
            textLogs: [config === null || config === void 0 ? void 0 : config.textObs],
            value: [value, validators, config.asyncValidators]
        });
    }
    setValuesOnFields(subject, form) {
        subject.subscribe(item => {
            if (item) {
                const formArray = form.get('formData');
                for (const prop of item.values()) {
                    this.setValueByProp(formArray, prop);
                }
            }
        });
    }
    changeVisibilityFields(subject, form) {
        subject.pipe(debounceTime(5)).subscribe(item => {
            var _a, _b;
            if (item) {
                const formArray = form.get('formData');
                for (const prop of item.values()) {
                    for (const [indexControl, control] of formArray.controls.entries()) {
                        if (control.get('name').value === prop.name) {
                            control.get('show').value.next(prop.show);
                            const config = (_a = this.formConfig[indexControl]) !== null && _a !== void 0 ? _a : null;
                            if (prop.show) {
                                const validators = [];
                                if (config) {
                                    if (config.type === DynamicFormTypeFieldEnum.dynamicForm) {
                                        const formArrayMoreItems = control.get('dynamicFormGroup');
                                        formArrayMoreItems.push((_b = config === null || config === void 0 ? void 0 : config.dynamicFormConfig) === null || _b === void 0 ? void 0 : _b.form);
                                    }
                                    else {
                                        if (config.required === true) {
                                            validators.push(Validators.required);
                                        }
                                        if (config.type === DynamicFormTypeFieldEnum.cpf) {
                                            validators.push(CpfValidator);
                                        }
                                        else if (config.type === DynamicFormTypeFieldEnum.cnpj) {
                                            validators.push(CnpjValidator);
                                        }
                                        else if (config.type === DynamicFormTypeFieldEnum.email) {
                                            validators.push(Validators.email);
                                        }
                                        else if (config.required === true &&
                                            config.type === DynamicFormTypeFieldEnum.autocomplete) {
                                            validators.push(AutocompleteSelectedValidator);
                                        }
                                        control.get('value').setValidators(validators);
                                    }
                                    control.get('value').updateValueAndValidity();
                                    if (prop.clearCurrentValue) {
                                        control.get('value').setValue(null);
                                    }
                                }
                            }
                            else {
                                control.get('value').clearValidators();
                                control.get('value').clearAsyncValidators();
                                control.setErrors(null);
                                control.get('value').setValue(null);
                                control.get('value').updateValueAndValidity();
                                if (config.type === DynamicFormTypeFieldEnum.dynamicForm) {
                                    const formGroup = control;
                                    formGroup.removeControl('dynamicFormGroup');
                                    formGroup.addControl('dynamicFormGroup', this.fb.array([]));
                                }
                            }
                            break;
                        }
                    }
                }
            }
        });
    }
    autocompleteFilter(arr, value) {
        return arr.filter(filter => {
            if (typeof value === 'string') {
                if (filter) {
                    let find = true;
                    value.toLowerCase()
                        .split(' ')
                        .forEach(part => {
                        if (filter.name.toLowerCase().indexOf(part) < 0) {
                            find = false;
                            return false;
                        }
                    });
                    return find;
                }
            }
            else {
                return true;
            }
        });
    }
    setValueByProp(formArray, prop) {
        if (formArray) {
            if (prop.name.indexOf(' > ') >= 0) {
                let dynamicFormSubject;
                const arrPropName = prop.name.split(' > ');
                let indexPropName = 0;
                do {
                    const control = formArray.controls.find(control => control.get('name').value === arrPropName[indexPropName]);
                    if (indexPropName === arrPropName.length - 2) {
                        dynamicFormSubject = control.get('dynamicFormConfig').value;
                        const dynamicForm = dynamicFormSubject.getValue();
                        if (dynamicForm.formConfig.find(fc => fc.name === arrPropName[arrPropName.length - 1])) {
                            if (dynamicForm.setValues) {
                                dynamicForm.setValues.next(KoalaArrayHelper.merge(dynamicForm.setValues.getValue(), [{
                                        name: arrPropName[arrPropName.length - 1],
                                        value: prop.value
                                    }]));
                            }
                            else {
                                dynamicForm.setValues = new BehaviorSubject([{
                                        name: arrPropName[arrPropName.length - 1],
                                        value: prop.value
                                    }]);
                            }
                        }
                    }
                    indexPropName++;
                } while (indexPropName < arrPropName.length - 1);
            }
            else {
                for (const control of formArray.controls.values()) {
                    if (control.get('name').value === prop.name) {
                        control.get('value').setValue(prop.value);
                        break;
                    }
                }
            }
        }
    }
    setConfigDynamicForm(newFormGroup) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.showFieldsMoreItensConfig) {
                const value = newFormGroup.get('value').value;
                const configs = this.showFieldsMoreItensConfig
                    .filter(config => config.nameField === newFormGroup.get('name').value)
                    .sort(config => {
                    if (config.fnShow(value)) {
                        return 1;
                    }
                    return -1;
                });
                for (const config of configs) {
                    if (config) {
                        if (config.dynamicFormConfig && config.fnShow(value)) {
                            const controlDynamicFormConfig = this.controls
                                .controls
                                .find(control => config.fieldsToShow.indexOf(control.get('name').value) >= 0);
                            const dynamicFormConfigSubject = controlDynamicFormConfig.get('dynamicFormConfig').value;
                            dynamicFormConfigSubject.next(null);
                            yield KoalaDelayHelper.waitFor(1);
                            dynamicFormConfigSubject.next(config.dynamicFormConfig(value));
                        }
                        this.dynamicFormService.showFields(this.showFields, config.fieldsToShow, config.fnShow(value), config.clearCurrentValue);
                    }
                }
            }
        });
    }
}
DynamicFormComponent.ɵfac = function DynamicFormComponent_Factory(t) { return new (t || DynamicFormComponent)(i0.ɵɵdirectiveInject(i1$3.FormBuilder), i0.ɵɵdirectiveInject(KoalaDynamicFormService)); };
DynamicFormComponent.ɵcmp = i0.ɵɵdefineComponent({ type: DynamicFormComponent, selectors: [["koala-dynamic-form"]], viewQuery: function DynamicFormComponent_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵviewQuery(_c0$5, 1);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.autocompleteInput = _t.first);
    } }, inputs: { form: "form", formConfig: "formConfig", showFields: "showFields", showFieldsMoreItensConfig: "showFieldsMoreItensConfig", setValues: "setValues", tabIndexStart: "tabIndexStart" }, features: [i0.ɵɵInheritDefinitionFeature], ngContentSelectors: _c3, decls: 3, vars: 2, consts: [[1, "p-relative", "w-100", 3, "formGroup"], ["formArrayName", "formData", 3, "ngClass", 4, "ngFor", "ngForOf"], ["formArrayName", "formData", 3, "ngClass"], [4, "ngIf"], [3, "appearance", "floatLabel", "formGroupName", "ngClass", 4, "ngIf"], [3, "formGroupName", "ngClass", 4, "ngIf"], ["class", "more-items-content", 3, "formGroupName", "ngClass", 4, "ngIf"], ["class", "radio-btn-group", 3, "formGroupName", "ngClass", 4, "ngIf"], [3, "appearance", "floatLabel", "formGroupName", "ngClass"], ["separatorLimit", "0", "showMaskTyped", "", "autocomplete", "off", "formControlName", "value", "matInput", "", 3, "dropSpecialCharacters", "koalaAutoFocus", "required", "readonly", "tabIndex", "mask", "validation", "type", "min", "max", "minLength", "maxLength", "keyup"], ["mat-icon-button", "", "matSuffix", "", "tabindex", "-1", "type", "button", 3, "click", 4, "ngIf"], ["mat-icon-button", "", "matSuffix", "", "tabindex", "-1", "type", "button", 3, "click"], ["autocomplete", "off", "currencyMask", "", "formControlName", "value", "matInput", "", "type", "tel", 3, "koalaAutoFocus", "required", "readonly", "tabIndex", "min", "max", "minLength", "maxLength"], ["autocomplete", "off", "currencyMask", "", "formControlName", "value", "matInput", "", "type", "tel", 3, "koalaAutoFocus", "required", "readonly", "tabIndex", "min", "max", "minLength", "maxLength", "options"], ["formControlName", "value", "matInput", "", 3, "koalaAutoFocus", "mat-autosize", "matAutosizeMaxRows", "matAutosizeMinRows", "required", "readonly", "tabIndex", "minLength", "maxLength"], ["textarea", ""], ["align", "end", 4, "ngIf"], ["align", "end"], [1, "text-obs", 3, "innerHTML"], ["formControlName", "value", 3, "multiple", "required", "tabIndex", "disabled"], [3, "value", 4, "ngFor", "ngForOf"], [3, "value"], [3, "formGroupName", "ngClass"], ["formControlName", "value", "value", "true", 3, "tabIndex"], [1, "more-items-content", 3, "formGroupName", "ngClass"], ["icon", "add", 1, "btn-add-more-items", 3, "disabled", "tooltip", "backgroundColor", "color", "click"], ["multi", "", 1, "items"], ["expanded", "", 4, "ngFor", "ngForOf"], ["expanded", ""], [1, "titleForm"], [3, "showFieldsMoreItensConfig", "showFields", "formConfig", "form", "tabIndexStart"], ["mat-icon-button", "", 3, "click"], [4, "ngIf", "ngIfElse"], ["single", ""], ["color", "primary", "matSuffix", "", 4, "ngIf"], ["color", "warn", "mat-icon-button", "", "matSuffix", "", "type", "button", 3, "click", 4, "ngIf"], ["autoActiveFirstOption", "", 3, "displayWith"], ["auto", "matAutocomplete"], ["chipList", ""], [3, "color", "removable", "selectable", "removed", 4, "ngFor", "ngForOf"], ["formControlName", "value", "matInput", "", "type", "text", "placeholder", "Selecione um ou mais op\u00E7\u00F5es...", 3, "koalaAutoFocus", "readonly", "required", "matAutocomplete", "matChipInputFor", "tabIndex"], ["autocompleteInput", ""], [3, "color", "removable", "selectable", "removed"], ["matChipRemove", ""], ["formControlName", "value", "matInput", "", "placeholder", "Selecione uma op\u00E7\u00E3o...", "type", "text", 3, "matAutocomplete", "koalaAutoFocus", "readonly", "required", "tabIndex"], ["color", "primary", "matSuffix", ""], ["color", "warn", "mat-icon-button", "", "matSuffix", "", "type", "button", 3, "click"], [3, "accept", "backgroundColor", "color", "disabled", "icon", "multiple", "text", "getFiles"], ["dynamicFormWithoutLabel", ""], [3, "formConfig", "form", "setValues", "showFields", "tabIndexStart"], [1, "radio-btn-group", 3, "formGroupName", "ngClass"], ["formControlName", "value"], [3, "tabIndex", "value", 4, "ngFor", "ngForOf"], [3, "tabIndex", "value"]], template: function DynamicFormComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵprojectionDef(_c2$2);
        i0.ɵɵelementStart(0, "div", 0);
        i0.ɵɵtemplate(1, DynamicFormComponent_div_1_Template, 4, 6, "div", 1);
        i0.ɵɵprojection(2);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵproperty("formGroup", ctx.form);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngForOf", ctx.controls == null ? null : ctx.controls.controls);
    } }, directives: [i1$3.NgControlStatusGroup, i1$3.FormGroupDirective, i1$1.NgForOf, i1$3.FormArrayName, i1$1.NgClass, i1$1.NgIf, i4$1.MatFormField, i1$3.FormGroupName, i4$1.MatLabel, i1$3.DefaultValueAccessor, i5.MatInput, i6.MaskDirective, i1$3.NgControlStatus, i1$3.FormControlName, KoalaAutofocusDirective, i1$3.RequiredValidator, i2.MatButton, i4$1.MatSuffix, i4.MatIcon, i4$1.MatHint, i4$1.MatError, i10.CurrencyMaskDirective, i5.MatTextareaAutosize, i11.MatSelect, i12.MatOption, i13.MatCheckbox, ButtonComponent, i15.MatAccordion, i15.MatExpansionPanel, i15.MatExpansionPanelHeader, i15.MatExpansionPanelTitle, i15.MatExpansionPanelDescription, DynamicFormComponent, i15.MatExpansionPanelActionRow, i16.MatAutocomplete, i17.MatChipList, i16.MatAutocompleteTrigger, i17.MatChipInput, i17.MatChip, i17.MatChipRemove, i3$1.MatSpinner, FileButtonComponent, i20.MatRadioGroup, i20.MatRadioButton], pipes: [i1$1.AsyncPipe], styles: [".more-items-content[_ngcontent-%COMP%]   fieldset[_ngcontent-%COMP%]{border:1px solid #ccc;padding:16px}.more-items-content[_ngcontent-%COMP%]   fieldset[_ngcontent-%COMP%]   legend[_ngcontent-%COMP%]{font-family:Josefin Sans,sans-serif;font-size:11px;font-weight:700;padding:0 8px}.more-items-content[_ngcontent-%COMP%]   .items[_ngcontent-%COMP%]   .titleForm[_ngcontent-%COMP%]{color:#616161}.more-items-content[_ngcontent-%COMP%]   .items[_ngcontent-%COMP%]   .mat-expansion-panel-header-description[_ngcontent-%COMP%], .more-items-content[_ngcontent-%COMP%]   .items[_ngcontent-%COMP%]   .mat-expansion-panel-header-title[_ngcontent-%COMP%]{flex-basis:0}.more-items-content[_ngcontent-%COMP%]   .items[_ngcontent-%COMP%]   .mat-expansion-panel-header-description[_ngcontent-%COMP%]{align-items:center;justify-content:space-between}.more-items-content[_ngcontent-%COMP%]   .items[_ngcontent-%COMP%]   .mat-form-field[_ngcontent-%COMP%] + .mat-form-field[_ngcontent-%COMP%]{margin-left:8px}.radio-btn-group[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{position:relative;display:block;padding:10px 0}.text-obs[_ngcontent-%COMP%]{background:#eee;border-radius:5px;color:#212121;font-family:OpenSansLight,sans-serif;height:150px;margin:0 auto 10px;overflow-y:auto;padding:10px;position:relative;width:calc(100% - 27px)}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DynamicFormComponent, [{
        type: Component,
        args: [{
                selector: 'koala-dynamic-form',
                templateUrl: 'dynamic-form.component.html',
                styleUrls: ['dynamic-form.component.css'],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], function () { return [{ type: i1$3.FormBuilder }, { type: KoalaDynamicFormService }]; }, { form: [{
            type: Input
        }], formConfig: [{
            type: Input
        }], showFields: [{
            type: Input
        }], showFieldsMoreItensConfig: [{
            type: Input
        }], setValues: [{
            type: Input
        }], tabIndexStart: [{
            type: Input
        }], autocompleteInput: [{
            type: ViewChild,
            args: ['autocompleteInput']
        }] }); })();

class ViacepService {
    constructor(http) {
        this.http = http;
        this.baseUrl = 'https://viacep.com.br';
    }
    get(cep) {
        return this.http.get(`${this.baseUrl}/ws/${cep}/json/`);
    }
}
ViacepService.ɵfac = function ViacepService_Factory(t) { return new (t || ViacepService)(i0.ɵɵinject(i1$4.HttpClient)); };
ViacepService.ɵprov = i0.ɵɵdefineInjectable({ token: ViacepService, factory: ViacepService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ViacepService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], function () { return [{ type: i1$4.HttpClient }]; }, null); })();

class LocationFormComponent {
    constructor(fb, viacepService) {
        this.fb = fb;
        this.viacepService = viacepService;
        this.appereance = 'fill';
        this.floatLabel = 'always';
        this.locationSubject = new BehaviorSubject(null);
    }
    ngOnInit() {
        if (!this.formGroup) {
            this.formGroup = this.fb.group({});
        }
        this.formLocationConfig = [
            {
                label: 'Cep',
                name: 'cep',
                class: 'w-100',
                fieldClass: 'w-50',
                type: DynamicFormTypeFieldEnum.text,
                appearance: this.appereance,
                floatLabel: this.floatLabel,
                required: true,
                textHint: 'Informe o CEP para preenchimento automático',
                valueChanges: (value) => __awaiter(this, void 0, void 0, function* () {
                    if (value && value.length >= 8) {
                        const cep = Number(value.replace(/^0-9/g, ''));
                        this.viacepService.get(cep).subscribe(location => this.setLocation(location));
                    }
                })
            },
            {
                label: 'Estado',
                name: 'estado',
                class: 'col-2',
                fieldClass: 'w-100',
                type: DynamicFormTypeFieldEnum.text,
                appearance: this.appereance,
                floatLabel: this.floatLabel,
                required: true
            },
            {
                label: 'Cidade',
                name: 'cidade',
                class: 'col-5',
                fieldClass: 'w-100',
                type: DynamicFormTypeFieldEnum.text,
                appearance: this.appereance,
                floatLabel: this.floatLabel,
                required: true
            },
            {
                label: 'Bairro',
                name: 'bairro',
                class: 'col-5',
                fieldClass: 'w-100',
                type: DynamicFormTypeFieldEnum.text,
                appearance: this.appereance,
                floatLabel: this.floatLabel,
                required: true
            },
            {
                label: 'Endereço',
                name: 'endereco',
                class: 'col-5',
                fieldClass: 'w-100',
                type: DynamicFormTypeFieldEnum.text,
                appearance: this.appereance,
                floatLabel: this.floatLabel,
                required: true
            },
            {
                label: 'Complemento',
                name: 'complemento',
                class: 'col-5',
                fieldClass: 'w-100',
                type: DynamicFormTypeFieldEnum.text,
                appearance: this.appereance,
                floatLabel: this.floatLabel
            },
            {
                label: 'Número',
                name: 'numero',
                class: 'col-2',
                fieldClass: 'w-100',
                type: DynamicFormTypeFieldEnum.text,
                appearance: this.appereance,
                floatLabel: this.floatLabel
            }
        ];
    }
    setLocation(location) {
        this.locationSubject.next([
            { name: 'cidade', value: location.localidade },
            { name: 'estado', value: location.uf },
            { name: 'bairro', value: location.bairro },
            { name: 'endereco', value: location.logradouro },
            { name: 'complemento', value: location.complemento },
            { name: 'numero', value: location.unidade }
        ]);
    }
}
LocationFormComponent.ɵfac = function LocationFormComponent_Factory(t) { return new (t || LocationFormComponent)(i0.ɵɵdirectiveInject(i1$3.FormBuilder), i0.ɵɵdirectiveInject(ViacepService)); };
LocationFormComponent.ɵcmp = i0.ɵɵdefineComponent({ type: LocationFormComponent, selectors: [["koala-location-form"]], inputs: { formGroup: "formGroup", appereance: "appereance", floatLabel: "floatLabel" }, decls: 1, vars: 3, consts: [[3, "formConfig", "form", "setValues"]], template: function LocationFormComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelement(0, "koala-dynamic-form", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("formConfig", ctx.formLocationConfig)("form", ctx.formGroup)("setValues", ctx.locationSubject);
    } }, directives: [DynamicFormComponent], encapsulation: 2, changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LocationFormComponent, [{
        type: Component,
        args: [{
                selector: 'koala-location-form',
                templateUrl: 'location-form.component.html',
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], function () { return [{ type: i1$3.FormBuilder }, { type: ViacepService }]; }, { formGroup: [{
            type: Input
        }], appereance: [{
            type: Input
        }], floatLabel: [{
            type: Input
        }] }); })();

const maskOptions = {
    validation: false
};

class KoalaFileButtonModule {
}
KoalaFileButtonModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaFileButtonModule });
KoalaFileButtonModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaFileButtonModule_Factory(t) { return new (t || KoalaFileButtonModule)(); }, imports: [[
            CommonModule,
            MatTooltipModule,
            MatButtonModule,
            MatIconModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaFileButtonModule, { declarations: [FileButtonComponent], imports: [CommonModule,
        MatTooltipModule,
        MatButtonModule,
        MatIconModule], exports: [FileButtonComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaFileButtonModule, [{
        type: NgModule,
        args: [{
                exports: [
                    FileButtonComponent
                ],
                declarations: [
                    FileButtonComponent
                ],
                imports: [
                    CommonModule,
                    MatTooltipModule,
                    MatButtonModule,
                    MatIconModule
                ]
            }]
    }], null, null); })();

class KoalaFormModule {
}
KoalaFormModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaFormModule });
KoalaFormModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaFormModule_Factory(t) { return new (t || KoalaFormModule)(); }, imports: [[
            CommonModule,
            ReactiveFormsModule,
            FormsModule,
            CurrencyMaskModule,
            NgxMaskModule.forRoot(maskOptions),
            KoalaFileButtonModule,
            MatInputModule,
            MatSelectModule,
            MatRadioModule,
            MatCheckboxModule,
            MatAutocompleteModule,
            MatButtonModule,
            MatIconModule,
            MatExpansionModule,
            MatChipsModule,
            KoalaButtonModule,
            MatProgressSpinnerModule
        ], ReactiveFormsModule,
        FormsModule,
        NgxMaskModule,
        KoalaFileButtonModule,
        MatInputModule,
        MatSelectModule,
        MatRadioModule,
        MatCheckboxModule,
        MatAutocompleteModule,
        MatButtonModule,
        MatIconModule,
        MatProgressSpinnerModule] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaFormModule, { declarations: [BtnSubmitComponent,
        DynamicFormComponent,
        KoalaAutofocusDirective], imports: [CommonModule,
        ReactiveFormsModule,
        FormsModule,
        CurrencyMaskModule, i6.NgxMaskModule, KoalaFileButtonModule,
        MatInputModule,
        MatSelectModule,
        MatRadioModule,
        MatCheckboxModule,
        MatAutocompleteModule,
        MatButtonModule,
        MatIconModule,
        MatExpansionModule,
        MatChipsModule,
        KoalaButtonModule,
        MatProgressSpinnerModule], exports: [ReactiveFormsModule,
        FormsModule,
        KoalaAutofocusDirective,
        NgxMaskModule,
        KoalaFileButtonModule,
        MatInputModule,
        MatSelectModule,
        MatRadioModule,
        MatCheckboxModule,
        MatAutocompleteModule,
        MatButtonModule,
        MatIconModule,
        MatProgressSpinnerModule,
        BtnSubmitComponent,
        DynamicFormComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaFormModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    BtnSubmitComponent,
                    DynamicFormComponent,
                    KoalaAutofocusDirective
                ],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    FormsModule,
                    CurrencyMaskModule,
                    NgxMaskModule.forRoot(maskOptions),
                    KoalaFileButtonModule,
                    MatInputModule,
                    MatSelectModule,
                    MatRadioModule,
                    MatCheckboxModule,
                    MatAutocompleteModule,
                    MatButtonModule,
                    MatIconModule,
                    MatExpansionModule,
                    MatChipsModule,
                    KoalaButtonModule,
                    MatProgressSpinnerModule
                ],
                exports: [
                    ReactiveFormsModule,
                    FormsModule,
                    KoalaAutofocusDirective,
                    NgxMaskModule,
                    KoalaFileButtonModule,
                    MatInputModule,
                    MatSelectModule,
                    MatRadioModule,
                    MatCheckboxModule,
                    MatAutocompleteModule,
                    MatButtonModule,
                    MatIconModule,
                    MatProgressSpinnerModule,
                    BtnSubmitComponent,
                    DynamicFormComponent
                ]
            }]
    }], null, null); })();

class KoalaLocationFormModule {
}
KoalaLocationFormModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaLocationFormModule });
KoalaLocationFormModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaLocationFormModule_Factory(t) { return new (t || KoalaLocationFormModule)(); }, providers: [
        KoalaDynamicFormService
    ], imports: [[
            CommonModule,
            KoalaFormModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaLocationFormModule, { declarations: [LocationFormComponent], imports: [CommonModule,
        KoalaFormModule], exports: [LocationFormComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaLocationFormModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    LocationFormComponent
                ],
                exports: [
                    LocationFormComponent
                ],
                imports: [
                    CommonModule,
                    KoalaFormModule
                ],
                providers: [
                    KoalaDynamicFormService
                ]
            }]
    }], null, null); })();

class KoalaDynamicComponent {
    constructor(component, data) {
        this.component = component;
        this.data = data;
    }
}

class ListAbstract extends FormAbstract {
    constructor(requestFunction, requestResponseFunction, formSearch) {
        super(formSearch);
        this.requestFunction = requestFunction;
        this.requestResponseFunction = requestResponseFunction;
        this.selection = new SelectionModel(true, []);
        this.limitOptions = [10, 20, 30, 50, 100];
        this.showMenuList = false;
        this.allSelected = false;
        this.dataSource = new MatTableDataSource([]);
        this.typeRequest = 'onDemand';
        this.filterParams = new BehaviorSubject(null);
    }
    ngOnDestroy() {
        var _a;
        (_a = this.subscriptionSortList) === null || _a === void 0 ? void 0 : _a.unsubscribe();
        clearInterval(this.intervalSortList);
    }
    ngAfterViewInit() {
        return __awaiter(this, void 0, void 0, function* () {
            let tentativas = 0;
            let stop = false;
            do {
                tentativas++;
                yield KoalaDelayHelper.waitFor(400);
                if (this.sort || this.emptyListComponent) {
                    this.prepareSearch().then();
                    if (this.emptyListComponent)
                        stop = true;
                }
                else if (tentativas > 10) {
                    stop = true;
                }
            } while (!this.sort && !stop);
        });
    }
    selectAll() {
        this.isAllSelected() ?
            this.selection.clear() :
            this.dataSource.data.forEach(item => this.selection.select(item));
        this.isAllSelected();
    }
    defineStatusSelectAll(status) {
        this.allSelected = status;
        return this.allSelected;
    }
    selectItem() {
        setTimeout(() => {
            this.showMenuList = this.selection.hasValue();
            this.isAllSelected();
        }, 50);
    }
    search(filter) {
        var _a, _b, _c, _d, _e, _f, _g, _h;
        return __awaiter(this, void 0, void 0, function* () {
            this.loading(true);
            this.selection.clear();
            if (this.paginator) {
                this.paginator.firstPage();
            }
            this.filterParams.next({
                params: filter,
                sort: (_b = (_a = this.sort) === null || _a === void 0 ? void 0 : _a.active) !== null && _b !== void 0 ? _b : '',
                order: (_d = (_c = this.sort) === null || _c === void 0 ? void 0 : _c.direction) !== null && _d !== void 0 ? _d : 'asc',
                page: (_f = (_e = this.paginator) === null || _e === void 0 ? void 0 : _e.pageIndex) !== null && _f !== void 0 ? _f : 1,
                limit: (_h = (_g = this.paginator) === null || _g === void 0 ? void 0 : _g.pageSize) !== null && _h !== void 0 ? _h : 30
            });
        });
    }
    prepareSearch() {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.typeRequest === 'onDemand') {
                this.intervalSortList = setInterval(() => {
                    if (this.sort && !this.subscriptionSortList) {
                        this.subscriptionSortList = this.sort.sortChange.subscribe(() => {
                            const filter = this.filterParams.value;
                            filter.sort = this.sort.active;
                            filter.order = this.sort.direction;
                            this.filterParams.next(filter);
                        });
                    }
                    else if (!this.sort && this.subscriptionSortList) {
                        this.subscriptionSortList.unsubscribe();
                    }
                }, 50);
                merge(this.paginator.page, this.filterParams).pipe(startWith({}), switchMap(() => new Observable(observe => {
                    this.loading(true);
                    this.selection.clear();
                    if (this.filterParams.value) {
                        this.filterParams.value.page = this.paginator.pageIndex;
                        this.filterParams.value.limit = this.paginator.pageSize;
                    }
                    observe.next(true);
                })), debounceTime(300), switchMap(this.requestFunction), map((response) => {
                    this.loading(false);
                    return this.requestResponseFunction(response);
                })).subscribe();
            }
            else {
                this.dataSource.paginator = this.paginator;
                this.filterParams.pipe(startWith({}), debounceTime(300), switchMap(this.requestFunction), map((response) => {
                    this.loading(false);
                    return this.requestResponseFunction(response);
                })).subscribe();
            }
            if (this.emptyListComponent) {
                do {
                    yield KlDelay.waitFor(301);
                    if (this.sort) {
                        if (this.typeRequest === "onDemand") {
                            this.sort.sortChange.subscribe(() => this.paginator.pageIndex = 0);
                        }
                        else {
                            this.dataSource.sort = this.sort;
                        }
                    }
                } while (!this.sort);
            }
        });
    }
    isAllSelected() {
        const numSelected = this.selection.selected.length;
        const numRows = this.dataSource.data.length;
        return this.defineStatusSelectAll(numSelected === numRows);
    }
}
ListAbstract.ɵfac = function ListAbstract_Factory(t) { i0.ɵɵinvalidFactory(); };
ListAbstract.ɵdir = i0.ɵɵdefineDirective({ type: ListAbstract, viewQuery: function ListAbstract_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵviewQuery(MatPaginator, 1);
        i0.ɵɵviewQuery(MatSort, 1);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.paginator = _t.first);
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.sort = _t.first);
    } }, inputs: { config: "config" }, features: [i0.ɵɵInheritDefinitionFeature] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ListAbstract, [{
        type: Directive
    }], function () { return [{ type: undefined }, { type: undefined }, { type: undefined }]; }, { config: [{
            type: Input
        }], paginator: [{
            type: ViewChild,
            args: [MatPaginator]
        }], sort: [{
            type: ViewChild,
            args: [MatSort, { static: false }]
        }] }); })();

function ListComponent_div_1_li_5_Template(rf, ctx) { if (rf & 1) {
    const _r11 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 18);
    i0.ɵɵelementStart(1, "button", 21);
    i0.ɵɵlistener("click", function ListComponent_div_1_li_5_Template_button_click_1_listener() { i0.ɵɵrestoreView(_r11); const ctx_r10 = i0.ɵɵnextContext(2); return ctx_r10.toogleFilter(); });
    i0.ɵɵelementStart(2, "mat-icon");
    i0.ɵɵtext(3, "tune");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} }
function ListComponent_div_1_li_6_Template(rf, ctx) { if (rf & 1) {
    const _r13 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 22);
    i0.ɵɵelementStart(1, "mat-checkbox", 23);
    i0.ɵɵlistener("click", function ListComponent_div_1_li_6_Template_mat_checkbox_click_1_listener() { i0.ɵɵrestoreView(_r13); const ctx_r12 = i0.ɵɵnextContext(2); return ctx_r12.filterSubmit(); });
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("formControlName", ctx_r8.filterFormConfig.checkAndSearch.formControlName);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1(" ", ctx_r8.filterFormConfig.checkAndSearch.label, " ");
} }
const _c0$4 = function (a0) { return { "show": a0 }; };
function ListComponent_div_1_div_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 24);
    i0.ɵɵelementStart(1, "div", 25);
    i0.ɵɵelement(2, "koala-dynamic-form", 15);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(3, _c0$4, ctx_r9.showAdvancedFilter));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("formConfig", ctx_r9.filterFormConfig.advanced)("form", ctx_r9.formAdvancedSearch);
} }
function ListComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 12);
    i0.ɵɵelementStart(1, "form", 13);
    i0.ɵɵlistener("ngSubmit", function ListComponent_div_1_Template_form_ngSubmit_1_listener() { i0.ɵɵrestoreView(_r15); const ctx_r14 = i0.ɵɵnextContext(); return ctx_r14.filterSubmit(); });
    i0.ɵɵelementStart(2, "div", 14);
    i0.ɵɵelement(3, "koala-dynamic-form", 15);
    i0.ɵɵelementStart(4, "ul");
    i0.ɵɵtemplate(5, ListComponent_div_1_li_5_Template, 4, 0, "li", 16);
    i0.ɵɵtemplate(6, ListComponent_div_1_li_6_Template, 3, 2, "li", 17);
    i0.ɵɵelementStart(7, "li", 18);
    i0.ɵɵelement(8, "koala-submit", 19);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(9, ListComponent_div_1_div_9_Template, 3, 5, "div", 20);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("formGroup", ctx_r0.formSearch);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("formConfig", ctx_r0.filterFormConfig.main)("form", ctx_r0.formSearch);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.filterFormConfig.advanced);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r0.filterFormConfig.checkAndSearch);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("btnSubmitDisabled", ctx_r0.btnSubmitDisabled)("fg", ctx_r0.formSearch)("iconButton", true)("loader", ctx_r0.loader);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r0.filterFormConfig.advanced);
} }
function ListComponent_li_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li");
    i0.ɵɵprojection(1, 1);
    i0.ɵɵelementEnd();
} }
function ListComponent_li_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 26);
    i0.ɵɵtext(1, "|");
    i0.ɵɵelementEnd();
} }
function ListComponent_div_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 27);
    i0.ɵɵelement(1, "mat-spinner", 28);
    i0.ɵɵelementEnd();
} }
function ListComponent_table_11_th_2_Template(rf, ctx) { if (rf & 1) {
    const _r24 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "th", 37);
    i0.ɵɵelementStart(1, "mat-checkbox", 38);
    i0.ɵɵlistener("change", function ListComponent_table_11_th_2_Template_mat_checkbox_change_1_listener($event) { i0.ɵɵrestoreView(_r24); const ctx_r23 = i0.ɵɵnextContext(2); return $event ? ctx_r23.selectAll() : null; });
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("checked", ctx_r16.selection.hasValue() && ctx_r16.allSelected)("indeterminate", ctx_r16.selection.hasValue() && !ctx_r16.allSelected);
} }
function ListComponent_table_11_td_3_Template(rf, ctx) { if (rf & 1) {
    const _r27 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "td", 39);
    i0.ɵɵelementStart(1, "mat-checkbox", 40);
    i0.ɵɵlistener("change", function ListComponent_table_11_td_3_Template_mat_checkbox_change_1_listener($event) { i0.ɵɵrestoreView(_r27); const item_r25 = ctx.$implicit; const ctx_r26 = i0.ɵɵnextContext(2); return $event ? ctx_r26.selection.toggle(item_r25) : null; })("click", function ListComponent_table_11_td_3_Template_mat_checkbox_click_1_listener($event) { i0.ɵɵrestoreView(_r27); const ctx_r28 = i0.ɵɵnextContext(2); $event.stopPropagation(); return ctx_r28.selectItem(); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r25 = ctx.$implicit;
    const ctx_r17 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("checked", ctx_r17.selection.isSelected(item_r25));
} }
function ListComponent_table_11_ng_container_4_th_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "th", 44);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const itemList_r29 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("mat-sort-header", itemList_r29.sortHeader)("disabled", !itemList_r29.sortHeader);
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(itemList_r29.label);
} }
function ListComponent_table_11_ng_container_4_td_2_koala_dynamic_component_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "koala-dynamic-component", 48);
} if (rf & 2) {
    const item_r33 = i0.ɵɵnextContext().$implicit;
    const itemList_r29 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("dynamicComponent", itemList_r29.itemComponent(item_r33));
} }
function ListComponent_table_11_ng_container_4_td_2_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtext(0);
} if (rf & 2) {
    const item_r33 = i0.ɵɵnextContext().$implicit;
    const itemList_r29 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵtextInterpolate1(" ", itemList_r29.itemNameProperty(item_r33), " ");
} }
function ListComponent_table_11_ng_container_4_td_2_Template(rf, ctx) { if (rf & 1) {
    const _r43 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "td", 45);
    i0.ɵɵlistener("dblclick", function ListComponent_table_11_ng_container_4_td_2_Template_td_dblclick_0_listener() { i0.ɵɵrestoreView(_r43); const item_r33 = ctx.$implicit; const itemList_r29 = i0.ɵɵnextContext().$implicit; return itemList_r29.dblClick(item_r33); });
    i0.ɵɵtemplate(1, ListComponent_table_11_ng_container_4_td_2_koala_dynamic_component_1_Template, 1, 1, "koala-dynamic-component", 46);
    i0.ɵɵtemplate(2, ListComponent_table_11_ng_container_4_td_2_ng_template_2_Template, 1, 1, "ng-template", null, 47, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r35 = i0.ɵɵreference(3);
    const itemList_r29 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", itemList_r29.itemComponent)("ngIfElse", _r35);
} }
function ListComponent_table_11_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 41);
    i0.ɵɵtemplate(1, ListComponent_table_11_ng_container_4_th_1_Template, 2, 3, "th", 42);
    i0.ɵɵtemplate(2, ListComponent_table_11_ng_container_4_td_2_Template, 4, 2, "td", 43);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const itemList_r29 = ctx.$implicit;
    i0.ɵɵproperty("matColumnDef", itemList_r29.columnDef);
} }
function ListComponent_table_11_th_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "th", 37);
} }
function ListComponent_table_11_td_7_div_1_div_6_button_1_Template(rf, ctx) { if (rf & 1) {
    const _r53 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 55);
    i0.ɵɵlistener("click", function ListComponent_table_11_td_7_div_1_div_6_button_1_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r53); const option_r49 = i0.ɵɵnextContext().$implicit; const item_r45 = i0.ɵɵnextContext(2).$implicit; return option_r49.action(item_r45); });
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "span");
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r49 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(option_r49.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(option_r49.name);
} }
function ListComponent_table_11_td_7_div_1_div_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtemplate(1, ListComponent_table_11_td_7_div_1_div_6_button_1_Template, 5, 2, "button", 54);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r49 = ctx.$implicit;
    const item_r45 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", option_r49.havePermission && (!option_r49.showByItemList || option_r49.showByItemList(item_r45)));
} }
function ListComponent_table_11_td_7_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵelementStart(1, "button", 49);
    i0.ɵɵelementStart(2, "i", 50);
    i0.ɵɵtext(3, "more_vert");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "mat-menu", 51, 52);
    i0.ɵɵtemplate(6, ListComponent_table_11_td_7_div_1_div_6_Template, 2, 1, "div", 53);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r47 = i0.ɵɵreference(5);
    const ctx_r46 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("matMenuTriggerFor", _r47);
    i0.ɵɵadvance(5);
    i0.ɵɵproperty("ngForOf", ctx_r46.itemsMenuListOptions);
} }
function ListComponent_table_11_td_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "td", 39);
    i0.ɵɵtemplate(1, ListComponent_table_11_td_7_div_1_Template, 7, 2, "div", 4);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r20 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r20.itemsMenuListOptions);
} }
function ListComponent_table_11_tr_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tr", 56);
} }
function ListComponent_table_11_tr_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "tr", 57);
} }
function ListComponent_table_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "table", 29);
    i0.ɵɵelementContainerStart(1, 30);
    i0.ɵɵtemplate(2, ListComponent_table_11_th_2_Template, 2, 2, "th", 31);
    i0.ɵɵtemplate(3, ListComponent_table_11_td_3_Template, 2, 1, "td", 32);
    i0.ɵɵelementContainerEnd();
    i0.ɵɵtemplate(4, ListComponent_table_11_ng_container_4_Template, 3, 1, "ng-container", 33);
    i0.ɵɵelementContainerStart(5, 34);
    i0.ɵɵtemplate(6, ListComponent_table_11_th_6_Template, 1, 0, "th", 31);
    i0.ɵɵtemplate(7, ListComponent_table_11_td_7_Template, 2, 1, "td", 32);
    i0.ɵɵelementContainerEnd();
    i0.ɵɵtemplate(8, ListComponent_table_11_tr_8_Template, 1, 0, "tr", 35);
    i0.ɵɵtemplate(9, ListComponent_table_11_tr_9_Template, 1, 0, "tr", 36);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("dataSource", ctx_r4.dataSource)("matSortActive", ctx_r4.columnSort)("matSortDirection", ctx_r4.sortDirection);
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("ngForOf", ctx_r4.itemsList);
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("matHeaderRowDef", ctx_r4.columnsToShowInList)("matHeaderRowDefSticky", true);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("matRowDefColumns", ctx_r4.columnsToShowInList);
} }
function ListComponent_ng_template_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "koala-dynamic-component", 48);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵproperty("dynamicComponent", ctx_r6.emptyListComponent);
} }
const _c1$2 = [[["", "itemsList", ""]], [["", "itemsSelectList", ""]]];
const _c2$1 = ["[itemsList]", "[itemsSelectList]"];
class ListComponent extends ListAbstract {
    constructor(fb, dynamicFormService) {
        super(() => this.config.request, (response) => {
            this.dataSource.data = this.config.responseIndexName ?
                response[this.config.responseIndexName] :
                response;
            if (this.config.getDataSource)
                this.config.getDataSource(this.dataSource.data);
            this.qtdListResult = this.config.responseQtdResultIndexName ?
                this.config.responseQtdResultIndexName(response) :
                this.dataSource.data.length;
        }, () => this.formSearch);
        this.fb = fb;
        this.dynamicFormService = dynamicFormService;
        this.sortDirection = 'asc';
        this.showAdvancedFilter = false;
        this.qtdListResult = 0;
    }
    ngOnInit() {
        var _a, _b, _c, _d, _e, _f;
        this.initConfig();
        this.loading(true);
        this.formSearch = this.fb.group({});
        this.formAdvancedSearch = this.fb.group({});
        if (this.filterFormConfig) {
            (_b = (_a = this.filterFormConfig) === null || _a === void 0 ? void 0 : _a.main) === null || _b === void 0 ? void 0 : _b.map(item => {
                item.class = item.class + ' padding-none';
                item.fieldClass = 'w-99';
                return item;
            });
            (_d = (_c = this.filterFormConfig) === null || _c === void 0 ? void 0 : _c.advanced) === null || _d === void 0 ? void 0 : _d.map(item => {
                item.class = item.class + ' padding-none';
                item.fieldClass = 'w-99';
                return item;
            });
            if ((_e = this.filterFormConfig) === null || _e === void 0 ? void 0 : _e.checkAndSearch) {
                this.formSearch.addControl(this.filterFormConfig.checkAndSearch.formControlName, new FormControl((_f = this.filterFormConfig.checkAndSearch.isChecked) !== null && _f !== void 0 ? _f : false));
            }
        }
        if (this.config.getSelectionList)
            this.config.getSelectionList(this.selection);
        if (this.reload) {
            this.reload.subscribe((reload) => __awaiter(this, void 0, void 0, function* () {
                if (reload) {
                    yield this.filterSubmit();
                }
            }));
        }
    }
    filterSubmit() {
        const _super = Object.create(null, {
            search: { get: () => super.search }
        });
        var _a;
        return __awaiter(this, void 0, void 0, function* () {
            this.showAdvancedFilter = false;
            yield KoalaDelayHelper.waitFor(1);
            let dados = KoalaObjectHelper.merge(this.dynamicFormService.emitData(this.formSearch), this.dynamicFormService.emitData(this.formAdvancedSearch));
            if ((_a = this.filterFormConfig) === null || _a === void 0 ? void 0 : _a.checkAndSearch) {
                const controlName = this.filterFormConfig.checkAndSearch.formControlName;
                dados[controlName] = this.formSearch.get(controlName).value;
            }
            yield _super.search.call(this, dados);
        });
    }
    toogleFilter() {
        this.showAdvancedFilter = !this.showAdvancedFilter;
    }
    initConfig() {
        var _a, _b, _c, _d, _e, _f, _g;
        this.columnSort = (_a = this.config.columnSort) !== null && _a !== void 0 ? _a : null;
        this.sortDirection = (_b = this.config.sortDirection) !== null && _b !== void 0 ? _b : 'asc';
        this.itemsMenuListOptions = (_c = this.config.itemsMenuListOptions) !== null && _c !== void 0 ? _c : [];
        this.typeRequest = (_d = this.config.typeRequest) !== null && _d !== void 0 ? _d : 'all';
        this.qtdListResult = (_e = this.config.qtdListResult) !== null && _e !== void 0 ? _e : 0;
        this.columnsToShowInList = this.config.columnsToShowInList;
        this.itemsList = this.config.itemsList;
        this.formSearch = this.config.formSearch;
        this.formAdvancedSearch = this.config.formAdvancedSearch;
        this.showAdvancedFilter = this.config.showAdvancedFilter;
        this.filterFormConfig = this.config.filterFormConfig;
        this.request = this.config.request;
        this.reload = this.config.reload;
        this.responseIndexName = this.config.responseIndexName;
        this.responseQtdResultIndexName = this.config.responseQtdResultIndexName;
        this.filterParams = (_f = this.config.filterParams) !== null && _f !== void 0 ? _f : new BehaviorSubject(null);
        this.emptyListComponent = this.config.emptyListComponent;
        this.pageSize = (_g = this.config.pageSize) !== null && _g !== void 0 ? _g : 30;
    }
}
ListComponent.ɵfac = function ListComponent_Factory(t) { return new (t || ListComponent)(i0.ɵɵdirectiveInject(i1$3.FormBuilder), i0.ɵɵdirectiveInject(KoalaDynamicFormService)); };
ListComponent.ɵcmp = i0.ɵɵdefineComponent({ type: ListComponent, selectors: [["koala-list"]], features: [i0.ɵɵInheritDefinitionFeature], ngContentSelectors: _c2$1, decls: 16, vars: 11, consts: [[1, "list-container"], ["class", "list-filter", 4, "ngIf"], [1, "menu-list"], [1, "menu"], [4, "ngIf"], ["class", "text-center", 4, "ngIf"], [1, "list"], ["class", "spinner-container", 4, "ngIf"], ["class", "table-hover", "mat-table", "", "matSort", "", "matSortDisableClear", "", 3, "dataSource", "matSortActive", "matSortDirection", 4, "ngIf", "ngIfElse"], ["emptyList", ""], [1, "content-paginator"], ["showFirstLastButtons", "", 3, "length", "pageSizeOptions", "pageSize"], [1, "list-filter"], [3, "formGroup", "ngSubmit"], [1, "main"], [3, "formConfig", "form"], ["class", "option", 4, "ngIf"], ["class", "checkbox-filter", 4, "ngIf"], [1, "option"], ["icon", "search", 3, "btnSubmitDisabled", "fg", "iconButton", "loader"], ["class", "advanced", 3, "ngClass", 4, "ngIf"], ["color", "primary", "mat-icon-button", "", "matTooltip", "Filtro Avan\u00E7ado", "matTooltipPosition", "below", "type", "button", 3, "click"], [1, "checkbox-filter"], [3, "formControlName", "click"], [1, "advanced", 3, "ngClass"], [1, "container-filter"], [1, "text-center"], [1, "spinner-container"], ["diameter", "40"], ["mat-table", "", "matSort", "", "matSortDisableClear", "", 1, "table-hover", 3, "dataSource", "matSortActive", "matSortDirection"], ["matColumnDef", "select"], ["mat-header-cell", "", 4, "matHeaderCellDef"], ["mat-cell", "", 4, "matCellDef"], [3, "matColumnDef", 4, "ngFor", "ngForOf"], ["matColumnDef", "options"], ["mat-header-row", "", 4, "matHeaderRowDef", "matHeaderRowDefSticky"], ["mat-row", "", 4, "matRowDef", "matRowDefColumns"], ["mat-header-cell", ""], [3, "checked", "indeterminate", "change"], ["mat-cell", ""], [3, "checked", "change", "click"], [3, "matColumnDef"], ["mat-header-cell", "", 3, "mat-sort-header", "disabled", 4, "matHeaderCellDef"], ["mat-cell", "", 3, "dblclick", 4, "matCellDef"], ["mat-header-cell", "", 3, "mat-sort-header", "disabled"], ["mat-cell", "", 3, "dblclick"], [3, "dynamicComponent", 4, "ngIf", "ngIfElse"], ["itemText", ""], [3, "dynamicComponent"], ["mat-icon-button", "", "type", "button", 3, "matMenuTriggerFor"], [1, "material-icons"], ["yPosition", "below", 1, "menu-list"], ["options", "matMenu"], [4, "ngFor", "ngForOf"], ["mat-menu-item", "", 3, "click", 4, "ngIf"], ["mat-menu-item", "", 3, "click"], ["mat-header-row", ""], ["mat-row", ""]], template: function ListComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵprojectionDef(_c1$2);
        i0.ɵɵelementStart(0, "div", 0);
        i0.ɵɵtemplate(1, ListComponent_div_1_Template, 10, 10, "div", 1);
        i0.ɵɵelementStart(2, "nav", 2);
        i0.ɵɵelementStart(3, "ul", 3);
        i0.ɵɵtemplate(4, ListComponent_li_4_Template, 2, 0, "li", 4);
        i0.ɵɵtemplate(5, ListComponent_li_5_Template, 2, 0, "li", 5);
        i0.ɵɵelementStart(6, "li");
        i0.ɵɵprojection(7);
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(8, "div", 6);
        i0.ɵɵtemplate(9, ListComponent_div_9_Template, 2, 0, "div", 7);
        i0.ɵɵpipe(10, "async");
        i0.ɵɵtemplate(11, ListComponent_table_11_Template, 10, 7, "table", 8);
        i0.ɵɵtemplate(12, ListComponent_ng_template_12_Template, 1, 1, "ng-template", null, 9, i0.ɵɵtemplateRefExtractor);
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(14, "div", 10);
        i0.ɵɵelement(15, "mat-paginator", 11);
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        const _r5 = i0.ɵɵreference(13);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.filterFormConfig);
        i0.ɵɵadvance(3);
        i0.ɵɵproperty("ngIf", ctx.selection.hasValue());
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.selection.hasValue());
        i0.ɵɵadvance(4);
        i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(10, 9, ctx.loader));
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("ngIf", !ctx.emptyListComponent || ctx.emptyListComponent && ctx.dataSource.data.length > 0)("ngIfElse", _r5);
        i0.ɵɵadvance(4);
        i0.ɵɵproperty("length", ctx.qtdListResult)("pageSizeOptions", ctx.limitOptions)("pageSize", ctx.pageSize);
    } }, directives: [i1$1.NgIf, i4$2.MatPaginator, i1$3.ɵangular_packages_forms_forms_y, i1$3.NgControlStatusGroup, i1$3.FormGroupDirective, DynamicFormComponent, BtnSubmitComponent, i2.MatButton, i3.MatTooltip, i4.MatIcon, i13.MatCheckbox, i1$3.NgControlStatus, i1$3.FormControlName, i1$1.NgClass, i3$1.MatSpinner, i12$1.MatTable, i13$1.MatSort, i12$1.MatColumnDef, i12$1.MatHeaderCellDef, i12$1.MatCellDef, i1$1.NgForOf, i12$1.MatHeaderRowDef, i12$1.MatRowDef, i12$1.MatHeaderCell, i12$1.MatCell, i13$1.MatSortHeader, KoalaDynamicComponentFactory, i15$1.MatMenuTrigger, i15$1.MatMenu, i15$1.MatMenuItem, i12$1.MatHeaderRow, i12$1.MatRow], pipes: [i1$1.AsyncPipe], styles: [".list-container[_ngcontent-%COMP%]{border-radius:10px;margin:0 auto;overflow-x:hidden;width:calc(100% - 40px)}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]{display:block;height:calc(100vh - 295px);overflow-y:auto;position:relative;top:0;width:100%;z-index:1}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   .spinner-container[_ngcontent-%COMP%]{position:absolute;height:100%;top:0;left:0;bottom:56px;right:0;background:rgba(0,0,0,.15);z-index:1;display:flex;align-items:center;justify-content:center}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   .mat-header-cell[_ngcontent-%COMP%]:last-child, .list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]:not(.table-not-selection)   .mat-header-cell[_ngcontent-%COMP%]:first-child{width:5%}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   .mat-header-cell[_ngcontent-%COMP%]:last-child{text-align:center}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   .mat-header-row[_ngcontent-%COMP%], .list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   .mat-row[_ngcontent-%COMP%]{height:35px}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   .mat-row[_ngcontent-%COMP%]   .mat-icon-button[_ngcontent-%COMP%]{height:35px;line-height:35px;width:35px}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   tr.detail-row[_ngcontent-%COMP%]:not(.expanded-row){height:0}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   .element-detail[_ngcontent-%COMP%]{display:flex;overflow:hidden}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]{position:relative;width:100%;font-family:OpenSans,sans-serif;font-size:1em}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   table.table-hover[_ngcontent-%COMP%]   tr[_ngcontent-%COMP%]{cursor:pointer;transition:.2s}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]:first-child, .list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   th[_ngcontent-%COMP%]:first-child{padding:0 8px 0 20px}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   th[_ngcontent-%COMP%]{font-size:.7em;padding:0 8px;font-family:OpenSans,sans-serif;line-height:1em}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]{font-size:.8em;padding:0 8px;font-family:OpenSans,sans-serif}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   td[_ngcontent-%COMP%]:last-child, .list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   table[_ngcontent-%COMP%]   th[_ngcontent-%COMP%]:last-child{padding:0 20px 0 8px}.list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   .mat-list-item-content[_ngcontent-%COMP%], .list-container[_ngcontent-%COMP%]   .list[_ngcontent-%COMP%]   .mat-list-item-content[_ngcontent-%COMP%]   .mat-list-text[_ngcontent-%COMP%]{padding:0}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]{box-shadow:0 1px 3px rgba(0,0,0,.3);height:60px;position:relative;z-index:3}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .main[_ngcontent-%COMP%]{display:flex;justify-content:space-between;font-size:1.05em;height:60px;overflow:hidden;padding-left:2.5px;position:relative;width:100%}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .main[_ngcontent-%COMP%]   koala-dynamic-form[_ngcontent-%COMP%]{width:100%}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .main[_ngcontent-%COMP%]   mat-form-field[_ngcontent-%COMP%]{display:inline-block}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .main[_ngcontent-%COMP%]   .mat-form-field-appearance-fill[_ngcontent-%COMP%]   .mat-form-field-flex[_ngcontent-%COMP%]{background:transparent}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .main[_ngcontent-%COMP%]   .mat-form-field[_ngcontent-%COMP%]   .mat-form-field-wrapper[_ngcontent-%COMP%]{padding-bottom:0}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .main[_ngcontent-%COMP%]   .mat-form-field-appearance-legacy[_ngcontent-%COMP%]   .mat-form-field-subscript-wrapper[_ngcontent-%COMP%], .list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .main[_ngcontent-%COMP%]   .mat-form-field-underline[_ngcontent-%COMP%], .list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .main[_ngcontent-%COMP%]   .mat-form-field-wrapper[_ngcontent-%COMP%]   .mat-form-field-subscript-wrapper[_ngcontent-%COMP%]{display:none}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]{display:flex;align-items:center;font-size:0;list-style:none;margin:0;padding:0 15px 0 0;position:relative;text-align:right}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{display:inline-block;font-size:14px;padding:5px;position:relative}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.option[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]{transition:.2s}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.option[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]:hover{background:rgba(0,0,0,.1)}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.checkbox-filter[_ngcontent-%COMP%]{text-align:center}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.checkbox-filter[_ngcontent-%COMP%]   .checkbox-inline[_ngcontent-%COMP%]{top:-5px}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.checkbox-filter[_ngcontent-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]{margin-left:0}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.checkbox-filter[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{padding:0!important;width:auto}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .advanced[_ngcontent-%COMP%]{border-top:1px solid #ddd;box-shadow:0 3px 10px rgba(0,0,0,.3);height:0;overflow-x:hidden;overflow-y:auto;position:absolute;top:60px;transition:.2s;width:100%;z-index:1}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .advanced[_ngcontent-%COMP%]   .container-filter[_ngcontent-%COMP%]{padding:15px}.list-container[_ngcontent-%COMP%]   .list-filter[_ngcontent-%COMP%]   .advanced.show[_ngcontent-%COMP%]{height:360px}.list-container[_ngcontent-%COMP%]   nav.menu-list[_ngcontent-%COMP%]{height:40px;margin:0;padding:3px 0;position:relative;transition:.2s;width:100%;z-index:2;box-sizing:border-box}.list-container[_ngcontent-%COMP%]   nav.menu-list[_ngcontent-%COMP%]   ul.menu[_ngcontent-%COMP%]{float:left;font-size:0;list-style:none;margin:0;padding:0 10px;position:relative;text-align:left}.list-container[_ngcontent-%COMP%]   nav.menu-list[_ngcontent-%COMP%]   ul.menu[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{color:#616161;display:inline-block;font-size:16px;padding:0 4px}.list-container[_ngcontent-%COMP%]   nav.menu-list[_ngcontent-%COMP%]   ul.menu[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   button.koala-icon-button[_ngcontent-%COMP%], .list-container[_ngcontent-%COMP%]   nav.menu-list[_ngcontent-%COMP%]   ul.menu[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   button.mat-button[_ngcontent-%COMP%]{display:inline-block}.list-container[_ngcontent-%COMP%]   .content-paginator[_ngcontent-%COMP%]   mat-paginator[_ngcontent-%COMP%]   .mat-paginator-container[_ngcontent-%COMP%]{height:40px!important;min-height:40px!important}.list-container[_ngcontent-%COMP%]   .content-paginator[_ngcontent-%COMP%]   mat-paginator[_ngcontent-%COMP%]   .mat-paginator-container[_ngcontent-%COMP%]   .mat-paginator-page-size-select[_ngcontent-%COMP%]{height:40px;margin-top:0!important}.list-container[_ngcontent-%COMP%]   .content-paginator[_ngcontent-%COMP%]   mat-paginator[_ngcontent-%COMP%]   .mat-paginator-container[_ngcontent-%COMP%]   .mat-paginator-range-label[_ngcontent-%COMP%]{margin-top:3px}.list-container[_ngcontent-%COMP%]   .content-paginator[_ngcontent-%COMP%]{position:relative;background:transparent!important;z-index:2;box-shadow:-3px 1px 3px rgba(0,0,0,.3)}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ListComponent, [{
        type: Component,
        args: [{
                selector: 'koala-list',
                templateUrl: 'list.component.html',
                styleUrls: ['list.component.css'],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], function () { return [{ type: i1$3.FormBuilder }, { type: KoalaDynamicFormService }]; }, null); })();

class PaginationProvider extends MatPaginatorIntl {
    constructor() {
        super();
        this.getRangeLabel = (page, pageSize, length) => {
            if (length === 0 || pageSize === 0) {
                return `0 / ${length}`;
            }
            length = Math.max(length, 0);
            const startIndex = page * pageSize;
            const endIndex = startIndex < length ? Math.min(startIndex + pageSize, length) : startIndex + pageSize;
            return `${startIndex + 1} - ${endIndex} / ${length}`;
        };
        this.getAndInitTranslations();
    }
    getAndInitTranslations() {
        this.itemsPerPageLabel = "Itens por Página";
        this.firstPageLabel = "Primeira Página";
        this.nextPageLabel = "Próxima Página";
        this.previousPageLabel = "Página Anterior";
        this.lastPageLabel = "Última Página";
        this.changes.next();
    }
}
PaginationProvider.ɵfac = function PaginationProvider_Factory(t) { return new (t || PaginationProvider)(); };
PaginationProvider.ɵprov = i0.ɵɵdefineInjectable({ token: PaginationProvider, factory: PaginationProvider.ɵfac });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(PaginationProvider, [{
        type: Injectable
    }], function () { return []; }, null); })();

class KoalaListModule {
}
KoalaListModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaListModule });
KoalaListModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaListModule_Factory(t) { return new (t || KoalaListModule)(); }, providers: [{
            provide: MatPaginatorIntl,
            useClass: PaginationProvider
        }], imports: [[
            CommonModule,
            KoalaFolderPageModule,
            KoalaFormModule,
            KoalaDynamicComponentModule,
            MatMenuModule,
            MatTableModule,
            MatSortModule,
            MatTooltipModule,
            MatPaginatorModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaListModule, { declarations: [ListComponent], imports: [CommonModule,
        KoalaFolderPageModule,
        KoalaFormModule,
        KoalaDynamicComponentModule,
        MatMenuModule,
        MatTableModule,
        MatSortModule,
        MatTooltipModule,
        MatPaginatorModule], exports: [ListComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaListModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    ListComponent
                ],
                imports: [
                    CommonModule,
                    KoalaFolderPageModule,
                    KoalaFormModule,
                    KoalaDynamicComponentModule,
                    MatMenuModule,
                    MatTableModule,
                    MatSortModule,
                    MatTooltipModule,
                    MatPaginatorModule
                ],
                exports: [
                    ListComponent
                ],
                providers: [{
                        provide: MatPaginatorIntl,
                        useClass: PaginationProvider
                    }]
            }]
    }], null, null); })();

const _c0$3 = function (a0) { return { "bouncedInDown d-block": a0 }; };
class LoaderBarPageComponent {
    constructor() {
        this.show = false;
        this.progress = 0;
        this.typeLoader = 'indeterminate';
    }
}
LoaderBarPageComponent.ɵfac = function LoaderBarPageComponent_Factory(t) { return new (t || LoaderBarPageComponent)(); };
LoaderBarPageComponent.ɵcmp = i0.ɵɵdefineComponent({ type: LoaderBarPageComponent, selectors: [["app-loader-page"]], inputs: { show: "show", progress: "progress", typeLoader: "typeLoader" }, decls: 2, vars: 6, consts: [[1, "animated", "loader-bar-page", 3, "ngClass"], ["color", "primary", 3, "bufferValue", "mode", "value"]], template: function LoaderBarPageComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 0);
        i0.ɵɵelement(1, "mat-progress-bar", 1);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(4, _c0$3, ctx.show));
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("bufferValue", ctx.progress)("mode", ctx.typeLoader)("value", ctx.progress);
    } }, directives: [i1$1.NgClass, i2$1.MatProgressBar], styles: [".loader-bar-page[_ngcontent-%COMP%]{position:absolute;display:none;top:0;left:0;width:100vw;height:100vh;z-index:100000}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LoaderBarPageComponent, [{
        type: Component,
        args: [{
                selector: 'app-loader-page',
                templateUrl: 'loader-bar-page.component.html',
                styleUrls: ['loader-bar-page.component.css'],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], null, { show: [{
            type: Input
        }], progress: [{
            type: Input
        }], typeLoader: [{
            type: Input
        }] }); })();

function MenuComponent_ul_3_li_1_a_1_mat_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const module_r3 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(module_r3.icon);
} }
function MenuComponent_ul_3_li_1_a_1_mat_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 10);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const module_r3 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(module_r3.expanded || module_r3.active ? "keyboard_arrow_down" : "keyboard_arrow_right");
} }
function MenuComponent_ul_3_li_1_a_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "a", 8);
    i0.ɵɵtemplate(1, MenuComponent_ul_3_li_1_a_1_mat_icon_1_Template, 2, 1, "mat-icon", 7);
    i0.ɵɵelementStart(2, "h3");
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, MenuComponent_ul_3_li_1_a_1_mat_icon_4_Template, 2, 1, "mat-icon", 9);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const module_r3 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("routerLink", module_r3.routerLink);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", module_r3.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(module_r3.name);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", (module_r3.tools == null ? null : module_r3.tools.length) > 0);
} }
function MenuComponent_ul_3_li_1_ng_template_2_mat_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const module_r3 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(module_r3.icon);
} }
function MenuComponent_ul_3_li_1_ng_template_2_mat_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon", 10);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const module_r3 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(module_r3.expanded || module_r3.active ? "keyboard_arrow_down" : "keyboard_arrow_right");
} }
function MenuComponent_ul_3_li_1_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 11);
    i0.ɵɵtemplate(1, MenuComponent_ul_3_li_1_ng_template_2_mat_icon_1_Template, 2, 1, "mat-icon", 7);
    i0.ɵɵelementStart(2, "h3");
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, MenuComponent_ul_3_li_1_ng_template_2_mat_icon_4_Template, 2, 1, "mat-icon", 9);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const module_r3 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", module_r3.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(module_r3.name);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", (module_r3.tools == null ? null : module_r3.tools.length) > 0);
} }
function MenuComponent_ul_3_li_1_ul_4_li_1_mat_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const tool_r19 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(tool_r19.icon);
} }
function MenuComponent_ul_3_li_1_ul_4_li_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li");
    i0.ɵɵelementStart(1, "a", 13);
    i0.ɵɵtemplate(2, MenuComponent_ul_3_li_1_ul_4_li_1_mat_icon_2_Template, 2, 1, "mat-icon", 7);
    i0.ɵɵelementStart(3, "h4");
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const tool_r19 = ctx.$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("routerLink", tool_r19.routerLink);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", tool_r19.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(tool_r19.name);
} }
function MenuComponent_ul_3_li_1_ul_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul");
    i0.ɵɵtemplate(1, MenuComponent_ul_3_li_1_ul_4_li_1_Template, 5, 3, "li", 12);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const module_r3 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngForOf", module_r3.tools);
} }
const _c0$2 = function (a0, a1) { return { expanded: a0, active: a1 }; };
function MenuComponent_ul_3_li_1_Template(rf, ctx) { if (rf & 1) {
    const _r24 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 4);
    i0.ɵɵlistener("click", function MenuComponent_ul_3_li_1_Template_li_click_0_listener() { i0.ɵɵrestoreView(_r24); const module_r3 = ctx.$implicit; const ctx_r23 = i0.ɵɵnextContext(2); return ctx_r23.toogle(module_r3); });
    i0.ɵɵtemplate(1, MenuComponent_ul_3_li_1_a_1_Template, 5, 4, "a", 5);
    i0.ɵɵtemplate(2, MenuComponent_ul_3_li_1_ng_template_2_Template, 5, 3, "ng-template", null, 6, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵtemplate(4, MenuComponent_ul_3_li_1_ul_4_Template, 2, 1, "ul", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const module_r3 = ctx.$implicit;
    const _r5 = i0.ɵɵreference(3);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(4, _c0$2, module_r3.expanded, module_r3.active));
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", !!module_r3.routerLink)("ngIfElse", _r5);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", (module_r3.tools == null ? null : module_r3.tools.length) > 0);
} }
function MenuComponent_ul_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul", 2);
    i0.ɵɵtemplate(1, MenuComponent_ul_3_li_1_Template, 5, 7, "li", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const options_r1 = ctx.ngIf;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngForOf", options_r1);
} }
const menuStateSubject = new BehaviorSubject(null);
class MenuComponent {
    constructor(router) {
        this.router = router;
    }
    ngOnInit() {
        if (this.optionsSubject) {
            this.optionsSubject.subscribe(options => {
                this.defineMenuOptions(options);
            });
            this.router
                .events
                .subscribe(event => {
                switch (true) {
                    case event instanceof NavigationEnd:
                        const options = this.optionsSubject.getValue();
                        if ((options === null || options === void 0 ? void 0 : options.length) > 0) {
                            this.defineMenuOptions(options);
                        }
                }
            });
        }
    }
    toogle(module) {
        this.optionsSubject.next(koala(this.optionsSubject.getValue())
            .array()
            .map(item => {
            if (item.name === module.name) {
                item.expanded = !module.expanded;
            }
            else {
                item.expanded = false;
            }
            return item;
        })
            .getValue());
    }
    defineMenuOptions(options) {
        options.map(module => {
            module.active = module.tools ?
                (this.router.url === module.routerLink ||
                    !!module.tools.find(tool => this.router.url === tool.routerLink)) :
                this.router.url === module.routerLink;
            return module;
        });
    }
}
MenuComponent.ɵfac = function MenuComponent_Factory(t) { return new (t || MenuComponent)(i0.ɵɵdirectiveInject(i1$2.Router)); };
MenuComponent.ɵcmp = i0.ɵɵdefineComponent({ type: MenuComponent, selectors: [["koala-menu"]], inputs: { titleMenu: "titleMenu", optionsSubject: "optionsSubject" }, decls: 5, vars: 4, consts: [[1, "title"], ["class", "list-menu", 4, "ngIf"], [1, "list-menu"], [3, "ngClass", "click", 4, "ngFor", "ngForOf"], [3, "ngClass", "click"], ["class", "module", 3, "routerLink", 4, "ngIf", "ngIfElse"], ["moduleWithoutLink", ""], [4, "ngIf"], [1, "module", 3, "routerLink"], ["class", "state-module", 4, "ngIf"], [1, "state-module"], [1, "module"], [4, "ngFor", "ngForOf"], ["routerLinkActive", "active", 3, "routerLink"]], template: function MenuComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "nav");
        i0.ɵɵelementStart(1, "h2", 0);
        i0.ɵɵtext(2);
        i0.ɵɵelementEnd();
        i0.ɵɵtemplate(3, MenuComponent_ul_3_Template, 2, 1, "ul", 1);
        i0.ɵɵpipe(4, "async");
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵadvance(2);
        i0.ɵɵtextInterpolate(ctx.titleMenu);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(4, 2, ctx.optionsSubject));
    } }, directives: [i1$1.NgIf, i1$1.NgForOf, i1$1.NgClass, i1$2.RouterLinkWithHref, i4.MatIcon, i1$2.RouterLinkActive], pipes: [i1$1.AsyncPipe], styles: [".title[_ngcontent-%COMP%]{font-family:OpenSans,sans-serif;font-size:.8em;font-weight:700;line-height:.8em;margin:0;padding:8px 15px}ul[_ngcontent-%COMP%]{font-size:0;list-style:none;margin:0;padding:0}ul.list-menu[_ngcontent-%COMP%]{height:calc(100vh - 107px);overflow:auto}ul[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]{height:0;overflow:hidden}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], ul[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]{transition:.2s}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{cursor:pointer;display:block;font-size:14px;outline:none;padding:0;position:relative}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]{transition:.2s}.module[_ngcontent-%COMP%]{outline:none;padding:5px 15px;text-decoration:none}a.module[_ngcontent-%COMP%]{box-sizing:border-box;cursor:pointer;display:block;width:100%}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{border:none!important;padding:0!important}.state-module[_ngcontent-%COMP%]{position:absolute;right:10px;top:4px}ul[_ngcontent-%COMP%]   li.active[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%], ul[_ngcontent-%COMP%]   li.expanded[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]{border-bottom:1px solid rgba(0,0,0,.1);box-shadow:0 1px 3px rgba(0,0,0,.5);height:-webkit-fit-content!important;height:-moz-fit-content!important;height:fit-content!important;padding:15px 0}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   a.active[_ngcontent-%COMP%]{background:rgba(0,0,0,.1)!important;cursor:default;height:-webkit-fit-content!important;height:-moz-fit-content!important;height:fit-content!important}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   h3[_ngcontent-%COMP%], ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   h4[_ngcontent-%COMP%], ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{display:inline-flex;line-height:1.5em;margin:0;vertical-align:middle}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   h3[_ngcontent-%COMP%], ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   h4[_ngcontent-%COMP%]{font-size:.9em}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%], ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{font-size:22px;height:22px;line-height:22px;margin-right:5px;width:22px}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]{cursor:pointer;display:block;padding:5px 15px!important;text-decoration:none;width:100%}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover{background:rgba(0,0,0,.1)}ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   a.active[_ngcontent-%COMP%]:hover{background:transparent}"] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MenuComponent, [{
        type: Component,
        args: [{
                selector: 'koala-menu',
                templateUrl: 'menu.component.html',
                styleUrls: ['menu.component.css']
            }]
    }], function () { return [{ type: i1$2.Router }]; }, { titleMenu: [{
            type: Input
        }], optionsSubject: [{
            type: Input
        }] }); })();

class KoalaMenuModule {
}
KoalaMenuModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaMenuModule });
KoalaMenuModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaMenuModule_Factory(t) { return new (t || KoalaMenuModule)(); }, imports: [[
            CommonModule,
            RouterModule,
            MatIconModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaMenuModule, { declarations: [MenuComponent], imports: [CommonModule,
        RouterModule,
        MatIconModule], exports: [MenuComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaMenuModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    MenuComponent
                ],
                imports: [
                    CommonModule,
                    RouterModule,
                    MatIconModule
                ],
                exports: [
                    MenuComponent
                ]
            }]
    }], null, null); })();

function NotificationComponent_button_7_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 6);
    i0.ɵɵlistener("click", function NotificationComponent_button_7_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return ctx_r4.deleteAllNotifications(); });
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "delete_sweep");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} }
function NotificationComponent_mat_action_list_8_mat_list_item_1_Template(rf, ctx) { if (rf & 1) {
    const _r9 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-list-item", 8);
    i0.ɵɵelementStart(1, "button", 9);
    i0.ɵɵlistener("click", function NotificationComponent_mat_action_list_8_mat_list_item_1_Template_button_click_1_listener() { i0.ɵɵrestoreView(_r9); const notification_r7 = ctx.$implicit; const ctx_r8 = i0.ɵɵnextContext(2); return ctx_r8.deleteNotification(notification_r7); });
    i0.ɵɵelementStart(2, "mat-icon");
    i0.ɵɵtext(3, "delete");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "mat-icon", 10);
    i0.ɵɵtext(5, "announcement");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(6, "h4", 11);
    i0.ɵɵtext(7);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(8, "p", 12);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const notification_r7 = ctx.$implicit;
    i0.ɵɵproperty("routerLink", notification_r7.redirectTo);
    i0.ɵɵadvance(7);
    i0.ɵɵtextInterpolate(notification_r7.title);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("innerHTML", notification_r7.text, i0.ɵɵsanitizeHtml);
} }
function NotificationComponent_mat_action_list_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-action-list");
    i0.ɵɵtemplate(1, NotificationComponent_mat_action_list_8_mat_list_item_1_Template, 9, 3, "mat-list-item", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngForOf", ctx_r1.notifications);
} }
function NotificationComponent_ng_template_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 13);
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "mood");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "p");
    i0.ɵɵtext(4, "Tudo certo por aqui!");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} }
class NotificationComponent {
    constructor(titleService) {
        this.titleService = titleService;
        this.deleteAll = new EventEmitter(false);
        this.delete = new EventEmitter(null);
    }
    ngOnChanges(changes) {
        const arrAppName = this.titleService.getTitle().split(' ');
        let appName = arrAppName[0];
        if (arrAppName.length > 1) {
            appName = arrAppName[1];
        }
        if (changes.notifications && this.notifications.length > 0) {
            this.titleService.setTitle(`(${this.notifications.length}) ${appName}`);
        }
        else {
            this.titleService.setTitle(`${appName}`);
        }
    }
    deleteAllNotifications() {
        this.deleteAll.emit(true);
    }
    deleteNotification(notification) {
        this.delete.emit(notification);
    }
}
NotificationComponent.ɵfac = function NotificationComponent_Factory(t) { return new (t || NotificationComponent)(i0.ɵɵdirectiveInject(i1$5.Title)); };
NotificationComponent.ɵcmp = i0.ɵɵdefineComponent({ type: NotificationComponent, selectors: [["koala-notification-list"]], inputs: { notifications: "notifications" }, outputs: { deleteAll: "deleteAll", delete: "delete" }, features: [i0.ɵɵNgOnChangesFeature], decls: 11, vars: 3, consts: [[1, "notifications-content", 3, "click"], [1, "title"], [1, "spacer"], ["class", "btn-delete-all", "mat-icon-button", "", "matTooltip", "Excluir Todas", "matTooltipPosition", "above", 3, "click", 4, "ngIf"], [4, "ngIf", "ngIfElse"], ["noNotifications", ""], ["mat-icon-button", "", "matTooltip", "Excluir Todas", "matTooltipPosition", "above", 1, "btn-delete-all", 3, "click"], ["class", "itemList", 3, "routerLink", 4, "ngFor", "ngForOf"], [1, "itemList", 3, "routerLink"], ["color", "warn", "mat-icon-button", "", "matTooltip", "Excluir", "matTooltipPosition", "above", "mat-list-icon", "", 1, "delete-notification", 3, "click"], ["mat-list-icon", "", 1, "iconList"], ["mat-line", "", 1, "titleList"], ["mat-line", "", 1, "textList", 3, "innerHTML"], [1, "empty"]], template: function NotificationComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 0);
        i0.ɵɵlistener("click", function NotificationComponent_Template_div_click_0_listener($event) { return $event.stopPropagation(); });
        i0.ɵɵelementStart(1, "div", 1);
        i0.ɵɵelementStart(2, "mat-icon");
        i0.ɵɵtext(3, "info");
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(4, "h2");
        i0.ɵɵtext(5, "Notifica\u00E7\u00F5es");
        i0.ɵɵelementEnd();
        i0.ɵɵelement(6, "span", 2);
        i0.ɵɵtemplate(7, NotificationComponent_button_7_Template, 3, 0, "button", 3);
        i0.ɵɵelementEnd();
        i0.ɵɵtemplate(8, NotificationComponent_mat_action_list_8_Template, 2, 1, "mat-action-list", 4);
        i0.ɵɵtemplate(9, NotificationComponent_ng_template_9_Template, 5, 0, "ng-template", null, 5, i0.ɵɵtemplateRefExtractor);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        const _r2 = i0.ɵɵreference(10);
        i0.ɵɵadvance(7);
        i0.ɵɵproperty("ngIf", ctx.notifications.length > 0);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.notifications.length > 0)("ngIfElse", _r2);
    } }, directives: [i4.MatIcon, i1$1.NgIf, i2.MatButton, i3.MatTooltip, i6$1.MatList, i1$1.NgForOf, i6$1.MatListItem, i1$2.RouterLink, i6$1.MatListIconCssMatStyler, i12.MatLine], styles: [".title[_ngcontent-%COMP%]{color:#616161;padding:5px 20px 15px}.title[_ngcontent-%COMP%]   h2[_ngcontent-%COMP%]{padding:0 10px;margin:0;font-family:OpenSans,sans-serif;font-size:.8em}.title[_ngcontent-%COMP%]   h2[_ngcontent-%COMP%], .title[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{vertical-align:middle;display:inline-flex}.title[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{width:22px;height:22px;font-size:22px;line-height:22px}.title[_ngcontent-%COMP%]   .btn-delete-all[_ngcontent-%COMP%]{position:absolute;right:20px;top:5px}.iconList[_ngcontent-%COMP%]{color:#1976d2}.titleList[_ngcontent-%COMP%]{font-family:OpenSansLight,sans-serif;font-size:.7em!important;color:#616161}.textList[_ngcontent-%COMP%]{font-family:OpenSans,sans-serif;font-size:.9em!important;color:#212121;white-space:unset!important}.itemList[_ngcontent-%COMP%]{height:-webkit-fit-content!important;height:-moz-fit-content!important;height:fit-content!important;padding:8px 0!important}.delete-notification[_ngcontent-%COMP%]{background:#b71c1c;border-radius:0!important;height:100%!important;margin-left:-75px;margin-right:10px;position:absolute;transition:.3s;width:50px!important}.delete-notification[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{color:#fff;vertical-align:middle}mat-action-list[_ngcontent-%COMP%]{max-height:70vh;overflow-y:auto}mat-list-item[_ngcontent-%COMP%]:hover   .delete-notification[_ngcontent-%COMP%]{margin-left:-15px}.empty[_ngcontent-%COMP%]{padding:50px;text-align:center;color:#616161}.empty[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{width:40px;height:40px;font-size:40px;line-height:40px}.empty[_ngcontent-%COMP%]   p[_ngcontent-%COMP%]{text-align:center;font-family:OpenSansLight,sans-serif;font-size:1em}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(NotificationComponent, [{
        type: Component,
        args: [{
                selector: 'koala-notification-list',
                templateUrl: 'notification.component.html',
                styleUrls: ['notification.component.css'],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], function () { return [{ type: i1$5.Title }]; }, { notifications: [{
            type: Input
        }], deleteAll: [{
            type: Output
        }], delete: [{
            type: Output
        }] }); })();

class TokenFactory {
    static init() {
        if (!!localStorage.getItem(TokenFactory.storageName)) {
            TokenFactory.setToken(localStorage.getItem(TokenFactory.storageName));
        }
    }
    static setToken(token) {
        localStorage.setItem(this.storageName, token);
        this.token = token;
    }
    static getToken() {
        return this.token;
    }
    static removeToken() {
        localStorage.removeItem(this.storageName);
        this.token = null;
    }
    static hasToken() {
        return !!this.token;
    }
}
TokenFactory.storageName = 'koalaStorageToken';

class KoalaTokenService {
    constructor() {
        this.token$ = new BehaviorSubject(null);
        this.verifySession();
    }
    setToken(token) {
        TokenFactory.setToken(token);
    }
    getToken() {
        return this.token$;
    }
    getDecodedToken() {
        return (TokenFactory.hasToken() ? jwt(TokenFactory.getToken()) : null);
    }
    removeToken() {
        TokenFactory.removeToken();
    }
    verifySession() {
        TokenFactory.init();
        this.token$.next(TokenFactory.getToken());
        setInterval(() => {
            if (!TokenFactory.hasToken() && this.token$.getValue()) {
                this.token$.next(null);
            }
            else if (TokenFactory.hasToken() && !this.token$.getValue()) {
                this.token$.next(TokenFactory.getToken());
            }
        }, 300);
    }
}
KoalaTokenService.ɵfac = function KoalaTokenService_Factory(t) { return new (t || KoalaTokenService)(); };
KoalaTokenService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaTokenService, factory: KoalaTokenService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaTokenService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], function () { return []; }, null); })();

const KOALA_LOADER_SUBJECT = new BehaviorSubject({
    typeLoader: 'indeterminate',
    progress: 0,
    show: false
});
class KoalaLoaderService {
    getLoaderSubject() {
        return KOALA_LOADER_SUBJECT;
    }
    create(loaderConfig) {
        KOALA_LOADER_SUBJECT.next({
            show: true,
            progress: loaderConfig.progress ? loaderConfig.progress : 0,
            typeLoader: loaderConfig.typeLoader ? loaderConfig.typeLoader : 'indeterminate'
        });
    }
    dismiss() {
        KOALA_LOADER_SUBJECT.next({
            show: false,
            progress: 0,
            typeLoader: 'indeterminate'
        });
    }
}
KoalaLoaderService.ɵfac = function KoalaLoaderService_Factory(t) { return new (t || KoalaLoaderService)(); };
KoalaLoaderService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaLoaderService, factory: KoalaLoaderService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaLoaderService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], null, null); })();

class KoalaMenuService {
    getMenuState() {
        return menuStateSubject.getValue();
    }
    open() {
        menuStateSubject.next('open');
    }
    close() {
        menuStateSubject.next('close');
    }
    clearConfig() {
        menuStateSubject.next(null);
    }
}
KoalaMenuService.ɵfac = function KoalaMenuService_Factory(t) { return new (t || KoalaMenuService)(); };
KoalaMenuService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaMenuService, factory: KoalaMenuService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaMenuService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], null, null); })();

const _c0$1 = ["drawer"];
function PageComponent_div_0_figcaption_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "figcaption", 12);
} if (rf & 2) {
    const messageLoader_r6 = ctx.ngIf;
    i0.ɵɵproperty("innerHTML", messageLoader_r6, i0.ɵɵsanitizeHtml);
} }
function PageComponent_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 8);
    i0.ɵɵelementStart(1, "div", 9);
    i0.ɵɵelementStart(2, "figure");
    i0.ɵɵelement(3, "img", 10);
    i0.ɵɵtemplate(4, PageComponent_div_0_figcaption_4_Template, 1, 1, "figcaption", 11);
    i0.ɵɵpipe(5, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelement(6, "mat-spinner");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("src", ctx_r0.logotipo, i0.ɵɵsanitizeUrl);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(5, 2, ctx_r0.messageLoaderPage));
} }
function PageComponent_app_loader_page_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "app-loader-page", 13);
} if (rf & 2) {
    const loader_r7 = ctx.ngIf;
    i0.ɵɵproperty("progress", loader_r7.progress)("show", loader_r7.show)("typeLoader", loader_r7.typeLoader);
} }
function PageComponent_ng_content_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵprojection(0, 1, ["*ngIf", "showMenu"]);
} }
function PageComponent_mat_toolbar_9_img_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 5);
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("src", ctx_r8.logotipo, i0.ɵɵsanitizeUrl);
} }
function PageComponent_mat_toolbar_9_button_2_Template(rf, ctx) { if (rf & 1) {
    const _r14 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 27);
    i0.ɵɵlistener("click", function PageComponent_mat_toolbar_9_button_2_Template_button_click_0_listener() { i0.ɵɵrestoreView(_r14); const ctx_r13 = i0.ɵɵnextContext(2); return ctx_r13.toogleMenu(); });
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2, "menu");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("color", ctx_r9.color);
} }
function PageComponent_mat_toolbar_9_div_6_button_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "button", 32);
    i0.ɵɵelementStart(1, "mat-icon", 33);
    i0.ɵɵtext(2, "notifications ");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const notificationList_r15 = i0.ɵɵnextContext().ngIf;
    const _r17 = i0.ɵɵreference(3);
    const ctx_r16 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("color", ctx_r16.color)("matMenuTriggerFor", _r17);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("matBadgeHidden", notificationList_r15.length === 0)("matBadge", notificationList_r15.length.toString());
} }
function PageComponent_mat_toolbar_9_div_6_Template(rf, ctx) { if (rf & 1) {
    const _r20 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtemplate(1, PageComponent_mat_toolbar_9_div_6_button_1_Template, 3, 4, "button", 28);
    i0.ɵɵelementStart(2, "mat-menu", 29, 30);
    i0.ɵɵelementStart(4, "koala-notification-list", 31);
    i0.ɵɵlistener("delete", function PageComponent_mat_toolbar_9_div_6_Template_koala_notification_list_delete_4_listener($event) { i0.ɵɵrestoreView(_r20); const ctx_r19 = i0.ɵɵnextContext(2); return ctx_r19.deleteNotification.emit($event); })("deleteAll", function PageComponent_mat_toolbar_9_div_6_Template_koala_notification_list_deleteAll_4_listener($event) { i0.ɵɵrestoreView(_r20); const ctx_r21 = i0.ɵɵnextContext(2); return ctx_r21.deleteAllNotifications.emit($event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const notificationList_r15 = ctx.ngIf;
    const ctx_r10 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r10.notifications);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("notifications", notificationList_r15);
} }
function PageComponent_mat_toolbar_9_button_21_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "button", 26);
    i0.ɵɵlistener("click", function PageComponent_mat_toolbar_9_button_21_Template_button_click_0_listener() { const btn_r22 = ctx.$implicit; return btn_r22.action(); });
    i0.ɵɵelementStart(1, "mat-icon");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "span");
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const btn_r22 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(btn_r22.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(btn_r22.name);
} }
function PageComponent_mat_toolbar_9_Template(rf, ctx) { if (rf & 1) {
    const _r25 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-toolbar", 14);
    i0.ɵɵtemplate(1, PageComponent_mat_toolbar_9_img_1_Template, 1, 1, "img", 15);
    i0.ɵɵtemplate(2, PageComponent_mat_toolbar_9_button_2_Template, 3, 1, "button", 16);
    i0.ɵɵelement(3, "span", 17);
    i0.ɵɵelementStart(4, "div", 18);
    i0.ɵɵprojection(5, 2);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(6, PageComponent_mat_toolbar_9_div_6_Template, 5, 2, "div", 6);
    i0.ɵɵpipe(7, "async");
    i0.ɵɵelementStart(8, "button", 19);
    i0.ɵɵelementStart(9, "span");
    i0.ɵɵtext(10);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(11, "span", 20);
    i0.ɵɵtext(12);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(13, "mat-menu", 21, 22);
    i0.ɵɵelementStart(15, "div", 23);
    i0.ɵɵelementStart(16, "span", 20);
    i0.ɵɵtext(17);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(18, "br");
    i0.ɵɵelementStart(19, "span", 24);
    i0.ɵɵtext(20);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(21, PageComponent_mat_toolbar_9_button_21_Template, 5, 2, "button", 25);
    i0.ɵɵelementStart(22, "button", 26);
    i0.ɵɵlistener("click", function PageComponent_mat_toolbar_9_Template_button_click_22_listener() { i0.ɵɵrestoreView(_r25); const ctx_r24 = i0.ɵɵnextContext(); return ctx_r24.logout(); });
    i0.ɵɵelementStart(23, "mat-icon");
    i0.ɵɵtext(24, "exit_to_app");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(25, "span");
    i0.ɵɵtext(26);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r11 = i0.ɵɵreference(14);
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", !ctx_r4.showMenu);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", ctx_r4.showMenu);
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(7, 11, ctx_r4.notifications));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("color", ctx_r4.color)("matMenuTriggerFor", _r11);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r4.username);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r4.firstUserLetter);
    i0.ɵɵadvance(5);
    i0.ɵɵtextInterpolate(ctx_r4.firstUserLetter);
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate(ctx_r4.username);
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngForOf", ctx_r4.userMenuOptions);
    i0.ɵɵadvance(5);
    i0.ɵɵtextInterpolate(ctx_r4.labelLogout);
} }
const _c1$1 = [[["", "page-content", ""]], [["", "menu-options", ""]], [["", "menu-toolbar", ""]]];
const _c2 = ["[page-content]", "[menu-options]", "[menu-toolbar]"];
class PageComponent {
    constructor(tokenService, router, loaderService, menuService, oauthService) {
        this.tokenService = tokenService;
        this.router = router;
        this.loaderService = loaderService;
        this.menuService = menuService;
        this.oauthService = oauthService;
        this.showMenu = true;
        this.startMenuOpened = true;
        this.userMenuOptions = [];
        this.labelLogout = 'Sair';
        this.deleteAllNotifications = new EventEmitter(false);
        this.deleteNotification = new EventEmitter(null);
        this.defaultPalletColors = {
            scrollbarColor: '#1976D2',
            scrollbarColorHover: '#1565C0',
            userPresentationBackground: '#f1f1f1',
            userPresentationUserBackground: '#1976D2',
            userPresentationUserFontColor: '#fff',
            firstColor: '#fff',
            secondColor: '#F1F1F1',
            bodyBackground: '#eeeeee',
            checkboxBackground: '#1976d2',
            checkboxColor: '#ffffff',
            fontColor: '#1976D2',
            fontHoverColor: '#1976D2',
            fontActiveColor: '#1565C0',
            menuTitleBackground: 'rgba(0,0,0,.1)',
            menuTitleColor: 'rgba(0,0,0,.3)',
            menuBackground: '#fafafa',
            menuOptionsBackground: '#eaeaea',
            menuOptionsColor: '#a5a5a5',
            menuOptionsColorHover: '#1976D2',
            menuOptionsColorActive: '#1565c0',
            toolbarBackground: '#ffffff',
            toolbarColor: '#1976d2',
            listBackground: '#fff',
            listContentBackground: '#fff',
            listTitleItemColor: '#838383',
            listItemColor: '#3e3e3e',
            listItemBackgroudHover: '#F1F1F1',
            listItemBackgroundActive: '#EEE',
            shadowColorTableList: 'rgba(25, 118, 210, .4)'
        };
        this.loaderSubject = loaderService.getLoaderSubject();
    }
    ngOnInit() {
        var _a;
        this.initOAuth2();
        if (this.openPages) {
            if (this.openPages.indexOf('/') < 0) {
                this.openPages.push('/');
            }
            if (this.openPages.indexOf('/login') < 0) {
                this.openPages.push('/login');
            }
        }
        else {
            this.openPages = [
                '/',
                '/login'
            ];
        }
        (_a = this.tokenService.getToken()) === null || _a === void 0 ? void 0 : _a.subscribe(token => {
            var _a, _b;
            this.logged = !!token;
            if (this.logged) {
                this.username = this.tokenService.getDecodedToken().login;
                this.firstUserLetter = this.username.charAt(0).toUpperCase();
                this.menuService.open();
            }
            if (this.logged && ((_a = this.openPages) === null || _a === void 0 ? void 0 : _a.indexOf(this.currentUrl)) >= 0 && this.defaultPage) {
                this.router.navigate([this.defaultPage]).then();
            }
            else if (!this.logged && this.currentUrl && ((_b = this.openPages) === null || _b === void 0 ? void 0 : _b.indexOf(this.currentUrl)) < 0) {
                this.router.navigate(['login']).then();
                return false;
            }
        });
        this.router.events.subscribe(event => {
            var _a, _b;
            switch (true) {
                case event instanceof NavigationStart: {
                    this.loaderService.create({ typeLoader: 'indeterminate' });
                    break;
                }
                case event instanceof NavigationEnd:
                case event instanceof NavigationCancel:
                case event instanceof NavigationError: {
                    this.loaderService.dismiss();
                    if (event instanceof NavigationEnd) {
                        this.currentUrl = event.url.split('?')[0];
                        if (event.url.indexOf('/#state=') >= 0) {
                            console.log(event.url);
                        }
                        if (event.url.indexOf('/login?clientId=') < 0 &&
                            event.url.indexOf('/#id_token=') < 0 &&
                            event.url.indexOf('/#state=') < 0) {
                            if (this.logged && this.defaultPage && ((_a = this.openPages) === null || _a === void 0 ? void 0 : _a.indexOf(this.currentUrl)) >= 0) {
                                this.router.navigate([this.defaultPage]).then();
                                return false;
                            }
                            else if (!this.logged && ((_b = this.openPages) === null || _b === void 0 ? void 0 : _b.indexOf(this.currentUrl)) < 0) {
                                this.router.navigate(['login']).then();
                                return false;
                            }
                        }
                    }
                    break;
                }
                default: {
                    break;
                }
            }
        });
        if (this.palletColors) {
            Object.keys(this.defaultPalletColors).forEach(indexName => {
                if (!this.palletColors.hasOwnProperty(indexName) ||
                    !this.palletColors[indexName]) {
                    this.palletColors[indexName] = this.defaultPalletColors[indexName];
                }
            });
        }
        else {
            this.palletColors = this.defaultPalletColors;
        }
        this.defineColor();
        if (this.showMenu) {
            menuStateSubject.subscribe((state) => __awaiter(this, void 0, void 0, function* () {
                if (state === 'close') {
                    if (this.menu.opened) {
                        yield this.menu.close();
                    }
                }
                else if (state === 'open') {
                    if (!this.menu.opened) {
                        yield this.menu.open();
                    }
                }
            }));
            if (this.startMenuOpened && !!this.logged) {
                this.menuService.open();
            }
            else {
                this.menuService.close();
            }
        }
        else {
            this.menuService.close();
        }
    }
    toogleMenu() {
        return __awaiter(this, void 0, void 0, function* () {
            this.menuService.clearConfig();
            yield this.menu.toggle();
        });
    }
    logout() {
        this.menuService.close();
        this.tokenService.removeToken();
        this.tokenService.getToken().next(null);
        if (this.oauth2Config)
            this.oauthService.logOut();
    }
    defineColor() {
        const css = `
*::-webkit-scrollbar-thumb {background: ${this.palletColors.scrollbarColor};width: 2px;}
*::-webkit-scrollbar-thumb:hover {background: ${this.palletColors.scrollbarColorHover};}
input:-webkit-autofill, input:-webkit-autofill:focus, input:-webkit-autofill:hover {color: ${this.palletColors.fontColor}!important;}
.menu-container,
body {background: ${this.palletColors.bodyBackground}!important;}
input:-webkit-autofill, input:-webkit-autofill:focus, input:-webkit-autofill:hover {-webkit-box-shadow: 0 0 0 1000px ${this.palletColors.firstColor} inset !important;}
.mat-button-disabled,
input::placeholder,
.mat-form-field-appearance-outline .mat-form-field-outline {color: ${this.palletColors.fontColor}!important;opacity: .6;}
.mat-hint,
.mat-expansion-indicator::after,
.more-items-content .items .titleForm,
fieldset legend,
.mat-paginator-container,
.mat-form-field-flex mat-icon {color: ${this.palletColors.fontColor}!important;}
.mat-paginator-container,
.mat-card,
.mat-expansion-panel,
.mat-select-panel,
.mat-autocomplete-panel,
.mat-menu-panel {background: ${this.palletColors.firstColor}}
.mat-selected {background-color: rgba(0,0,0,.3)!important;}
.question p,
.alert-message,
.mat-action-row,
.mat-option,
.mat-menu-item,
.mat-menu-item mat-icon {color: ${this.palletColors.fontColor}!important}
.mat-select-value,
.mat-select-arrow,
.mat-form-field input,
.mat-form-field textarea,
.mat-form-field-appearance-outline:not(.mat-form-field-invalid) .mat-form-field-outline-thick,
.mat-form-field label {color: ${this.palletColors.fontColor}!important;caret-color: ${this.palletColors.fontColor}!important;}
.mat-form-field-underline,
.mat-form-field-appearance-fill .mat-form-field-underline::before,
.mat-form-field-ripple {background: ${this.palletColors.fontColor}!important;}
.mat-checkbox-checked.mat-accent .mat-checkbox-background, .mat-checkbox-indeterminate.mat-accent .mat-checkbox-background,
.mat-checkbox:not(.mat-checkbox-disabled).mat-accent .mat-checkbox-ripple .mat-ripple-element {background-color: ${this.palletColors.checkboxBackground} !important;}
.mat-checkbox-checkmark-path {stroke: ${this.palletColors.checkboxColor} !important;}
.mat-checkbox-checkmark {fill: ${this.palletColors.checkboxColor} !important;}
.mat-checkbox-mixedmark {background-color: ${this.palletColors.checkboxColor} !important;}
.mat-checkbox-frame {border-color: ${this.palletColors.checkboxOutlineColor}!important;}
.mat-checkbox-label {color: ${this.palletColors.fontColor}!important;}
.mat-radio-outer-circle {border-color: ${this.palletColors.checkboxBackground}!important;}
.mat-radio-ripple .mat-ripple-element, .mat-radio-inner-circle {background-color: ${this.palletColors.checkboxBackground} !important;}
.home-list-cards .list .mat-list-item-content .mat-icon {color: ${this.palletColors.fontColor};}
.home-list-cards .list button .mat-badge-content {background: ${this.palletColors.fontColor};}
.koala-dialog .mat-dialog-title h2 {color: ${this.palletColors.fontColor};}
.koala-dialog .mat-dialog-title mat-icon {color: ${this.palletColors.fontColor}!important;}
.koala-dialog .mat-dialog-container {background: ${this.palletColors.firstColor}}
.list-filter mat-icon {color: ${this.palletColors.filterIconColor}!important;}
koala-page .menu-options {background: ${this.palletColors.menuBackground};}
koala-page .toolbar {background: ${this.palletColors.toolbarBackground};}
koala-page .toolbar .btn-collapse-menu,
koala-page .btn-toolbar span{color: ${this.palletColors.toolbarColor};}
koala-page .btn-toolbar span.icon-user,
.user-presentation span.icon-user {background: ${this.palletColors.userPresentationUserBackground};color: ${this.palletColors.userPresentationUserFontColor};}
.user-presentation {background: ${this.palletColors.userPresentationBackground};}
.user-presentation span.username {color: ${this.palletColors.toolbarColor};}
koala-menu .title {background: ${this.palletColors.menuTitleBackground};color: ${this.palletColors.menuTitleColor};}
koala-menu ul li,
koala-menu ul li a {color: ${this.palletColors.menuOptionsColor};}
koala-menu ul li:hover,
koala-menu ul li:hover a {color: ${this.palletColors.menuOptionsColorHover} !important;}
koala-menu ul li.active,
koala-menu ul li.expanded {color: ${this.palletColors.menuOptionsColorActive} !important;border-left: 4px solid ${this.palletColors.menuOptionsColorActive} !important;background: ${this.palletColors.menuOptionsBackground} !important;}
koala-menu ul li.active a,
koala-menu ul li.expanded a {color: ${this.palletColors.menuOptionsColorActive} !important;background: ${this.palletColors.menuOptionsBackground} !important;}
koala-menu ul li li:hover,
koala-menu ul li li:hover a {color: ${this.palletColors.menuOptionsColorHover} !important;}
koala-menu ul li li.active,
koala-menu ul li li.active a {color: ${this.palletColors.menuOptionsColorActive} !important;}
.notifications-content .title {color: ${this.palletColors.notificationTitleColor}!important;}
.notifications-content .empty,
.notifications-content .titleList {color: ${this.palletColors.notificationContentTitleColor}!important;}
.notifications-content .iconList {color: ${this.palletColors.notificationContentIconColor}!important;}
.notifications-content .textList {color: ${this.palletColors.notificationTitleColor}!important;}
.list-container {box-shadow: 0 1px 3px ${this.palletColors.shadowColorTableList};}
.list-container .list table.table-hover tr:hover {background: ${this.palletColors.listItemBackgroudHover};}
.list-container .list table.table-hover tr:active {background: ${this.palletColors.listItemBackgroundActive};}
.list-container .list-filter .advanced {background: ${this.palletColors.firstColor};}
.list-container nav.menu-list {background: ${this.palletColors.firstColor};color: rgba(25, 118, 210, .3);}
.content {background: ${this.palletColors.listContentBackground};}
.mat-table {background: ${this.palletColors.listBackground};color: ${this.palletColors.fontColor};}
.mat-table th {color: ${this.palletColors.listTitleItemColor}!important;}
.mat-sort-header-arrow {color: ${this.palletColors.listItemColor}!important;}
.mat-table td {color: ${this.palletColors.listItemColor}!important;}`;
        const head = document.head || document.getElementsByTagName('head')[0];
        const style = document.createElement('style');
        head.appendChild(style);
        style.appendChild(document.createTextNode(css));
    }
    initOAuth2() {
        var _a, _b;
        if (this.oauth2Config) {
            this.oauthService.redirectUri = window.location.origin;
            this.oauthService.responseType = 'code';
            this.oauthService.clientId = this.oauth2Config.clientId;
            this.oauthService.scope = this.oauth2Config.scope;
            this.oauthService.issuer = this.oauth2Config.domain;
            this.oauthService.tokenValidationHandler = new JwksValidationHandler();
            this.oauthService.strictDiscoveryDocumentValidation = (_b = (_a = this.oauth2Config) === null || _a === void 0 ? void 0 : _a.strictDiscoveryDocumentValidation) !== null && _b !== void 0 ? _b : true;
            this.oauthService.loadDiscoveryDocumentAndTryLogin().then();
            this.oauthService.events.subscribe(() => {
                var _a;
                const claims = this.oauthService.getIdentityClaims();
                if (claims && !TokenFactory.hasToken()) {
                    this.tokenService.setToken(jwtEncode({
                        accessToken: this.oauthService.getAccessToken(),
                        idToken: this.oauthService.getIdToken(),
                        login: (_a = claims[this.oauth2Config.indexLoginName]) !== null && _a !== void 0 ? _a : 'Undefined',
                        expired: this.oauthService.getAccessTokenExpiration()
                    }, 'secret'));
                }
            });
        }
    }
}
PageComponent.ɵfac = function PageComponent_Factory(t) { return new (t || PageComponent)(i0.ɵɵdirectiveInject(KoalaTokenService), i0.ɵɵdirectiveInject(i1$2.Router), i0.ɵɵdirectiveInject(KoalaLoaderService), i0.ɵɵdirectiveInject(KoalaMenuService), i0.ɵɵdirectiveInject(i5$1.OAuthService)); };
PageComponent.ɵcmp = i0.ɵɵdefineComponent({ type: PageComponent, selectors: [["koala-page"]], viewQuery: function PageComponent_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵviewQuery(_c0$1, 3);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.menu = _t.first);
    } }, inputs: { showMenu: "showMenu", color: "color", logotipo: "logotipo", startMenuOpened: "startMenuOpened", showLoaderPage: "showLoaderPage", messageLoaderPage: "messageLoaderPage", defaultPage: "defaultPage", openPages: "openPages", notifications: "notifications", userMenuOptions: "userMenuOptions", palletColors: "palletColors", labelLogout: "labelLogout", oauth2Config: "oauth2Config" }, outputs: { deleteAllNotifications: "deleteAllNotifications", deleteNotification: "deleteNotification" }, features: [i0.ɵɵProvidersFeature([KoalaTokenService])], ngContentSelectors: _c2, decls: 11, vars: 9, consts: [["class", "koala-loader-pg", 4, "ngIf"], [3, "progress", "show", "typeLoader", 4, "ngIf"], ["autosize", "", 1, "menu-container"], ["mode", "side", 1, "menu-options"], ["drawer", ""], ["alt", "Logotipo", "id", "logotipo", 3, "src"], [4, "ngIf"], ["class", "toolbar", 4, "ngIf"], [1, "koala-loader-pg"], [1, "loader-content"], ["alt", "Logotipo", 3, "src"], [3, "innerHTML", 4, "ngIf"], [3, "innerHTML"], [3, "progress", "show", "typeLoader"], [1, "toolbar"], ["alt", "Logotipo", "id", "logotipo", 3, "src", 4, "ngIf"], ["class", "btn-collapse-menu", "mat-icon-button", "", 3, "color", "click", 4, "ngIf"], [1, "spacer"], [1, "menu-toolbar"], ["mat-button", "", 1, "btn-toolbar", 3, "color", "matMenuTriggerFor"], [1, "icon-user"], ["yPosition", "below", 1, "user-menu", "menu-list"], ["userOptions", "matMenu"], [1, "user-presentation"], [1, "username"], ["mat-menu-item", "", 3, "click", 4, "ngFor", "ngForOf"], ["mat-menu-item", "", 3, "click"], ["mat-icon-button", "", 1, "btn-collapse-menu", 3, "color", "click"], ["class", "btn-toolbar", "mat-icon-button", "", 3, "color", "matMenuTriggerFor", 4, "ngIf"], ["yPosition", "below", 1, "menu-list"], ["notificationsMenu", "matMenu"], [3, "notifications", "delete", "deleteAll"], ["mat-icon-button", "", 1, "btn-toolbar", 3, "color", "matMenuTriggerFor"], ["matBadgeColor", "warn", 3, "matBadgeHidden", "matBadge"]], template: function PageComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵprojectionDef(_c1$1);
        i0.ɵɵtemplate(0, PageComponent_div_0_Template, 7, 4, "div", 0);
        i0.ɵɵpipe(1, "async");
        i0.ɵɵtemplate(2, PageComponent_app_loader_page_2_Template, 1, 3, "app-loader-page", 1);
        i0.ɵɵpipe(3, "async");
        i0.ɵɵelementStart(4, "mat-drawer-container", 2);
        i0.ɵɵelementStart(5, "mat-drawer", 3, 4);
        i0.ɵɵelement(7, "img", 5);
        i0.ɵɵtemplate(8, PageComponent_ng_content_8_Template, 1, 0, "ng-content", 6);
        i0.ɵɵelementEnd();
        i0.ɵɵtemplate(9, PageComponent_mat_toolbar_9_Template, 27, 13, "mat-toolbar", 7);
        i0.ɵɵprojection(10, 0, ["class", "page-content"]);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(1, 5, ctx.showLoaderPage));
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(3, 7, ctx.loaderSubject));
        i0.ɵɵadvance(5);
        i0.ɵɵproperty("src", ctx.logotipo, i0.ɵɵsanitizeUrl);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.showMenu);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", !!ctx.logged && ctx.username);
    } }, directives: [i1$1.NgIf, i7.MatDrawerContainer, i7.MatDrawer, i3$1.MatSpinner, LoaderBarPageComponent, i10$1.MatToolbar, i2.MatButton, i15$1.MatMenuTrigger, i15$1.MatMenu, i1$1.NgForOf, i15$1.MatMenuItem, i4.MatIcon, NotificationComponent, i15$2.MatBadge], pipes: [i1$1.AsyncPipe], styles: [".menu-container[_ngcontent-%COMP%]{height:100vh;width:100vw}.menu-options[_ngcontent-%COMP%]{border:none;padding:20px 0 0;width:250px}.page-content[_ngcontent-%COMP%]{align-items:center;display:flex;height:100%;justify-content:center}img#logotipo[_ngcontent-%COMP%]{display:block;height:auto;margin:0 auto 25px;position:relative;width:120px}.toolbar[_ngcontent-%COMP%]{box-shadow:none;padding:0 7px 0 13px}.toolbar[_ngcontent-%COMP%]   img#logotipo[_ngcontent-%COMP%]{margin:0;padding:0 10px}.menu-toolbar[_ngcontent-%COMP%]{margin:0 10px}.spacer[_ngcontent-%COMP%]{flex:1 1 auto}.btn-toolbar[_ngcontent-%COMP%]{display:inline-block;margin-right:10px;position:relative}.btn-toolbar[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{padding:0 10px 0 0}.btn-toolbar[_ngcontent-%COMP%]   span.icon-user[_ngcontent-%COMP%], .user-presentation[_ngcontent-%COMP%]   span.icon-user[_ngcontent-%COMP%]{border-radius:50%;display:inline-block;height:10px;line-height:10px;padding:5px;width:10px}.user-presentation[_ngcontent-%COMP%]{min-width:260px;padding:50px 10px;text-align:center}.user-presentation[_ngcontent-%COMP%]   span.icon-user[_ngcontent-%COMP%]{font-size:30px;height:30px;line-height:30px;margin-bottom:10px;width:30px}.user-presentation[_ngcontent-%COMP%]   span.username[_ngcontent-%COMP%]{font-family:OpenSansLight,sans-serif;word-break:break-all}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(PageComponent, [{
        type: Component,
        args: [{
                selector: 'koala-page',
                templateUrl: 'page.component.html',
                styleUrls: ['page.component.css'],
                providers: [KoalaTokenService],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], function () { return [{ type: KoalaTokenService }, { type: i1$2.Router }, { type: KoalaLoaderService }, { type: KoalaMenuService }, { type: i5$1.OAuthService }]; }, { showMenu: [{
            type: Input
        }], color: [{
            type: Input
        }], logotipo: [{
            type: Input
        }], startMenuOpened: [{
            type: Input
        }], showLoaderPage: [{
            type: Input
        }], messageLoaderPage: [{
            type: Input
        }], defaultPage: [{
            type: Input
        }], openPages: [{
            type: Input
        }], notifications: [{
            type: Input
        }], userMenuOptions: [{
            type: Input
        }], palletColors: [{
            type: Input
        }], labelLogout: [{
            type: Input
        }], oauth2Config: [{
            type: Input
        }], deleteAllNotifications: [{
            type: Output
        }], deleteNotification: [{
            type: Output
        }], menu: [{
            type: ViewChild,
            args: ['drawer', { static: true }]
        }] }); })();

function DialogQuestionComponent_koala_dynamic_component_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "koala-dynamic-component", 8);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("dynamicComponent", ctx_r0.config.avatar);
} }
function DialogQuestionComponent_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-icon");
    i0.ɵɵtext(1, "help");
    i0.ɵɵelementEnd();
} }
const _c0 = function () { return { question: true }; };
const _c1 = function () { return { question: false }; };
class DialogQuestionComponent {
    constructor(config) {
        this.config = config;
    }
}
DialogQuestionComponent.ɵfac = function DialogQuestionComponent_Factory(t) { return new (t || DialogQuestionComponent)(i0.ɵɵdirectiveInject(MAT_DIALOG_DATA)); };
DialogQuestionComponent.ɵcmp = i0.ɵɵdefineComponent({ type: DialogQuestionComponent, selectors: [["ng-component"]], decls: 11, vars: 7, consts: [["mat-dialog-content", ""], [1, "question"], [3, "dynamicComponent", 4, "ngIf", "ngIfElse"], ["notHaveAvatar", ""], [1, "alert-message", "text-center", 3, "innerHTML"], ["align", "center", "mat-dialog-actions", ""], ["color", "primary", "mat-raised-button", "", 3, "mat-dialog-close"], ["color", "warn", "mat-raised-button", "", 3, "mat-dialog-close"], [3, "dynamicComponent"]], template: function DialogQuestionComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 0);
        i0.ɵɵelementStart(1, "div", 1);
        i0.ɵɵtemplate(2, DialogQuestionComponent_koala_dynamic_component_2_Template, 1, 1, "koala-dynamic-component", 2);
        i0.ɵɵtemplate(3, DialogQuestionComponent_ng_template_3_Template, 2, 0, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor);
        i0.ɵɵelement(5, "p", 4);
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(6, "div", 5);
        i0.ɵɵelementStart(7, "button", 6);
        i0.ɵɵtext(8, "Sim");
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(9, "button", 7);
        i0.ɵɵtext(10, "N\u00E3o");
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        const _r1 = i0.ɵɵreference(4);
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("ngIf", ctx.config.avatar)("ngIfElse", _r1);
        i0.ɵɵadvance(3);
        i0.ɵɵproperty("innerHTML", ctx.config.message, i0.ɵɵsanitizeHtml);
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("mat-dialog-close", i0.ɵɵpureFunction0(5, _c0));
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("mat-dialog-close", i0.ɵɵpureFunction0(6, _c1));
    } }, directives: [i1.MatDialogContent, i1$1.NgIf, i1.MatDialogActions, i2.MatButton, i1.MatDialogClose, KoalaDynamicComponentFactory, i4.MatIcon], styles: [".question[_ngcontent-%COMP%]{color:#616161}.question[_ngcontent-%COMP%]   .alert-message[_ngcontent-%COMP%]{font-family:OpenSans,sans-serif;margin:20px auto 10px!important}.question[_ngcontent-%COMP%]   mat-icon[_ngcontent-%COMP%]{position:relative;display:block;margin:15px auto;width:60px;height:60px;font-size:60px;color:#1565c0}"], changeDetection: 0 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DialogQuestionComponent, [{
        type: Component,
        args: [{
                templateUrl: 'dialog-question.component.html',
                styleUrls: ['dialog-question.component.css'],
                changeDetection: ChangeDetectionStrategy.OnPush
            }]
    }], function () { return [{ type: undefined, decorators: [{
                type: Inject,
                args: [MAT_DIALOG_DATA]
            }] }]; }, null); })();

class KoalaQuestionModule {
}
KoalaQuestionModule.ɵmod = i0.ɵɵdefineNgModule({ type: KoalaQuestionModule });
KoalaQuestionModule.ɵinj = i0.ɵɵdefineInjector({ factory: function KoalaQuestionModule_Factory(t) { return new (t || KoalaQuestionModule)(); }, imports: [[
            CommonModule,
            KoalaDynamicComponentModule,
            MatDialogModule,
            MatButtonModule,
            MatIconModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(KoalaQuestionModule, { declarations: [DialogQuestionComponent], imports: [CommonModule,
        KoalaDynamicComponentModule,
        MatDialogModule,
        MatButtonModule,
        MatIconModule], exports: [DialogQuestionComponent] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaQuestionModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    DialogQuestionComponent
                ],
                imports: [
                    CommonModule,
                    KoalaDynamicComponentModule,
                    MatDialogModule,
                    MatButtonModule,
                    MatIconModule
                ],
                exports: [
                    DialogQuestionComponent
                ]
            }]
    }], null, null); })();

class KoalaBtnFileService {
    constructor() {
        this.setFileSubject = new BehaviorSubject(null);
        this.fileListSubject = new BehaviorSubject([]);
    }
    setFile(file) {
        return __awaiter(this, void 0, void 0, function* () {
            if (file) {
                this.setFileSubject.next(file);
            }
        });
    }
    removeFile(files, index) {
        files.splice(index, 1);
        this.fileListSubject.next(files);
    }
}
KoalaBtnFileService.ɵfac = function KoalaBtnFileService_Factory(t) { return new (t || KoalaBtnFileService)(); };
KoalaBtnFileService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaBtnFileService, factory: KoalaBtnFileService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaBtnFileService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], null, null); })();

class KoalaCsvService {
    constructor(papa) {
        this.papa = papa;
    }
    convertJsonToCsv(json, filename = 'export') {
        this.downloadCsv(new Blob([
            this.papa.unparse(json, {
                header: true,
                delimiter: ";",
                newline: "\r\n"
            })
        ], {
            type: 'text/csv;charset=utf-8;'
        }), filename);
    }
    downloadCsv(blob, filename = 'export') {
        let link = document.createElement('a');
        let url = URL.createObjectURL(blob);
        link.setAttribute("href", url);
        link.setAttribute("download", filename + '.csv');
        link.style.visibility = 'hidden';
        document.body.appendChild(link);
        link.click();
        document.body.removeChild(link);
    }
}
KoalaCsvService.ɵfac = function KoalaCsvService_Factory(t) { return new (t || KoalaCsvService)(i0.ɵɵinject(i1$6.Papa)); };
KoalaCsvService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaCsvService, factory: KoalaCsvService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaCsvService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], function () { return [{ type: i1$6.Papa }]; }, null); })();

class ListBuilder {
    constructor() {
        this.config = {};
    }
    service(service, type = "all", resultIndexName, qtdResultIndexName) {
        var _a, _b, _c, _d, _e, _f, _g, _h, _j;
        this.config.typeRequest = type;
        this.config.responseIndexName = resultIndexName;
        this.config.responseQtdResultIndexName = response => response[qtdResultIndexName];
        this.config.columnSort = (_d = (_c = (_b = (_a = this.config) === null || _a === void 0 ? void 0 : _a.filterParams) === null || _b === void 0 ? void 0 : _b.getValue()) === null || _c === void 0 ? void 0 : _c.sort) !== null && _d !== void 0 ? _d : null;
        this.config.sortDirection = (_h = (_g = (_f = (_e = this.config) === null || _e === void 0 ? void 0 : _e.filterParams) === null || _f === void 0 ? void 0 : _f.getValue()) === null || _g === void 0 ? void 0 : _g.order) !== null && _h !== void 0 ? _h : 'asc';
        const response = service((_j = this.config) === null || _j === void 0 ? void 0 : _j.filterParams);
        if (response instanceof Promise) {
            this.config.request = new Observable(observe => {
                response.then(response => observe.next(response))
                    .catch(error => observe.error(error));
            });
        }
        else {
            this.config.request = response;
        }
        return this;
    }
    filterConfig(config) {
        this.config.filterFormConfig = config;
        return this;
    }
    defaultFilter(config) {
        this.config.filterParams = new BehaviorSubject(config);
        return this;
    }
    pageSize(size) {
        this.config.pageSize = size;
        return this;
    }
    columns(columns) {
        this.config.columnsToShowInList = columns;
        return this;
    }
    itemColumn(item) {
        var _a;
        (((_a = this.config.itemsList) === null || _a === void 0 ? void 0 : _a.length) > 0) ?
            this.config.itemsList.push(item) :
            this.config.itemsList = [item];
        return this;
    }
    actionList(item) {
        var _a;
        (((_a = this.config.itemsMenuListOptions) === null || _a === void 0 ? void 0 : _a.length) > 0) ?
            this.config.itemsMenuListOptions.push(item) :
            this.config.itemsMenuListOptions = [item];
        return this;
    }
    getDataSource(fn) {
        this.config.getDataSource = fn;
        return this;
    }
    getSelectionList(fn) {
        this.config.getSelectionList = fn;
        return this;
    }
    emptyListComponent(component, data) {
        this.config.emptyListComponent = new KoalaDynamicComponent(component, data);
        return this;
    }
    getConfig() {
        this.config.reload = new BehaviorSubject(false);
        return this.config;
    }
}

class KoalaListService {
    build() {
        return new ListBuilder();
    }
}
KoalaListService.ɵfac = function KoalaListService_Factory(t) { return new (t || KoalaListService)(); };
KoalaListService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaListService, factory: KoalaListService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaListService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], null, null); })();

class KoalaQuestionService {
    constructor(dialogService) {
        this.dialogService = dialogService;
    }
    open(config, yesCallback, noCallback) {
        this.dialogService.open(DialogQuestionComponent, 'small', config, {}, (answer) => {
            if (answer.question && yesCallback) {
                yesCallback();
            }
            else if (!answer.question && noCallback) {
                noCallback();
            }
        });
    }
}
KoalaQuestionService.ɵfac = function KoalaQuestionService_Factory(t) { return new (t || KoalaQuestionService)(i0.ɵɵinject(KoalaDialogService)); };
KoalaQuestionService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaQuestionService, factory: KoalaQuestionService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaQuestionService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], function () { return [{ type: KoalaDialogService }]; }, null); })();

class KoalaRequestService {
    constructor(koalaAlertService) {
        this.koalaAlertService = koalaAlertService;
    }
    request(request, success, error) {
        if (request instanceof Promise) {
            request.then((response) => {
                if (success) {
                    success(response);
                }
            }).catch(e => {
                if (error) {
                    error(e);
                }
                this.showAlertError(e);
            });
        }
        else {
            return request.subscribe((response) => {
                if (success) {
                    success(response);
                }
            }, (e) => {
                if (error) {
                    error(e);
                }
                this.showAlertError(e);
            });
        }
    }
    showAlertError(e) {
        const alertEnum = KoalaRequestCodeToAlertEnumTranslate.translate(e.statusCode);
        this.koalaAlertService.create({
            alertEnum,
            message: alertEnum === KoalaAlertEnum.internalServerError ?
                'Ops, tivemos um problema com sua requisição.<br/>Sinto muito pelo transtorno.<br/>Gentileza tentar novamente mais tarde.' :
                e.message
        });
    }
}
KoalaRequestService.ɵfac = function KoalaRequestService_Factory(t) { return new (t || KoalaRequestService)(i0.ɵɵinject(KoalaAlertService)); };
KoalaRequestService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaRequestService, factory: KoalaRequestService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaRequestService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], function () { return [{ type: KoalaAlertService }]; }, null); })();

class KoalaXlsxService {
    convertJsonToXlsx(json, config) {
        const title = config.title;
        const header = [];
        Object.keys(json[0]).forEach(name => {
            header.push(koala(name).string().normalize().getValue().toUpperCase());
        });
        const workbook = new Excel.Workbook();
        const worksheet = workbook.addWorksheet(config.sheetName);
        const titleRow = worksheet.addRow([title]);
        titleRow.alignment = { horizontal: "center" };
        titleRow.font = { bold: true, color: { argb: config.titleFontColor.replace('#', '') } };
        titleRow.fill = {
            type: 'pattern',
            pattern: 'solid',
            fgColor: { argb: config.titleBackgroundColor.replace('#', '') },
            bgColor: { argb: config.titleBackgroundColor.replace('#', '') }
        };
        worksheet.mergeCells(`A1:${worksheet.getCell(1, Object.keys(json[0]).length).address}`);
        const headerRow = worksheet.addRow(header);
        headerRow.eachCell((cell, number) => {
            cell.fill = {
                type: 'pattern',
                pattern: 'solid',
                fgColor: { argb: config.headerBackgroundColor.replace('#', '') },
                bgColor: { argb: config.headerBackgroundColor.replace('#', '') }
            };
            cell.font = {
                color: { argb: config.headerFontColor.replace('#', '') }
            };
        });
        json.forEach(item => {
            const data = [];
            Object.values(item).forEach(value => data.push(value));
            worksheet.addRow(data);
        });
        workbook.xlsx.writeBuffer().then((data) => {
            let blob = new Blob([data], { type: 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' });
            fs.saveAs(blob, config.filename + '.xlsx');
        });
    }
}
KoalaXlsxService.ɵfac = function KoalaXlsxService_Factory(t) { return new (t || KoalaXlsxService)(); };
KoalaXlsxService.ɵprov = i0.ɵɵdefineInjectable({ token: KoalaXlsxService, factory: KoalaXlsxService.ɵfac, providedIn: "any" });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(KoalaXlsxService, [{
        type: Injectable,
        args: [{ providedIn: "any" }]
    }], null, null); })();

class NgxKoalaModule {
}
NgxKoalaModule.ɵmod = i0.ɵɵdefineNgModule({ type: NgxKoalaModule });
NgxKoalaModule.ɵinj = i0.ɵɵdefineInjector({ factory: function NgxKoalaModule_Factory(t) { return new (t || NgxKoalaModule)(); }, imports: [[
            CommonModule,
            RouterModule,
            HttpClientModule,
            KoalaFormModule,
            MatBadgeModule,
            MatProgressBarModule,
            MatToolbarModule,
            MatTooltipModule,
            MatButtonModule,
            MatIconModule,
            MatSidenavModule,
            MatListModule,
            MatMenuModule,
            OAuthModule.forRoot(),
        ], HttpClientModule,
        KoalaFormModule,
        MatToolbarModule,
        MatButtonModule,
        MatIconModule,
        MatSidenavModule,
        MatListModule,
        OAuthModule] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(NgxKoalaModule, { declarations: [PageComponent,
        NotificationComponent,
        LoaderBarPageComponent], imports: [CommonModule,
        RouterModule,
        HttpClientModule,
        KoalaFormModule,
        MatBadgeModule,
        MatProgressBarModule,
        MatToolbarModule,
        MatTooltipModule,
        MatButtonModule,
        MatIconModule,
        MatSidenavModule,
        MatListModule,
        MatMenuModule, i5$1.OAuthModule], exports: [PageComponent,
        HttpClientModule,
        KoalaFormModule,
        MatToolbarModule,
        MatButtonModule,
        MatIconModule,
        MatSidenavModule,
        MatListModule,
        OAuthModule] }); })();
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(NgxKoalaModule, [{
        type: NgModule,
        args: [{
                declarations: [
                    PageComponent,
                    NotificationComponent,
                    LoaderBarPageComponent
                ],
                imports: [
                    CommonModule,
                    RouterModule,
                    HttpClientModule,
                    KoalaFormModule,
                    MatBadgeModule,
                    MatProgressBarModule,
                    MatToolbarModule,
                    MatTooltipModule,
                    MatButtonModule,
                    MatIconModule,
                    MatSidenavModule,
                    MatListModule,
                    MatMenuModule,
                    OAuthModule.forRoot(),
                ],
                exports: [
                    PageComponent,
                    HttpClientModule,
                    KoalaFormModule,
                    MatToolbarModule,
                    MatButtonModule,
                    MatIconModule,
                    MatSidenavModule,
                    MatListModule,
                    OAuthModule
                ]
            }]
    }], null, null); })();

/*
 * Public API Surface of ngx-koala
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AutocompleteSelectedValidator, BtnSubmitComponent, ButtonComponent, CnpjValidator, CpfValidator, DialogAlertComponent, DialogComponent, DialogQuestionComponent, DownloadingIconAnimatedComponent, DynamicFormComponent, DynamicFormTypeFieldEnum, FileButtonComponent, FolderComponent, FormAbstract, IconComponent, IconsAnimatedComponent, KOALA_LOADER_SUBJECT, KoalaAlertEnum, KoalaAlertModule, KoalaAlertService, KoalaAutofocusDirective, KoalaBtnFileService, KoalaButtonModule, KoalaCsvService, KoalaDialogModule, KoalaDialogService, KoalaDynamicComponent, KoalaDynamicComponentDirective, KoalaDynamicComponentFactory, KoalaDynamicComponentModule, KoalaDynamicFormService, KoalaFileButtonModule, KoalaFolderPageModule, KoalaFormModule, KoalaIconModule, KoalaIconsAnimatedModule, KoalaListModule, KoalaListService, KoalaLoaderService, KoalaLocationFormModule, KoalaMenuModule, KoalaMenuService, KoalaQuestionModule, KoalaQuestionService, KoalaRequestCodeToAlertEnumTranslate, KoalaRequestService, KoalaTokenService, KoalaXlsxService, ListAbstract, ListComponent, LoaderBarPageComponent, LoadingIconAnimatedComponent, LocationFormComponent, MenuComponent, NgxKoalaModule, NotificationComponent, PageComponent, PaginationProvider, ShowInvalidFields, ValidationHelper, ViacepService, maskOptions, menuStateSubject };
//# sourceMappingURL=ngx-koala.js.map
